(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     26866,        825]
NotebookOptionsPosition[     25679,        784]
NotebookOutlinePosition[     26408,        812]
CellTagsIndexPosition[     26365,        809]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["SetFaceAndFont4 Palette", "ObjectName",
 CellChangeTimes->{3.4920131923050966`*^9}],

Cell["This loads the palette:", "Usage"],

Cell[BoxData[
 RowBox[{"NotebookOpen", "[", "\"\<SetFaceAndFont4.nb\>\"", "]"}]], "Input",
 CellChangeTimes->{3.4920157920471387`*^9}],

Cell[TextData[{
 "\[FilledSmallSquare] The \"",
 StyleBox["CopyAsInputFormK", "TI",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["\"", "TI",
  FontFamily->"Times",
  FontSlant->"Plain"],
 " button copies the selected text and removes formatting, leaving an \
expression suitable for pasting into for example an email. Instead of \
omitting comments inside (* *) as the menu command \"",
 Cell[BoxData[
  StyleBox[
   RowBox[{"Convert", " ", "To", " ", "InputForm"}],
   FontFamily->"Helvetica",
   FontWeight->"Plain",
   FontSlant->"Plain"]], "Text"],
 "\", such comments are put inside a wrapper ",
 StyleBox["Comment[\"\"];",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " .  Please check that this does not break the code.\n\[FilledSmallSquare] \
The \"",
 StyleBox["*\[Rule]\[SpaceIndicator]",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 "\" button converts \"*\"signs to spaces. Using the \"",
 StyleBox["CopyAsInputFormK", "TI",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 StyleBox["\"", "TI",
  FontFamily->"Times",
  FontSlant->"Plain"],
 " button sometimes introduces \"*\" signs. This is not always wanted, and \
then this button can be used to convert back. The combinations \"",
 StyleBox["(*",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "\", \"",
 StyleBox["*)",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "\", \"",
 StyleBox["*^",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "\", \"",
 StyleBox["**",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "\" and \"",
 StyleBox["*=",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "\" are not affected.\n\[FilledSmallSquare] The \"\[FilledSmallSquare], \
\[FilledSmallSquare]\" button pastes a copy of the selection after the \
selection, with a comma in between. If whole cells are chosen, new cells are \
inserted, without commas. \n\[FilledSmallSquare] The \[FilledSmallSquare], \
\[FilledSmallSquare] button can be used after interactive choice of points in \
a plot (See menu item ",
 StyleBox["Get Graphics Coordinates...",
  FontFamily->"Helvetica",
  FontSlant->"Plain"],
 "). The coordiantes will be pasted as a new Input cell after the plot cell.\n\
\[FilledSmallSquare] The",
 StyleBox[" ",
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 StyleBox["B",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 StyleBox["(",
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontVariations->{"Underline"->False},
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 StyleBox["Bold",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 StyleBox[")",
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontVariations->{"Underline"->False},
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 StyleBox[", ",
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 StyleBox["I",
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontTracking->"Plain",
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 StyleBox["(",
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontVariations->{"Underline"->False},
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 StyleBox["Italic",
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontTracking->"Plain",
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 StyleBox[")",
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontVariations->{"Underline"->False},
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 StyleBox[", and ",
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 StyleBox["U",
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontVariations->{"Underline"->True},
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 StyleBox[" ",
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 StyleBox["(",
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 StyleBox["Underline",
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontVariations->{"Underline"->True},
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 StyleBox[")",
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 " buttons change corresponding option of the selected text, but no other. \
The ",
 StyleBox["Plain",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " button turns these three options to \"",
 StyleBox["Plain",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "\", \"",
 StyleBox["Plain",
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "\" and \"",
 StyleBox["False",
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "\". \n\[FilledSmallSquare] The (*\[FilledSmallSquare]*), (\
\[FilledSmallSquare] ), {\[FilledSmallSquare] }, [\[FilledSmallSquare] ], \
\[LeftDoubleBracket]\[FilledSmallSquare]\[RightDoubleBracket] and \"\
\[FilledSmallSquare]\" buttons wrap parentheses, brackets or quotes around \
the selection, or inserts parentheses wrapping a placeholder. \n\
\[FilledSmallSquare] The \"\[FilledSmallSquare]\" button changes ",
 StyleBox["\"",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " and ",
 StyleBox["\\",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " inside the selected text to ",
 StyleBox["\\\"",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " and ",
 StyleBox["\\\\",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", in accordance with the way ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " handles strings within strings. The \"",
 StyleBox["Peel",
  FontWeight->"Bold"],
 "\" button does the reverse transformation if it removes quotation marks of \
this kind.\n\[FilledSmallSquare] The font size buttons just change the font \
size of the selected text.\n\[FilledSmallSquare] The five font-change buttons \
",
 StyleBox["\"Courier12\", \"",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 StyleBox["CourierB12",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["\", ",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 StyleBox["\"Verdana11\"",
  FontFamily->"Helvetica",
  FontSlant->"Plain"],
 StyleBox[", \"Times12\" and ",
  FontFamily->"Times",
  FontSlant->"Plain"],
 StyleBox["\"Times Italic12\"",
  FontFamily->"Times",
  FontSlant->"Italic"],
 "  change font, slant and fontweight of the selected text, but not the \
Underline property. These font buttons are intended for the needs when \
writing help texts (like this).\n\[FilledSmallSquare]  The ",
 StyleBox["\"",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["Peel",
  FontWeight->"Bold"],
 StyleBox["\"",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 " button performs a number of different actions, one at a time, depending on \
the selection:\n    ",
 StyleBox["Peel",
  FontWeight->"Bold"],
 " removes the outer brackets or quotation marks from the selected text, and \
acts as an undo buton for the (*\[FilledSmallSquare]*), (\[FilledSmallSquare] \
), {\[FilledSmallSquare] }, [\[FilledSmallSquare] ], [[\[FilledSmallSquare] \
]] and \"\[FilledSmallSquare]\"  buttons. Also less common bracket types are \
supported. For square brackets [  ] also text preceeding the left bracket is \
removed, which means that ",
 StyleBox["2*Sin[x+y]",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " will be reduced to ",
 StyleBox["x+y",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 ". The text preceeding the left bracket should not contain any formatting \
box of type ",
 StyleBox["SqrtBox ",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "or similar. \n    If there are leading or trailing space characters, these \
are removed.\n    Trailing operators and punctuation marks are removed, one \
at a time. If the leading characters represents the same operator or \
punctuation mark as the trailing characters, they are also removed\n    If \
the selection is a single box expression of the SqrtBox type or similar, it \
is reduced to Input Form. ",
 Cell[BoxData[
  StyleBox[
   SqrtBox[
    SqrtBox[
     RowBox[{"x", "+", "2"}]]],
   FontFamily->"Courier",
   FontWeight->"Bold",
   FontSlant->"Plain"]]],
 " is transformed into ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"Sqrt", "[", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"x", " ", "+", " ", "2"}], "]"}], "]"}],
   FontWeight->"Bold"]]],
 "\n    If the selection is a whole cell, selected by the cell bracket, the \
cell is converted to a text cell. Box expressions are kept.\n    Multiple \
cell selections are converted to one Text cell with the selected cells \
embedded. Next click on Peel will unpack the embedded cells (except graphic \
cells) and transform them into text.\n    Two\[Hyphen]dimensional input of \
the type ",
 StyleBox["\\!\\(x\\^y\\)",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 Cell[BoxData[
  RowBox[{" ", 
   StyleBox[
    RowBox[{"is", " ", "converted", " "}],
    FontFamily->"Times",
    FontSlant->"Plain"]}]], "Text"],
 "to one -dimensional input inside parentheses: ",
 StyleBox["(x^y)",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 ". Two\[Hyphen]dimensional input of the type ",
 StyleBox["\\(x\\^y\\)",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 Cell[BoxData[
  RowBox[{" ", 
   StyleBox[
    RowBox[{"is", " ", "converted", " "}],
    FontFamily->"Times",
    FontSlant->"Plain"]}]], "Text"],
 "to one -dimensional input inside string delimiters: ",
 StyleBox["\"x^y\"",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 ". \n    Peel applied to a GraphicsData cell displays the PostScript code in \
a way that is posssible to reload. Embedded GraphicsData cells are left \
unchanged.\n    Peel applied to a Graphics3D cell or a SurfaceGraphics cell \
rendered as RealTime3D graphics displays the code in a way that is posssible \
to reload. Embedded such cells are left unchanged. For more information about \
RealTime3D graphics start looking at  ",
 ButtonBox["http://forums.wolfram.com/mathgroup/archive/2001/Apr/msg00346.\
html",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://forums.wolfram.com/mathgroup/archive/2001/Apr/msg00346.html"],
     None}],
 ".\n\[FilledSmallSquare]  The ",
 StyleBox["\"",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["StyleRemove",
  FontWeight->"Bold"],
 StyleBox["\"",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 " button removes Style formatting of the selection, in a way similar to the ",
 StyleBox["\"Remove Options...\" ",
  FontFamily->"Helvetica",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 "menu item or the ",
 StyleBox["CopyAsInputFormK",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " button, but will not",
 StyleBox[" change 2D mathematical expressions to Input Form, and will not \
turn spaces into multiplication signs. Due to the structure of Mathematica e",
  FontFamily->"Times New Roman"],
 "xpressions, the SetOptions command, utilizes by the buttons in this \
palette, does not always manage to change options further down in the tree \
structure representing the expression, so therefore the buttons will not work \
correctly if the expressions are too cluttered. Then it might be possible to \
clean up by using this button. Alternatively, the ",
 StyleBox["CopyAsInputFormK",
  FontWeight->"Bold"],
 " button might be used to convert the expression into InputForm. Then this \
expression might be pasted back. The button calls the ",
 StyleBox["\"Remove Options...\" ",
  FontFamily->"Helvetica",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 "menu item for multiple cell selections or for selections that contain an \
InterpretationBox. The ",
 StyleBox["Peel",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " button and the ",
 StyleBox["StyleRemove ",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 "button are based on similar mechanisms.\n\[FilledSmallSquare] The \"",
 StyleBox["Search",
  FontWeight->"Bold"],
 "\" button searches for information in the ",
 ButtonBox["wolfram.com",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://wolfram.com/"], None},
  ButtonNote->"http://wolfram.com/"],
 " site. Words are extracted from the selection and are then used to perform \
a Google search. Words are any letter-digit combination except pure numbers \
and one-letter strings. Duplicate words are ignores. \n\[FilledSmallSquare] \
The \"",
 StyleBox["MG",
  FontWeight->"Bold"],
 "\" button searches in the same way in the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " forums (especially ",
 ButtonBox["MathGroup",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://forums.wolfram.com/mathgroup/"], None}],
 ") for information. Also ",
 ButtonBox["Wiki-webMathematica",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.mathematica-users.org/webMathematica/wiki/wiki.jsp?\
pageName=Main_Page"], None}],
 " is searched. \n\[FilledSmallSquare] The \"",
 StyleBox["GC",
  FontWeight->"Bold"],
 "\" button uses Google Code search for finding ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " code containing the selected words. \n\[FilledSmallSquare] The \"",
 StyleBox["Web",
  FontWeight->"Bold"],
 "\" button makes an unrestricted Google search for the selected words. This \
is especially useful if you have installed Google Desktop search with the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " notebook plug-in on your computer: then you can search your own notebooks \
for the selected words.\n\[FilledSmallSquare] The ten buttons with the text \
\"BACKGROUND\" change the background color to that indicated. \n\
\[FilledSmallSquare] The \"",
 StyleBox["Get Font Options",
  FontFamily->"Helvetica",
  FontSlant->"Plain"],
 "\" button reads the font options ",
 StyleBox["FontColor",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontFamily",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontProperties",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontSize",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontSlant",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontTracking",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontVariations",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontWeight",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " and ",
 StyleBox["Background",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " into the variable ",
 StyleBox["$FontPaintOptions",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " from the selection. You might manually edit the settings for this variable \
to fit special needs and also add other options.\n\[FilledSmallSquare] The \"",
 StyleBox["Paint Font Options",
  FontFamily->"Helvetica",
  FontSize->12,
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontVariations->{"CompatibilityType"->"Normal",
  "Masked"->False,
  "Outline"->False,
  "RotationAngle"->0,
  "Shadow"->False,
  "StrikeThrough"->False,
  "Underline"->False},
  FontProperties->{"FontMonospaced"->Automatic,
  "FontSerifed"->Automatic},
  FontColor->Automatic,
  Background->RGBColor[0.964706, 0.929412, 0.839216]],
 "\" button sets these options for the selections. These buttons are thus \
analogous to the Format Painter feature in Microsoft Word. If the \"",
 StyleBox["Get Font Options",
  FontFamily->"Helvetica",
  FontSlant->"Plain"],
 "\" has not been pressed first, the \"",
 StyleBox["Paint Font Options",
  FontFamily->"Helvetica",
  FontSlant->"Plain"],
 "\" button will act as this button the first time it is pressed. The font \
and background of the button will reflect the settings of the variable ",
 StyleBox["$FontPaintOptions",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", except for the font size.  "
}], "Usage",
 CellChangeTimes->{{3.492013374814536*^9, 3.492013440363285*^9}, {
  3.4920134776434174`*^9, 3.492013478247452*^9}, {3.4920158107502084`*^9, 
  3.4920158189476776`*^9}, {3.4920159908885117`*^9, 3.492016015369912*^9}, {
  3.492230230202922*^9, 3.4922302356522336`*^9}, {3.4922302736454067`*^9, 
  3.4922302736514072`*^9}}],

Cell[TextData[{
 "\[FilledSmallSquare] The \"",
 StyleBox["CopyAsInputFormK",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 "\" , \"",
 StyleBox["*\[Rule]\[SpaceIndicator]",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 "\", \"",
 StyleBox["\[FilledSmallSquare], \[FilledSmallSquare]",
  FontFamily->"Helvetica",
  FontSlant->"Plain"],
 "\", \"\[FilledSmallSquare]\" , \"",
 StyleBox["Peel",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 "\",  \"",
 StyleBox["StyleRemove",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 "\",  \"",
 StyleBox["MG",
  FontWeight->"Bold"],
 "\",  \"",
 StyleBox["GC",
  FontWeight->"Bold"],
 "\", \"",
 StyleBox["Search",
  FontWeight->"Bold"],
 "\", \"",
 StyleBox["Web",
  FontWeight->"Bold"],
 "\",\"",
 StyleBox["Get Font Options",
  FontFamily->"Helvetica",
  FontSlant->"Plain"],
 "\" and \"",
 StyleBox["Paint Font Options",
  FontFamily->"Helvetica",
  FontSlant->"Plain"],
 "\" buttons use the kernel for the evaluation. The other buttons use the \
FrontEnd."
}], "Notes",
 CellChangeTimes->{{3.4920133507321587`*^9, 3.4920133565204897`*^9}}],

Cell[TextData[{
 "\[FilledSmallSquare] The \"",
 StyleBox["CopyAsInputForm",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 "\" button can be very useful when copying from Help."
}], "Notes"],

Cell[TextData[{
 "\[FilledSmallSquare] The \"",
 StyleBox["CopyAsInputForm",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 "\" button can turn PostScript graphics into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Graphics, as a set of 2D lines, polygons and text. The button uses the \
ImportString[psstring,\"APS\"] command for that purpose, but unlike this \
command the button is at least in some cases able to recover the original \
coordinates. This mechanism is destroyed if the PlotRange is set to Automatic \
and there is text at the borders. The button also cannot handle the insertion \
point of text in a proper way in some cases. The command can become slow for \
complicated figures. For sound cells, the \"Convert to InputForm\" mechanism \
is used to convert the cell into a reloadable Input cell."
}], "Notes"],

Cell[TextData[{
 "\[FilledSmallSquare] ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " internally can represent text in two ways, as TextData or as BoxData. The ",
 StyleBox["\"",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["StyleRemove",
  FontWeight->"Bold"],
 StyleBox["\"",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 " button try to transform as much as possible to the TextData representation \
before writing it back. This tranformation is not easy to accomplish by using \
the supplied menu commands. If you convert a cell from style \"Input\" to \
style \"Text\", the result is not always satisfying. Try then to apply",
 StyleBox[" ",
  FontFamily->"Times",
  FontSlant->"Plain"],
 StyleBox["\"",
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["StyleRemove",
  FontFamily->"Times",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["\".",
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox[" ",
  FontFamily->"Times",
  FontSlant->"Plain"]
}], "Notes"],

Cell["\<\
\[FilledSmallSquare] The buttons for adding and removing brackets do not \
perform any balance check. Use Shift-Ctrl-B to perform balance check.\
\>", "Notes"],

Cell[TextData[{
 "\[FilledSmallSquare] Remember to save often. ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " might crash, and please do not blame me. Face and font changes applied to \
unbalanced expressions probably increase the crash risk."
}], "Notes"],

Cell[TextData[{
 "\[FilledSmallSquare] If you want to reposition the opening position of the \
palette, change the properties of the file SetFaceAndFont2.nb from read-only. \
Open ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", reposition the palette and close ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " again, without using the GetFontOptions or PaintFontOptions buttons. \
Change the properties of the file SetFaceAndFont2.nb back to read-only again.\
\n\[FilledSmallSquare] ",
 StyleBox["Credits:",
  FontSlant->"Italic"],
 " A similar button as mine, CopyAsInputForm, was initially written by Omega \
Consulting, ",
 ButtonBox["http://omegaconsultinggroup.com/",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://omegaconsultinggroup.com/"], None}],
 ", presented in the MathGroup message mg34943 in June 2002. The code has \
here been completely rewritten as a Kernel command, to enable tailoring in \
special cases. It avoids leaving a variable cpynb defined, and has better \
behaviour together with TextData and GraphicData.\n  The font size buttons \
are inspired by the FormattingTools palette (from an early version of \
Publicon?), but do not work in exactly the same way. (For me the \
FormattingTools palette only works on the first character in the selection)\n \
  The parentheses buttons were suggested by DrBob but the idea has appeared \
earlier in MathGroup. The text color buttons were created by Murray \
Eisenberg, who also have provided many good suggestions."
}], "Notes"],

Cell[TextData[{
 "\[FilledSmallSquare] ",
 StyleBox["Version 2.1.1,",
  FontSlant->"Italic"],
 " ",
 StyleBox["created 2010-08-31 \n",
  FontFamily->"Times",
  FontSlant->"Italic"],
 StyleBox["This version is not adapted yet to the new graphics in ",
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["Mathematica",
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Italic",
  FontVariations->{"Underline"->False}],
 StyleBox[" version 6 and later. Nor is the Help adapted to the new Help \
style.",
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}]
}], "Notes",
 CellChangeTimes->{{3.4920134994416637`*^9, 3.4920135109673233`*^9}, {
  3.4920160853949175`*^9, 3.4920161880077868`*^9}, {3.4922302889962845`*^9, 
  3.492230297210755*^9}}],

Cell[TextData[{
 "If you have any comments or suggestions, please email them. Or, if you just \
find the palette useful and want to get informed about updates, send an email \
telling just this.\nIngolf Dahl, Sweden\ningolf.dahl@telia.com \nWeb page for \
updates: ",
 ButtonBox["http://www.familydahl.se/mathematica",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.familydahl.se/mathematica"], None},
  ButtonNote->"http://www.familydahl.se/mathematica"]
}], "Notes",
 CellChangeTimes->{{3.492013288752613*^9, 3.492013316733214*^9}}],

Cell["\[Copyright]  IngolfDahl, Sweden 2010\[IndentingNewLine]", "Text",
 CellChangeTimes->{{3.492013229322214*^9, 3.4920132299532504`*^9}}]
}, Open  ]]
},
Editable->True,
ScreenStyleEnvironment->"Brackets",
WindowToolbars->{},
Selectable->True,
WindowSize->{790, 884},
WindowMargins->{{20, Automatic}, {1, Automatic}},
WindowClickSelect->True,
TaggingRules:>{
 "NextIndexingNumber" -> 3, 
  "IndexEntries" -> {{"i:1", "ExpressionToTaggedCell"}, {
    "i:2", "ExpressionToTaggedCell"}}},
CellLabelAutoDelete->True,
IndexCreationOptions -> {"Format" -> "Hyperlinks"},
Magnification->1,
Background->GrayLevel[1],
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 89, 1, 39, "ObjectName"],
Cell[659, 25, 40, 0, 31, "Usage"],
Cell[702, 27, 134, 2, 27, "Input"],
Cell[839, 31, 17808, 541, 1160, "Usage"],
Cell[18650, 574, 1181, 48, 40, "Notes"],
Cell[19834, 624, 215, 7, 24, "Notes"],
Cell[20052, 633, 861, 17, 88, "Notes"],
Cell[20916, 652, 1209, 39, 55, "Notes"],
Cell[22128, 693, 169, 3, 23, "Notes"],
Cell[22300, 698, 264, 6, 39, "Notes"],
Cell[22567, 706, 1525, 30, 185, "Notes"],
Cell[24095, 738, 873, 27, 45, "Notes"],
Cell[24971, 767, 549, 11, 105, "Notes"],
Cell[25523, 780, 140, 1, 39, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
