(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     26259,        710]
NotebookOptionsPosition[     25248,        674]
NotebookOutlinePosition[     25678,        692]
CellTagsIndexPosition[     25635,        689]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{":", 
    RowBox[{"Title", ":", "SetFaceAndFont"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{":", 
    RowBox[{"Context", ":", "SetFaceAndFont`SetFaceAndFont"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{":", 
    RowBox[{"Author", ":", 
     RowBox[{"Ingolf", " ", "Dahl", " ", 
      RowBox[{"ingolf", ".", 
       RowBox[{"dahl", "@", "telia"}], ".", "com"}]}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{":", 
     RowBox[{"Summary", ":", " ", 
      RowBox[{
      "This", " ", "is", " ", "an", " ", "package", " ", "to", " ", "print", 
       " ", "and", " ", "plot", " ", "to", " ", "named", " ", "cells"}]}]}], 
    ",", " ", 
    RowBox[{"using", " ", "the", " ", "Cell", " ", "Tag", " ", "mechanism"}], 
    ",", " ", 
    RowBox[{
    "and", " ", "also", " ", "use", " ", "this", " ", "function", " ", "for", 
     " ", "interactive", " ", "input", " ", 
     RowBox[{"cells", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{":", 
    RowBox[{"Copyright", ":", 
     RowBox[{
     "\[Copyright]", " ", "2006", " ", "by", " ", "Ingolf", " ", "Dahl"}]}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{":", 
    RowBox[{"Package", " ", 
     RowBox[{"Version", ":", "0.93"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{":", 
    RowBox[{"Mathematica", " ", 
     RowBox[{"Version", ":", "5.1"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{":", 
     RowBox[{"Keywords", ":", " ", "ChangeStringLevel"}]}], ",", " ", 
    "HigherLevelStrings", ",", " ", "StringWash"}], " ", "*)"}]}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"BeginPackage", "[", "\"\<SetFaceAndFont`\>\"", "]"}], 
  ";"}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SetFaceAndFont", "::", "usage"}], "=", 
   "\"\<This is an package to print and plot to named cells, using the Cell \
Tag mechanism, and also use this function for interactive input cells. \\!\\(\
\\*ButtonBox[\\(More...\\),ButtonStyle->\\\"AddOnsLink\\\",ButtonData:>\\\"\
SetFaceAndFont\\\"]\\)\>\""}], ";"}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Begin", "[", "\"\<`Private`\>\"", "]"}], ";"}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"BracketMatchQ", "[", "s_String", "]"}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"FindMatchingBracket", "[", 
     RowBox[{"s", ",", " ", "1"}], "]"}], "===", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"StringLength", "[", "s", "]"}]}], "}"}], "}"}]}], 
   ")"}]}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"BracketStrings", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\"\<(*\>\"", ",", "\"\<*)\>\""}], "}"}], 
      RowBox[{"{", 
       RowBox[{"\"\<(\>\"", ",", "\"\<)\>\""}], "}"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<{\>\"", ",", "\"\<}\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<[\>\"", ",", "\"\<]\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\[LeftDoubleBracket]\>\"", ",", "\"\<\[RightDoubleBracket]\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<\[LeftSkeleton]\>\"", ",", "\"\<\[RightSkeleton]\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<\[LeftFloor]\>\"", ",", "\"\<\[RightFloor]\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"\"\<\[LeftCeiling]\>\"", ",", "\"\<\[RightCeiling]\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\[LeftAngleBracket]\>\"", ",", "\"\<\[RightAngleBracket]\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\[LeftBracketingBar]\>\"", ",", "\"\<\[RightBracketingBar]\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\[LeftDoubleBracketingBar]\>\"", ",", 
       "\"\<\[RightDoubleBracketingBar]\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\[OpenCurlyDoubleQuote]\>\"", ",", 
       "\"\<\[CloseCurlyDoubleQuote]\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FromCharacterCode", "[", "63433", "]"}], ",", 
       RowBox[{"FromCharacterCode", "[", "63424", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<\\\"\>\"", ",", "\"\<\\\"\>\""}], "}"}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ChangeStringLevel", "[", 
   RowBox[{"s_", ",", "n_Integer"}], "]"}], ":=", 
  RowBox[{"Which", "[", 
   RowBox[{
    RowBox[{"n", "===", "0"}], ",", "s", ",", "\[IndentingNewLine]", 
    RowBox[{"n", ">", "0"}], ",", 
    RowBox[{"Nest", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"ToString", "[", 
         RowBox[{"#", "/.", " ", 
          RowBox[{"{", 
           RowBox[{"s1_String", ":>", 
            RowBox[{"\"\<\\\"\>\"", "<>", 
             RowBox[{"StringReplace", "[", 
              RowBox[{"s1", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"FromCharacterCode", "[", "34", "]"}], "\[Rule]", 
                  " ", "\"\<\\\\\\\"\>\""}], ",", 
                 RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}], 
                "}"}]}], "]"}], "<>", "\"\<\\\"\>\""}]}], "}"}]}], "]"}], 
        ")"}], "&"}], " ", ",", "s", ",", "n"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"n", "<", "0"}], ",", 
    RowBox[{"Nest", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"#", "/.", 
         RowBox[{"{", 
          RowBox[{"s1_String", ":>", 
           RowBox[{"ToExpression", "[", "s1", "]"}]}], "}"}]}], ")"}], "&"}], 
      ",", "s", ",", 
      RowBox[{"-", "n"}]}], "]"}]}], "]"}]}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"FindMatchingBracket", "[", 
   RowBox[{"s_String", ",", " ", "pos_Integer"}], "]"}], ":=", " ", 
  RowBox[{"Catch", "[", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"startbracket", ",", "endbracket", ",", "res"}], "}"}], ",", 
     RowBox[{
      RowBox[{"startbracket", "=", 
       RowBox[{"Which", "[", 
        RowBox[{
         RowBox[{"And", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"StringLength", "[", "s", "]"}], "\[GreaterEqual]", "4"}],
            ",", 
           RowBox[{
            RowBox[{"StringTake", "[", 
             RowBox[{"s", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "===", 
            "\"\<(*\>\""}]}], "]"}], ",", "\"\<(*\>\"", ",", 
         "\[IndentingNewLine]", 
         RowBox[{"And", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"StringLength", "[", "s", "]"}], "\[GreaterEqual]", 
            RowBox[{"pos", "+", "1"}]}], ",", 
           RowBox[{"MemberQ", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Transpose", "[", "BracketStrings", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{"StringTake", "[", 
              RowBox[{"s", ",", 
               RowBox[{"{", "pos", "}"}]}], "]"}]}], "]"}]}], "]"}], ",", 
         RowBox[{"StringTake", "[", 
          RowBox[{"s", ",", 
           RowBox[{"{", "pos", "}"}]}], "]"}], ",", "True", ",", 
         RowBox[{"Throw", "[", 
          RowBox[{"{", "}"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"endbracket", "=", 
       RowBox[{"Part", "[", 
        RowBox[{"BracketStrings", ",", 
         RowBox[{"Sequence", "@@", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"Position", "[", 
              RowBox[{"BracketStrings", ",", "startbracket"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], "+", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}]}], ")"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"res", "=", 
       RowBox[{"StringPosition", "[", 
        RowBox[{
         RowBox[{"StringWash", "[", 
          RowBox[{"StringDrop", "[", 
           RowBox[{"s", ",", "pos"}], "]"}], "]"}], ",", "endbracket"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"res", "===", 
         RowBox[{"{", "}"}]}], ",", 
        RowBox[{"Throw", "[", 
         RowBox[{"{", "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"res", "=", 
       RowBox[{"{", 
        RowBox[{"pos", ",", 
         RowBox[{"pos", "+", 
          RowBox[{"res", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "2"}], "]"}], "]"}]}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"StringReplace", "[", 
          RowBox[{
           RowBox[{"StringWash", "[", 
            RowBox[{"StringTake", "[", 
             RowBox[{"s", ",", "res"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"\"\< \>\"", "->", "\"\<\>\""}], "}"}]}], "]"}], "===", 
         "\"\<\>\""}], ",", 
        RowBox[{"Throw", "[", 
         RowBox[{"{", "res", "}"}], "]"}], ",", 
        RowBox[{"Throw", "[", 
         RowBox[{"{", "}"}], "]"}]}], "]"}]}]}], "]"}], "\[IndentingNewLine]",
    "]"}]}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HigherLevelStrings", "[", 
    RowBox[{"s_", ",", "0"}], "]"}], ":=", 
   RowBox[{"ChangeStringLevel", "[", 
    RowBox[{"s", ",", "1"}], "]"}]}], ";", 
  RowBox[{
   RowBox[{"HigherLevelStrings", "[", 
    RowBox[{"s_", ",", 
     RowBox[{"n_Integer", "/;", " ", 
      RowBox[{"n", ">", "0"}]}]}], "]"}], ":=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Nest", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Flatten", "[", 
            RowBox[{"{", "#", "}"}], "]"}], "===", 
           RowBox[{"{", "}"}]}], ",", 
          RowBox[{"{", "}"}], ",", 
          RowBox[{
           RowBox[{"StringCases", "[", 
            RowBox[{
             RowBox[{"Flatten", "[", 
              RowBox[{"{", "#", "}"}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"FromCharacterCode", "[", "34", "]"}], "~~", 
               RowBox[{"s1___", "~~", 
                RowBox[{"FromCharacterCode", "[", "34", "]"}]}]}], "/;", 
              RowBox[{"And", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"StringCount", "[", 
                  RowBox[{"s1", ",", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Except", "[", "\"\<\\\\\>\"", "]"}], "|", 
                    "StartOfString"}], ")"}], "~~", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}]}]}], "]"}], 
                 "\[Equal]", "0"}], ",", 
                RowBox[{"Not", "[", 
                 RowBox[{"StringMatchQ", "[", 
                  RowBox[{"s1", ",", 
                   RowBox[{"___", "~~", "\"\<\\\\\>\""}]}], "]"}], "]"}]}], 
               "]"}]}]}], "]"}], " ", "/.", 
           RowBox[{"{", 
            RowBox[{"s2_String", ":>", 
             RowBox[{"ChangeStringLevel", "[", 
              RowBox[{"s2", ",", 
               RowBox[{"-", "1"}]}], "]"}]}], "}"}]}]}], "]"}], ")"}], "&"}], 
      ",", 
      RowBox[{"Cases", "[", 
       RowBox[{"s", ",", "_String", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Infinity"}], "}"}]}], "]"}], ",", 
      RowBox[{"n", "-", "1"}]}], "]"}], "]"}]}]}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"StringWash", "[", "s_String", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "pos1", ",", "pos2", ",", "firststring", ",", "reststring", ",", 
      "parstrings"}], "}"}], ",", 
    RowBox[{
     RowBox[{"reststring", "=", "s"}], ";", 
     RowBox[{"firststring", "=", "\"\<\>\""}], ";", "\[IndentingNewLine]", 
     RowBox[{"While", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Length", "[", 
         RowBox[{"pos1", "=", 
          RowBox[{"StringPosition", "[", 
           RowBox[{"reststring", ",", 
            RowBox[{"\"\<(*\>\"", "|", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Except", "[", "\"\<\\\\\>\"", "]"}], "~~", 
               "\"\<\\\"\>\""}], ")"}], "|", 
             RowBox[{"(", 
              RowBox[{"StartOfString", "~~", "\"\<\\\"\>\""}], ")"}]}]}], 
           "]"}]}], "]"}], ">", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Which", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"StringTake", "[", 
           RowBox[{"reststring", ",", 
            RowBox[{"pos1", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "==", "\"\<(*\>\""}], 
         ",", 
         RowBox[{
          RowBox[{"pos2", "=", 
           RowBox[{
            RowBox[{"StringPosition", "[", 
             RowBox[{
              RowBox[{"StringDrop", "[", 
               RowBox[{"reststring", ",", 
                RowBox[{"pos1", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "]"}], ",", 
              "\"\<*)\>\""}], "]"}], "+", 
            RowBox[{"pos1", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "2"}], "]"}], "]"}]}]}], ";", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Length", "[", "pos2", "]"}], ">", "0"}], ",", 
            RowBox[{"reststring", "=", 
             RowBox[{"StringInsert", "[", 
              RowBox[{
               RowBox[{"StringDrop", "[", 
                RowBox[{"reststring", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"pos1", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
                   RowBox[{"pos2", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "}"}]}], "]"}], 
               ",", 
               RowBox[{"StringJoin", "@@", 
                RowBox[{"Table", "[", 
                 RowBox[{"\"\< \>\"", ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"pos2", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"pos1", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}], "+", "1"}], 
                   "}"}]}], "]"}]}], ",", 
               RowBox[{"pos1", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}]}], ",", 
            RowBox[{
             RowBox[{"firststring", "=", 
              RowBox[{"firststring", "<>", 
               RowBox[{"StringTake", "[", 
                RowBox[{"reststring", ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", 
                   RowBox[{"pos1", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "}"}]}], 
                "]"}]}]}], ";", 
             RowBox[{"reststring", "=", 
              RowBox[{"StringDrop", "[", 
               RowBox[{"reststring", ",", 
                RowBox[{"pos1", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "]"}]}]}]}], 
           "]"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"StringTake", "[", 
           RowBox[{"reststring", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"pos1", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"pos1", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "}"}]}], "]"}], 
          "==", "\"\<\\\"\>\""}], ",", 
         RowBox[{
          RowBox[{"pos2", "=", 
           RowBox[{"StringPosition", "[", 
            RowBox[{"reststring", ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Except", "[", "\"\<\\\\\>\"", "]"}], "~~", 
                "\"\<\\\"\>\""}], ")"}], "|", 
              RowBox[{"(", 
               RowBox[{"StartOfString", "~~", "\"\<\\\"\>\""}], ")"}]}]}], 
            "]"}]}], ";", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Length", "[", "pos2", "]"}], ">", "1"}], ",", 
            RowBox[{"reststring", "=", 
             RowBox[{"StringInsert", "[", 
              RowBox[{
               RowBox[{"StringDrop", "[", 
                RowBox[{"reststring", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"pos1", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
                   RowBox[{"pos2", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "2"}], "]"}], "]"}]}], "}"}]}], "]"}], 
               ",", 
               RowBox[{"StringJoin", "@", 
                RowBox[{"Table", "[", 
                 RowBox[{"\"\< \>\"", ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"pos2", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"pos1", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}], "+", "1"}], 
                   "}"}]}], "]"}]}], ",", 
               RowBox[{"pos1", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "]"}]}], ",", 
            RowBox[{
             RowBox[{"firststring", "=", 
              RowBox[{"firststring", "<>", 
               RowBox[{"StringTake", "[", 
                RowBox[{"reststring", ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", 
                   RowBox[{"pos1", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "}"}]}], 
                "]"}]}]}], ";", 
             RowBox[{"reststring", "=", 
              RowBox[{"StringDrop", "[", 
               RowBox[{"reststring", ",", 
                RowBox[{"pos1", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "]"}]}]}]}], 
           "]"}]}]}], "]"}]}], "]"}], ";", 
     RowBox[{"reststring", "=", 
      RowBox[{"firststring", "<>", "reststring"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"parstrings", "=", 
      RowBox[{"{", 
       RowBox[{
       "\"\<(\>\"", ",", "\"\<)\>\"", ",", "\"\<{\>\"", ",", "\"\<}\>\"", 
        ",", "\"\<[\>\"", ",", "\"\<]\>\"", ",", 
        "\"\<\[LeftDoubleBracket]\>\"", ",", "\"\<\[RightDoubleBracket]\>\"", 
        ",", "\"\<\[LeftSkeleton]\>\"", ",", "\"\<\[RightSkeleton]\>\"", ",", 
        "\"\<\[LeftFloor]\>\"", ",", "\"\<\[RightFloor]\>\"", ",", 
        "\"\<\[LeftCeiling]\>\"", ",", "\"\<\[RightCeiling]\>\"", ",", 
        "\"\<\[LeftAngleBracket]\>\"", ",", "\"\<\[RightAngleBracket]\>\"", 
        ",", "\"\<\[LeftBracketingBar]\>\"", ",", 
        "\"\<\[RightBracketingBar]\>\"", ",", 
        "\"\<\[LeftDoubleBracketingBar]\>\"", ",", 
        "\"\<\[RightDoubleBracketingBar]\>\"", ",", 
        "\"\<\[OpenCurlyDoubleQuote]\>\"", ",", 
        "\"\<\[CloseCurlyDoubleQuote]\>\"", ",", 
        RowBox[{"FromCharacterCode", "[", "63433", "]"}], ",", 
        RowBox[{"FromCharacterCode", "[", "63424", "]"}], ",", "\"\<\\\"\>\"",
         ",", "\"\<\\\"\>\""}], "}"}]}], ";", 
     RowBox[{"reststring", "=", 
      RowBox[{"FixedPoint", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"StringReplace", "[", 
           RowBox[{"#", ",", 
            RowBox[{"Join", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"s1", ":", 
                  RowBox[{"(", 
                   RowBox[{"\"\<\\\\(\>\"", "~~", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Except", "[", "parstrings", "]"}], "..."}], 
                    "~~", "\"\<\\\\)\>\""}]}], ")"}]}], ":>", 
                 RowBox[{"StringJoin", "@", 
                  RowBox[{"Table", "[", 
                   RowBox[{"\"\< \>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"StringLength", "[", "s1", "]"}], "}"}]}], 
                   "]"}]}]}], ",", 
                RowBox[{
                 RowBox[{"s1", ":", 
                  RowBox[{"(", 
                   RowBox[{"\"\<\\\\(\>\"", "~~", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Except", "[", "parstrings", "]"}], "..."}], 
                    "~~", "\"\<)\>\""}]}], ")"}]}], "\[RuleDelayed]", "s1"}], 
                ",", 
                RowBox[{
                 RowBox[{"s1", ":", 
                  RowBox[{"(", 
                   RowBox[{"\"\<(\>\"", "~~", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Except", "[", "parstrings", "]"}], "..."}], 
                    "~~", "\"\<\\\\)\>\""}]}], ")"}]}], "\[RuleDelayed]", 
                 "s1"}], ",", 
                RowBox[{"\"\<()\>\"", "->", "\"\<  \>\""}], ",", 
                RowBox[{
                 RowBox[{"\"\<(\>\"", "~~", 
                  RowBox[{
                   RowBox[{"Except", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "\"\<*\>\"", "}"}], ",", "parstrings"}], 
                    "]"}], "]"}], "~~", "\"\<)\>\""}]}], "->", 
                 "\"\<   \>\""}], ",", 
                RowBox[{
                 RowBox[{"s1", ":", 
                  RowBox[{"(", 
                   RowBox[{"\"\<(\>\"", "~~", 
                    RowBox[{
                    RowBox[{"Except", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "\"\<*\>\"", "}"}], ",", "parstrings"}], 
                    "]"}], "]"}], "~~", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Except", "[", "parstrings", "]"}], "..."}], "~~", 
                    RowBox[{
                    RowBox[{"Except", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "\"\<*\>\"", "}"}], ",", "parstrings"}], 
                    "]"}], "]"}], "~~", "\"\<)\>\""}]}]}]}], ")"}]}], ":>", 
                 RowBox[{"StringJoin", "@", 
                  RowBox[{"Table", "[", 
                   RowBox[{"\"\< \>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"StringLength", "[", "s1", "]"}], "}"}]}], 
                   "]"}]}]}]}], "}"}], ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"s1", ":", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    "parstrings", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}], "~~", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Except", "[", "parstrings", "]"}], "..."}], "~~", 
                    RowBox[{"parstrings", "\[LeftDoubleBracket]", 
                    RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}]}]}], 
                   ")"}]}], ":>", 
                 RowBox[{"StringJoin", "@", 
                  RowBox[{"Table", "[", 
                   RowBox[{"\"\< \>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"StringLength", "[", "s1", "]"}], "}"}]}], 
                   "]"}]}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "3", ",", "23", ",", "2"}], "}"}]}], 
               "]"}]}], "]"}]}], "]"}], ")"}], "&"}], ",", "reststring"}], 
       "]"}]}]}]}], "]"}]}]], "Input",
 InitializationCell->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"End", "[", "]"}], ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"Protect", "[", 
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"Context", "[", "]"}], "<>", "\"\<*\>\""}], "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EndPackage", "[", "]"}], ";"}]}], "Input",
 InitializationCell->True]
},
AutoGeneratedPackage->Automatic,
ScreenStyleEnvironment->"Brackets",
WindowSize->{409, 900},
WindowMargins->{{145, Automatic}, {Automatic, 99}},
Visible->True,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1821, 50, 372, "Input",
 InitializationCell->True],
Cell[2369, 72, 135, 4, 31, "Input",
 InitializationCell->True],
Cell[2507, 78, 395, 8, 192, "Input",
 InitializationCell->True],
Cell[2905, 88, 119, 3, 31, "Input",
 InitializationCell->True],
Cell[3027, 93, 378, 12, 72, "Input",
 InitializationCell->True],
Cell[3408, 107, 1713, 49, 172, "Input"],
Cell[5124, 158, 1415, 39, 312, "Input",
 InitializationCell->True],
Cell[6542, 199, 3497, 93, 592, "Input",
 InitializationCell->True],
Cell[10042, 294, 2320, 62, 392, "Input",
 InitializationCell->True],
Cell[12365, 358, 12497, 300, 1892, "Input",
 InitializationCell->True],
Cell[24865, 660, 379, 12, 92, "Input",
 InitializationCell->True]
}
]
*)

(* End of internal cache information *)

