(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    612213,      12866]
NotebookOptionsPosition[    611727,      12845]
NotebookOutlinePosition[    612212,      12866]
CellTagsIndexPosition[    612135,      12861]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"NotebookWrite", "[", 
  RowBox[{
   RowBox[{"InputNotebook", "[", "]"}], ",", 
   RowBox[{"Cell", "[", 
    RowBox[{
     RowBox[{"BoxData", "[", 
      RowBox[{"DynamicModuleBox", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"$FontPaintOptions", "=", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
             RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
             RowBox[{"FontColor", "\[Rule]", 
              RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "}"}]}], ",", 
          RowBox[{"buttontext", "=", 
           RowBox[{"StyleBox", "[", 
            RowBox[{
             RowBox[{"RowBox", "[", 
              RowBox[{"{", 
               RowBox[{
               "\"\<   Paint\>\"", ",", "\"\< \>\"", ",", "\"\<Font\>\"", 
                ",", "\"\< \>\"", ",", "\"\<Options     \>\""}], "}"}], "]"}],
              ",", 
             RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
             RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
             RowBox[{"FontColor", "\[Rule]", 
              RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}]}]}], "}"}], ",", 
        RowBox[{"GridBox", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"GridBox", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<CopyAsInputFormK\>\"", "}"}], "]"}], 
                    ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"readitem", ",", "tws"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"NotebookRead", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ";", 
                    RowBox[{"Catch", "[", 
                    RowBox[{
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"readitem", "===", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"FormBox", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "___", "]"}], ",", "___"}], 
                    "]"}]}], "]"}], "=!=", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"ListQ", "[", "readitem", "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    "\"\<CursorPosition\>\"", "/.", "\[InvisibleSpace]", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"LinkWrite", "[", 
                    RowBox[{"$ParentLink", ",", 
                    RowBox[{"CellInformation", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], "]"}], ";", 
                    RowBox[{"LinkRead", "[", "$ParentLink", "]"}]}], "]"}]}], 
                    ")"}], "=!=", "\"\<CellBracket\>\""}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", "readitem", "]"}], ",", 
                    "\"\<Input\>\"", ",", 
                    RowBox[{"ShowSpecialCharacters", "\[Rule]", "False"}]}], 
                    "]"}]}]}], "]"}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "_Graphics3D", "]"}], "|", 
                    RowBox[{"BoxData", "[", "_SurfaceGraphics", "]"}], "|", 
                    "_GraphicsData"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"SelectionMove", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", "All", ",", 
                    "Cell"}], "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"NotebookRead", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}]}]}], "]"}], 
                    ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"StringQ", "[", "readitem", "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Input\>\"", ",", 
                    RowBox[{"ShowSpecialCharacters", "\[Rule]", "False"}]}], 
                    "]"}]}]}], "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"TextData", "[", "a_String", "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"a_String", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a", "}"}], "]"}], ",", "\"\<Input\>\"", ",", 
                    RowBox[{"ShowSpecialCharacters", "\[Rule]", "False"}]}], 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", "x_", "]"}], "/;", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", "x", "]"}], "=!=", "List"}], "&&", 
                    RowBox[{
                    RowBox[{"Head", "[", "x", "]"}], "=!=", "Graphics3D"}], "&&", 
                    RowBox[{
                    RowBox[{"Head", "[", "x", "]"}], "=!=", 
                    "SurfaceGraphics"}]}]}], "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "x", "}"}], "]"}]}]}], "}"}]}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", "b1_ButtonBox", ",", "c1___"}], 
                    "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "b1", "}"}], "]"}], ",", "\"\<Input\>\""}], 
                    "]"}], ",", "c1"}], "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<(*\>\"", ",", "a1___", ",", "\"\<*)\>\""}], 
                    "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<Comment\>\"", ",", "\"\<[\>\"", ",", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", "a1", "}"}], "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"x_String", "\[RuleDelayed]", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], "\[Rule]", 
                    "\"\<\\\\\\\"\>\""}], ",", 
                    RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}],
                     "}"}]}], "]"}]}], "}"}]}], ")"}]}], ",", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], ",", 
                    "\"\<]\>\""}], "}"}], "]"}], ",", "\"\<;\>\""}], "}"}], 
                    "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"a1", ":", 
                    RowBox[{"_Graphics3D", "|", "_SurfaceGraphics"}]}], "]"}],
                     ",", "a2___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<NotebookWrite\>\"", ",", "\"\<[\>\"", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<InputNotebook\>\"", ",", "\"\<[\>\"", ",", 
                    "\"\<]\>\""}], "}"}], "]"}], ",", "\"\<,\>\"", ",", 
                    RowBox[{"ToBoxes", "[", 
                    TagBox[
                    StyleBox[
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "a1", "]"}], ",", "a2"}], "]"}],
                    ShowSpecialCharacters->False,
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    FullForm], "]"}]}], "}"}], "]"}], ",", "\"\<]\>\""}], 
                    "}"}], "]"}], "]"}], ",", "\"\<Input\>\""}], "]"}]}], 
                    "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "a1___", ",", "\"\<\[IndentingNewLine]\>\"", ",", 
                    "b1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "a1", ",", "\"\<\[IndentingNewLine]\>\"", ",", "b1"}], 
                    "}"}], "]"}], "}"}], "]"}], "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\[IndentingNewLine]\>\"", "\[Rule]", "\"\<\\n\>\""}],
                     "}"}]}], ")"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1_", ",", "b1___", ",", "c1_", ",", "d1___"}], 
                    "}"}], "]"}], "/;", 
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", "b1", "}"}], ",", "\"\<\\n\>\""}], "]"}]}], "&&", 
                    RowBox[{"!", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", "b1", "}"}], ",", 
                    "\"\<\[IndentingNewLine]\>\""}], "]"}]}], "&&", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\\n\>\"", ",", "\"\<\[IndentingNewLine]\>\""}], 
                    "}"}], ",", "c1"}], "]"}]}]}], "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\\n\>\"", ",", "#1"}], "}"}]}], "&"}], ")"}],
                     "/@", 
                    RowBox[{"{", "b1", "}"}]}]}], ",", "c1", ",", "d1"}], 
                    "}"}], "]"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1_", ",", "b1__"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\\n\>\"", ",", "#1"}], "}"}]}], "&"}], ")"}],
                     "/@", 
                    RowBox[{"{", "b1", "}"}]}]}]}], "}"}], "]"}], "}"}], 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1__", "]"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1", "]"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "a1_", "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}], "}"}], "]"}]}]}], 
                    "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"a1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "a1"}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1_List", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", "a1", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1__", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}]}], "}"}]}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1_", ",", "g2___"}], "}"}], "]"}], "/;", 
                    RowBox[{"!", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "String", ",", "List", ",", "RowBox", ",", "FormBox"}], 
                    "}"}], ",", 
                    RowBox[{"Head", "[", "g1", "]"}]}], "]"}]}]}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"$Messages", "=", 
                    RowBox[{"{", "}"}]}], "}"}], ",", 
                    RowBox[{"Check", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    InterpretationBox[
                    StyleBox[
                    RowBox[{"FullForm", "[", 
                    RowBox[{"ToExpression", "[", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<\\!\>\"", ",", " ", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<HoldComplete\>\"", ",", " ", "\"\<[\>\"", ",", " ", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1", ",", " ", "g2"}], "}"}], "]"}], ",", " ", 
                    "\"\<]\>\""}], "}"}], "]"}], ",", " ", "InputForm"}], 
                    "]"}]}], "]"}], "]"}], "]"}],
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    InputForm[
                    FullForm[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", 
                    
                    RowBox[{NotebookCompatibility`Dump`Symbols`g1, 
                    NotebookCompatibility`Dump`Symbols`g2}], "]"}], 
                    InputForm]]]]],
                    AutoDelete->True,
                    Editable->True], "]"}], ",", "13"}], "]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1", ",", "g2"}], "}"}], "]"}]}], "]"}]}], 
                    "]"}]}], "}"}]}], "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1___", ",", 
                    RowBox[{"{", "g2_", "}"}], ",", "g3___"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1", ",", "g2", ",", "g3"}], "}"}], "]"}]}], 
                    "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "c1___", ",", "a1_String", ",", "b1_String", ",", 
                    "d1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"a1", "<>", "b1"}], ",", "d1"}], "}"}], "]"}]}], 
                    ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "a1_String", "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{
                    RowBox[{"{", "x_", "}"}], ",", "___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"$Messages", "=", 
                    RowBox[{"{", "}"}]}], "}"}], ",", 
                    RowBox[{"Check", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    InterpretationBox[
                    StyleBox[
                    RowBox[{"FullForm", "[", 
                    RowBox[{"ToExpression", "[", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<\\!\>\"", ",", " ", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<HoldComplete\>\"", ",", " ", "\"\<[\>\"", ",", " ", 
                    "x", ",", " ", "\"\<]\>\""}], "}"}], "]"}], ",", " ", 
                    "InputForm"}], "]"}]}], "]"}], "]"}], "]"}],
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    InputForm[
                    FullForm[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]]],
                    AutoDelete->True,
                    Editable->True], "]"}], ",", "13"}], "]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], "}"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "x", "}"}], "]"}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"x1_", "/;", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "FontColor", ",", "FontFamily", ",", "FontProperties", 
                    ",", "FontSize", ",", "FontSlant", ",", "FontTracking", 
                    ",", "FontVariations", ",", "FontWeight", ",", 
                    "Background"}], "}"}], ",", "x1"}], "]"}]}], "\[Rule]", 
                    "_"}], ")"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"l1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "l1"}], ",", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "c1___", ",", "a1_String", ",", "b1_String", ",", 
                    "d1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"a1", "<>", "b1"}], ",", "d1"}], "}"}], "]"}]}], 
                    ",", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "b1___", "}"}], "]"}], ",", "c1___"}], "}"}],
                     "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", "\"\< \>\"", ",", "b1", ",", "c1"}], 
                    "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "a1_String", "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"ButtonBox", "[", "a1__", "]"}], "\[RuleDelayed]", 
                    RowBox[{"Button", "[", "a1", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FrameBox", "[", 
                    RowBox[{"a1_", ",", "_"}], "]"}], "\[RuleDelayed]", 
                    "a1"}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1_List", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", "a1", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1__", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"GridBox", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"{", 
                    RowBox[{"c1___", ",", 
                    RowBox[{"{", "d1___", "}"}], ",", "e1___"}], "}"}], ",", 
                    "b1___"}], "}"}], ",", "f1___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"GridBox", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "d1", "}"}], "]"}], ",", "e1"}], "}"}], ",", 
                    "b1"}], "}"}], ",", "f1"}], "]"}]}]}], "}"}]}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1_List", "]"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "#1", "}"}], "]"}], ",", "\"\<Text\>\""}], 
                    "]"}], "&"}], ")"}], "/@", "a1"}], "]"}]}], "}"}]}], "//.",
                     "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "a1_String", "}"}], "]"}], ",", "___"}], 
                    "]"}], ",", "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", "a1", ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "a1_String", "}"}], "]"}], ",", "___"}], 
                    "]"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}]}], "}"}]}]}], "]"}]}], 
                    "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{
                    RowBox[{"{", "x_", "}"}], ",", "___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    RowBox[{"Extract", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{"Position", "[", 
                    RowBox[{"x", ",", "_String"}], "]"}]}], "]"}], "/.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"a1_String", "\[RuleDelayed]", 
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], "<>", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"a1", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], "\[Rule]", 
                    "\"\<\\\\\\\"\>\""}], ",", 
                    RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}],
                     "}"}]}], "]"}], "<>", "\"\<\\\"\>\""}]}], "}"}]}], ",", 
                    RowBox[{"Position", "[", 
                    RowBox[{"x", ",", "_String"}], "]"}], ",", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{"Range", "[", 
                    RowBox[{"Length", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{"x", ",", "_String"}], "]"}], "]"}], "]"}], "}"}],
                     "]"}]}], "]"}], "]"}], "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"GraphicsData", "[", 
                    RowBox[{"\"\<PostScript\>\"", ",", "psstring_String"}], 
                    "]"}], ",", "\"\<Graphics\>\"", ",", "opts___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"cpynb", ",", "scale", ",", "aspectratio", ",", 
                    "graph", ",", "xmin", ",", "xmax", ",", "ymin", ",", 
                    "ymax"}], "}"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringCount", "[", 
                    RowBox[{"psstring", ",", "\"\<sampledsound\>\""}], "]"}], 
                    "\[GreaterEqual]", "1"}], ",", 
                    RowBox[{
                    RowBox[{"cpynb", "=", 
                    RowBox[{"CreateWindow", "[", 
                    RowBox[{
                    RowBox[{"Visible", "\[Rule]", "False"}], ",", 
                    RowBox[{
                    "WindowTitle", "\[Rule]", "\"\<Palette Scrap\>\""}]}], 
                    "]"}]}], ";", 
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{"cpynb", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"GraphicsData", "[", 
                    RowBox[{"\"\<PostScript\>\"", ",", "psstring"}], "]"}], 
                    ",", "\"\<Graphics\>\"", ",", "opts"}], "]"}]}], "]"}], 
                    ";", 
                    RowBox[{"SelectionMove", "[", 
                    RowBox[{"cpynb", ",", "All", ",", "Notebook"}], "]"}], 
                    ";", 
                    RowBox[{"FrontEndExecute", "[", 
                    RowBox[{"FrontEndToken", "[", 
                    RowBox[{
                    "cpynb", ",", "\"\<SelectionConvert\>\"", ",", 
                    "\"\<InputForm\>\""}], "]"}], "]"}], ";", 
                    RowBox[{"SelectionMove", "[", 
                    RowBox[{"cpynb", ",", "All", ",", "Notebook"}], "]"}], 
                    ";", 
                    RowBox[{"graph", "=", 
                    RowBox[{"NotebookRead", "[", "cpynb", "]"}]}], ";", 
                    RowBox[{"NotebookClose", "[", "cpynb", "]"}], ";", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{
                    "graph", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", "\"\<Input\>\""}], 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"scale", "=", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{"StringCases", "[", 
                    RowBox[{"psstring", ",", 
                    RowBox[{
                    RowBox[{"\"\<% Scaling calculations\\n\>\"", "~~", 
                    RowBox[{"s1", ":", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "Characters", "[", "\"\<1234567890+-e. \>\"", "]"}], 
                    ".."}], ")"}]}]}], "\[RuleDelayed]", 
                    RowBox[{"ImportString", "[", 
                    RowBox[{"s1", ",", "\"\<List\>\""}], "]"}]}]}], "]"}], 
                    "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "scale", "]"}], "\[NotEqual]", 
                    "4"}], ",", 
                    RowBox[{"scale", "=", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1", ",", "0", ",", "1"}], "}"}]}]}], 
                    "]"}], ";", 
                    RowBox[{"aspectratio", "=", 
                    RowBox[{"StringCases", "[", 
                    RowBox[{"psstring", ",", 
                    RowBox[{
                    RowBox[{"\"\<%%AspectRatio: \>\"", "~~", 
                    RowBox[{"s1", ":", "NumberString"}]}], "\[RuleDelayed]", 
                    RowBox[{"ToExpression", "[", "s1", "]"}]}]}], "]"}]}], 
                    ";", 
                    RowBox[{"aspectratio", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"aspectratio", ",", 
                    RowBox[{"{", 
                    RowBox[{"_Integer", "|", "_Real"}], "}"}]}], "]"}], ",", 
                    RowBox[{"aspectratio", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    FractionBox["1", "GoldenRatio"], ",", 
                    FractionBox["1", "GoldenRatio"]}], "]"}]}], ";", 
                    RowBox[{"xmin", "=", 
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]]}]}], ";", 
                    RowBox[{"xmax", "=", 
                    FractionBox[
                    RowBox[{"1", "-", 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]]}], ";", 
                    RowBox[{"ymin", "=", 
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "3", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "4", 
                    "\[RightDoubleBracket]"}]]}]}], ";", 
                    RowBox[{"ymax", "=", 
                    FractionBox[
                    RowBox[{"aspectratio", "-", 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "3", 
                    "\[RightDoubleBracket]"}]}], 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "4", 
                    "\[RightDoubleBracket]"}]]}], ";", 
                    RowBox[{"graph", "=", 
                    RowBox[{
                    RowBox[{"ImportString", "[", 
                    RowBox[{"psstring", ",", "\"\<APS\>\""}], "]"}], "/.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Point", "[", "a_", "]"}], "\[RuleDelayed]", 
                    RowBox[{"Point", "[", 
                    RowBox[{"a", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a1_", "?", "NumberQ"}], ",", 
                    RowBox[{"b1_", "?", "NumberQ"}]}], "}"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    FractionBox["a1", "288"], "-", 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]], ",", 
                    FractionBox[
                    RowBox[{
                    FractionBox["b1", "288"], "-", 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "3", 
                    "\[RightDoubleBracket]"}], "-", 
                    FractionBox[
                    RowBox[{"1", "-", "aspectratio"}], "2"]}], 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "4", 
                    "\[RightDoubleBracket]"}]]}], "}"}]}], "}"}]}], "]"}]}], 
                    ",", 
                    RowBox[{
                    RowBox[{"Line", "[", "a_", "]"}], "\[RuleDelayed]", 
                    RowBox[{"Line", "[", 
                    RowBox[{"a", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a1_", "?", "NumberQ"}], ",", 
                    RowBox[{"b1_", "?", "NumberQ"}]}], "}"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    FractionBox["a1", "288"], "-", 
                    RowBox[{"scale", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]], ",", 
                    FractionBox[
                    RowBox[{
                    FractionBox["b1", "288"], "-", 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "3", 
                    "\[RightDoubleBracket]"}], "-", 
                    FractionBox[
                    RowBox[{"1", "-", "aspectratio"}], "2"]}], 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "4", 
                    "\[RightDoubleBracket]"}]]}], "}"}]}], "}"}]}], "]"}]}], 
                    ",", 
                    RowBox[{
                    RowBox[{"Polygon", "[", "a_", "]"}], "\[RuleDelayed]", 
                    RowBox[{"Polygon", "[", 
                    RowBox[{"a", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a1_", "?", "NumberQ"}], ",", 
                    RowBox[{"b1_", "?", "NumberQ"}]}], "}"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    FractionBox["a1", "288"], "-", 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]], ",", 
                    FractionBox[
                    RowBox[{
                    FractionBox["b1", "288"], "-", 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "3", 
                    "\[RightDoubleBracket]"}], "-", 
                    FractionBox[
                    RowBox[{"1", "-", "aspectratio"}], "2"]}], 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "4", 
                    "\[RightDoubleBracket]"}]]}], "}"}]}], "}"}]}], "]"}]}], 
                    ",", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{"a_", ",", 
                    RowBox[{"{", 
                    RowBox[{"a1_", ",", "b1_"}], "}"}], ",", "c___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    TagBox[
                    StyleBox[
                    RowBox[{"ImportString", "[", 
                    RowBox[{
                    RowBox[{"ExportString", "[", 
                    RowBox[{
                    RowBox[{"Graphics", "[", 
                    RowBox[{"List", "[", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"List", "[", 
                    RowBox[{
                    RowBox[{"List", "[", 
                    RowBox[{"0", ",", "0"}], "]"}], ",", 
                    RowBox[{"List", "[", 
                    RowBox[{"1", ",", "1"}], "]"}]}], "]"}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{"a", ",", 
                    RowBox[{"List", "[", 
                    RowBox[{"0.`", ",", "0.`"}], "]"}], ",", "c"}], "]"}]}], 
                    "]"}], "]"}], ",", "\"\<EPS\>\""}], "]"}], ",", 
                    "\"\<APS\>\""}], "]"}],
                    ShowSpecialCharacters->False,
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    FullForm], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"___", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a2_", ",", "b2_"}], "}"}], ",", "_"}], "}"}], 
                    "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{"_", ",", 
                    RowBox[{"{", 
                    RowBox[{"e2_", ",", "f2_"}], "}"}], ",", "___"}], "]"}], 
                    ",", "___"}], "}"}], "\[RuleDelayed]", 
                    RowBox[{"Text", "[", 
                    RowBox[{"a", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "288"], " ", 
                    RowBox[{"(", 
                    RowBox[{"a1", "-", "e2", "+", "a2"}], ")"}]}], "-", 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]], ",", 
                    RowBox[{
                    FractionBox["1", 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "4", 
                    "\[RightDoubleBracket]"}]], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "288"], " ", 
                    RowBox[{"(", 
                    RowBox[{"b1", "-", "f2", "+", "b2"}], ")"}]}], "-", 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "3", 
                    "\[RightDoubleBracket]"}], "-", 
                    FractionBox[
                    RowBox[{"1", "-", "aspectratio"}], "2"]}], ")"}]}]}], 
                    "}"}], ",", "c"}], "]"}]}], ",", "\[Infinity]"}], "]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"Text", "[", 
                    RowBox[{"a", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    FractionBox["a1", "288"], "-", 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]], ",", 
                    FractionBox[
                    RowBox[{
                    FractionBox["b1", "288"], "-", 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "3", 
                    "\[RightDoubleBracket]"}], "-", 
                    FractionBox[
                    RowBox[{"1", "-", "aspectratio"}], "2"]}], 
                    RowBox[{
                    "scale", "\[LeftDoubleBracket]", "4", 
                    "\[RightDoubleBracket]"}]]}], "}"}], ",", "c"}], "]"}], 
                    "}"}]}], "]"}], "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"graph", "=", 
                    RowBox[{"Join", "[", 
                    RowBox[{"graph", ",", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{
                    RowBox[{"AspectRatio", "\[Rule]", "aspectratio"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"xmin", ",", "xmax"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"ymin", ",", "ymax"}], "}"}]}], "}"}]}]}], 
                    "]"}]}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "#1", "}"}], "]"}], ",", "\"\<Input\>\""}], 
                    "]"}], "&"}], ")"}], "[", 
                    RowBox[{"\"\<Show[\>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    TagBox[
                    StyleBox["graph",
                    ShowSpecialCharacters->False,
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    FullForm], "]"}], "<>", "\"\<]\>\""}], "]"}]}]}], "]"}]}],
                     "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_TextData"}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"readitem", ",", "\"\<Input\>\"", ",", 
                    RowBox[{"ShowSpecialCharacters", "\[Rule]", "False"}]}], 
                    "]"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_String"}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Input\>\"", ",", 
                    RowBox[{"ShowSpecialCharacters", "\[Rule]", "False"}]}], 
                    "]"}]}]}], "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"x1_", "/;", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "FontColor", ",", "FontFamily", ",", "FontProperties", 
                    ",", "FontSize", ",", "FontSlant", ",", "FontTracking", 
                    ",", "FontVariations", ",", "FontWeight", ",", 
                    "Background"}], "}"}], ",", "x1"}], "]"}]}], "\[Rule]", 
                    "_"}], ")"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"l1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "l1"}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "b1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", "b1", ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"CellGroupData", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", "a__", "]"}], "}"}], ",", "___"}], 
                    "]"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", "a", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "b1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "c1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", "d1___"}], "}"}], "\[RuleDelayed]", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", "\"\<\\n\>\"", ",", "c1"}], "}"}], 
                    "]"}], ",", "\"\<Input\>\"", ",", 
                    RowBox[{"ShowSpecialCharacters", "\[Rule]", "False"}]}], 
                    "]"}], ",", "d1"}], "}"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "b1___", ",", "a1_String", ",", "d1_String", ",", 
                    "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", 
                    RowBox[{"a1", "<>", "d1"}], ",", "c1"}], "}"}], "]"}]}], 
                    "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"a_String", "\[RuleDelayed]", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"$Messages", "=", 
                    RowBox[{"{", "}"}]}], "}"}], ",", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"a", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b1", ":", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"StartOfString", "|", 
                    RowBox[{"(", 
                    RowBox[{"StartOfString", "~~", "_"}], ")"}], "|", 
                    RowBox[{"(", 
                    RowBox[{"x_", "~~", "y_"}], ")"}]}], "/;", 
                    RowBox[{
                    RowBox[{"x", "<>", "y"}], "\[NotEqual]", 
                    "\"\<\\\\!\>\""}]}], ")"}]}], "~~", 
                    RowBox[{"Shortest", "[", 
                    RowBox[{
                    RowBox[{"b", ":", 
                    RowBox[{"(", 
                    RowBox[{"\"\<\\\\(\>\"", "~~", 
                    RowBox[{"(", 
                    RowBox[{"__", "~~", "\"\<\\\\)\>\""}], ")"}]}], ")"}]}], "/;", 
                    RowBox[{"Check", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"tws", "=", 
                    RowBox[{"ToString", "[", 
                    InterpretationBox[
                    StyleBox[
                    RowBox[{"ToExpression", "[", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{
                    "\"\<HoldComplete\>\"", ",", " ", "\"\<[\\!\>\"", ",", 
                    " ", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"b", ",", " ", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\"\<\\\\\\\"\>\"", " ", "->", " ", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}]}], ",", " ", 
                    RowBox[{
                    "\"\<\\\\\\\\\>\"", " ", "->", " ", "\"\<\\\\\>\""}]}], 
                    "}"}]}], "]"}], ",", " ", "\"\<]\>\""}], "]"}], "]"}],
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    InputForm[
                    ToExpression[
                    StringJoin["HoldComplete", "[\!", 
                    
                    StringReplace[$CellContext`b, {
                    "\\\"" -> FromCharacterCode[34], "\\\\" -> "\\"}], "]"]]],
                    AutoDelete->True,
                    Editable->True], "]"}]}], ";", "True"}], ",", "False"}], 
                    "]"}]}], "]"}]}], "\[RuleDelayed]", 
                    RowBox[{"b1", "<>", "\"\<\\\\\\\"\>\"", "<>", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{"tws", ",", "13"}], "]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], "\[Rule]", 
                    "\"\<\\\\\\\"\>\""}], ",", 
                    RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}],
                     "}"}]}], "]"}], "<>", "\"\<\\\\\\\"\>\""}]}]}], "]"}]}], 
                    "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"a_String", "\[RuleDelayed]", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"$Messages", "=", 
                    RowBox[{"{", "}"}]}], "}"}], ",", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"a", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Shortest", "[", 
                    RowBox[{
                    RowBox[{"b", ":", 
                    RowBox[{"(", 
                    RowBox[{"\"\<\\\\!\\\\(\>\"", "~~", 
                    RowBox[{"(", 
                    RowBox[{"__", "~~", "\"\<\\\\)\>\""}], ")"}]}], ")"}]}], "/;", 
                    RowBox[{"Check", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"tws", "=", 
                    RowBox[{"ToString", "[", 
                    InterpretationBox[
                    StyleBox[
                    RowBox[{"ToExpression", "[", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{
                    "\"\<HoldComplete\>\"", ",", " ", "\"\<[\>\"", ",", " ", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"b", ",", " ", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\"\<\\\\*\>\"", " ", "->", " ", "\"\<\>\""}], 
                    ",", " ", 
                    RowBox[{"\"\<\\\\\\\"\>\"", " ", "->", " ", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}]}], ",", " ", 
                    RowBox[{
                    "\"\<\\\\\\\\\>\"", " ", "->", " ", "\"\<\\\\\>\""}]}], 
                    "}"}]}], "]"}], ",", " ", "\"\<]\>\""}], "]"}], "]"}],
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    InputForm[
                    ToExpression[
                    StringJoin["HoldComplete", "[", 
                    
                    StringReplace[$CellContext`b, {
                    "\\*" -> "", "\\\"" -> FromCharacterCode[34], "\\\\" -> 
                    "\\"}], "]"]]],
                    AutoDelete->True,
                    Editable->True], "]"}]}], ";", "True"}], ",", "False"}], 
                    "]"}]}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{
                    RowBox[{"\"\<(\>\"", "<>", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{"tws", ",", "13"}], "]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<)\>\""}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], "\[Rule]", 
                    "\"\<\\\\\\\"\>\""}], ",", 
                    RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}],
                     "}"}]}], "]"}]}], "}"}]}], "]"}]}], "]"}]}], "}"}]}]}], 
                    ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"a_String", "\[RuleDelayed]", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"a", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "\"\<\[LeftDoubleBracket]\>\"", "\[Rule]", "\"\<[[\>\""}],
                     ",", 
                    RowBox[{
                    "\"\<\[RightDoubleBracket]\>\"", "\[Rule]", 
                    "\"\<]]\>\""}], ",", 
                    RowBox[{"\"\<\[Equal]\>\"", "\[Rule]", "\"\<==\>\""}], 
                    ",", 
                    RowBox[{"\"\<\[LessEqual]\>\"", "\[Rule]", "\"\<<=\>\""}],
                     ",", 
                    RowBox[{
                    "\"\<\[GreaterEqual]\>\"", "\[Rule]", "\"\<>=\>\""}], ",", 
                    RowBox[{"\"\<\[NotEqual]\>\"", "\[Rule]", "\"\<!=\>\""}], 
                    ",", 
                    RowBox[{"\"\<\[Rule]\>\"", "\[Rule]", "\"\<->\>\""}], ",", 
                    RowBox[{
                    "\"\<\[RuleDelayed]\>\"", "\[Rule]", "\"\<:>\>\""}], ",", 
                    RowBox[{
                    "\"\<\[Continuation]\>\"", "\[Rule]", "\"\< \>\""}], ",", 
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "1", "]"}], "\[Rule]", 
                    "\"\< \>\""}], ",", 
                    RowBox[{"\"\<\\t\>\"", "\[Rule]", "\"\< \>\""}], ",", 
                    RowBox[{
                    "\"\<\[InvisibleSpace]\>\"", "\[Rule]", "\"\< \>\""}]}], 
                    "}"}]}], "]"}]}], "}"}]}], "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"a_String", "\[RuleDelayed]", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"a", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\"\<  \>\"", "\[Rule]", "\"\< \>\""}], ",", 
                    RowBox[{"\"\<[ \>\"", "\[Rule]", "\"\<[\>\""}], ",", 
                    RowBox[{"\"\<{ \>\"", "\[Rule]", "\"\<{\>\""}], ",", 
                    RowBox[{"\"\<( \>\"", "\[Rule]", "\"\<(\>\""}]}], "}"}]}],
                     "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"a_", ",", "b__"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"a", ",", "\"\<Input\>\"", ",", 
                    RowBox[{"ShowSpecialCharacters", "\[Rule]", "False"}]}], 
                    "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"FrontEndExecute", "[", 
                    RowBox[{"FrontEndToken", "[", "\"\<Copy\>\"", "]"}], 
                    "]"}], ";", 
                    RowBox[{"SelectionMove", "[", 
                    RowBox[{
                    RowBox[{"ClipboardNotebook", "[", "]"}], ",", "All", ",", 
                    "Notebook"}], "]"}], ";", 
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"ClipboardNotebook", "[", "]"}], ",", "readitem", 
                    ",", "All"}], "]"}], ";", 
                    RowBox[{"SelectionMove", "[", 
                    RowBox[{
                    RowBox[{"ClipboardNotebook", "[", "]"}], ",", "All", ",", 
                    "Notebook"}], "]"}], ";", 
                    RowBox[{"FrontEndExecute", "[", 
                    RowBox[{"{", 
                    RowBox[{"FrontEndToken", "[", 
                    RowBox[{
                    RowBox[{"ClipboardNotebook", "[", "]"}], ",", 
                    "\"\<CopySpecial\>\"", ",", "\"\<PlainText\>\""}], "]"}], 
                    "}"}], "]"}], ";"}], "]"}]}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"Active", "\[Rule]", "True"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.95`", ",", "0.95`", ",", "1"}], "]"}]}]}], 
                   "]"}], ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<*\>\"", ",", "\"\<\[Rule]\>\"", ",", 
                    "\"\<\[SpaceIndicator]\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "0"}], "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "readitem", "}"}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"NotebookRead", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ";", 
                    RowBox[{"Catch", "[", 
                    RowBox[{
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"readitem", "===", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"ListQ", "[", "readitem", "]"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    "\"\<CursorPosition\>\"", "/.", "\[InvisibleSpace]", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"LinkWrite", "[", 
                    RowBox[{"$ParentLink", ",", 
                    RowBox[{"CellInformation", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], "]"}], ";", 
                    RowBox[{"LinkRead", "[", "$ParentLink", "]"}]}], "]"}]}], 
                    ")"}], "=!=", "\"\<CellBracket\>\""}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", "readitem", "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"{", "_Cell", "}"}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    "readitem", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"{", 
                    RowBox[{"a1_Cell", ",", "b1___"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}]}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_String"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "\"\<Graphics\>\"", "}"}], ",", 
                    "\"\<Graphics3D\>\"", ",", 
                    RowBox[{"{", "\"\<SurfaceGraphics\>\"", "}"}], ",", 
                    RowBox[{"{", "\"\<DensityGraphics\>\"", "}"}], ",", 
                    RowBox[{"{", "\"\<ContourGraphics\>\"", "}"}]}], "}"}], 
                    ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LinkWrite", "[", 
                    RowBox[{"$ParentLink", ",", 
                    RowBox[{"CellInformation", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], "]"}], ";", 
                    RowBox[{"LinkRead", "[", "$ParentLink", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"\"\<Style\>\"", "\[Rule]", "x_"}], ")"}], 
                    "\[Rule]", "x"}], ",", "2"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}]}], "]"}], ",", 
                    RowBox[{"StringMatchQ", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{"Head", "[", "readitem", "]"}], "]"}], ",", 
                    RowBox[{"__", "~~", "\"\<Box\>\""}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a1_GraphicsData", "\[RuleDelayed]", "a1"}], ",", 
                    RowBox[{"a1_String", "\[RuleDelayed]", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"a1", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\"\<(*\>\"", "\[Rule]", "\"\<(*\>\""}], ",", 
                    RowBox[{"\"\<*)\>\"", "\[Rule]", "\"\<*)\>\""}], ",", 
                    RowBox[{"\"\<*^\>\"", "\[Rule]", "\"\<*^\>\""}], ",", 
                    RowBox[{"\"\<**\>\"", "\[Rule]", "\"\<**\>\""}], ",", 
                    RowBox[{"\"\<*=\>\"", "\[Rule]", "\"\<*=\>\""}], ",", 
                    RowBox[{"\"\<*\>\"", "\[Rule]", "\"\< \>\""}]}], "}"}]}], 
                    "]"}]}]}], "}"}]}], ",", "All"}], "]"}]}], "]"}]}]}], 
                    "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"Active", "\[Rule]", "True"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\[SelectionPlaceholder]\>\"", ",", "\"\<,\>\"", ",", 
                    "\"\<\[SelectionPlaceholder]\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"readitem", ",", "cpynb"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"NotebookRead", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ";", 
                    RowBox[{"Catch", "[", 
                    RowBox[{
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"readitem", "===", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\[SelectionPlaceholder]\>\"", ",", "\"\<,\>\"", ",", 
                    "\"\<\[SelectionPlaceholder]\>\""}], "}"}], "]"}], ",", 
                    "All"}], "]"}], ";", 
                    RowBox[{"Throw", "[", "Null", "]"}]}], ",", 
                    RowBox[{"ListQ", "[", "readitem", "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    "\"\<CursorPosition\>\"", "/.", "\[InvisibleSpace]", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"LinkWrite", "[", 
                    RowBox[{"$ParentLink", ",", 
                    RowBox[{"CellInformation", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], "]"}], ";", 
                    RowBox[{"LinkRead", "[", "$ParentLink", "]"}]}], "]"}]}], 
                    ")"}], "=!=", "\"\<CellBracket\>\""}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"TextData", "[", "readitem", "]"}]}]}], "]"}]}], 
                    "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_String"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", "\"\<Graphics\>\"", "}"}], "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LinkWrite", "[", 
                    RowBox[{"$ParentLink", ",", 
                    RowBox[{"CellInformation", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], "]"}], ";", 
                    RowBox[{"LinkRead", "[", "$ParentLink", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"\"\<Style\>\"", "\[Rule]", "x_"}], ")"}], 
                    "\[RuleDelayed]", "x"}], ",", "2"}], "]"}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"readitem", ",", "\"\<Input\>\""}], "]"}]}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}]}]}], "]"}]}], "]"}],
                     ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"TextData", "[", "a1_String", "]"}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "readitem", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "}"}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "a1_Cell"}], "]"}], "||", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"{", 
                    RowBox[{"a1_Cell", ",", "b1___"}], "}"}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"SelectionMove", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", "After", ",", 
                    "Cell"}], "]"}], ";", 
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", "readitem", ",",
                     "All"}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"TextData", "[", "a1_List", "]"}]}], "]"}], ",", 
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{
                    "readitem", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"{", "\"\<,\>\"", "}"}], ",", 
                    RowBox[{
                    "readitem", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}], "]"}], ",", "All"}], 
                    "]"}], ",", "True", ",", 
                    RowBox[{
                    RowBox[{"cpynb", "=", 
                    RowBox[{"CreateWindow", "[", 
                    RowBox[{
                    RowBox[{"Visible", "\[Rule]", "False"}], ",", 
                    RowBox[{
                    "WindowTitle", "\[Rule]", "\"\<Palette Scrap\>\""}]}], 
                    "]"}]}], ";", 
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{"cpynb", ",", "readitem"}], "]"}], ";", 
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{"cpynb", ",", "\"\<,\>\""}], "]"}], ";", 
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{"cpynb", ",", "readitem"}], "]"}], ";", 
                    RowBox[{"SelectionMove", "[", 
                    RowBox[{"cpynb", ",", "All", ",", "Notebook"}], "]"}], 
                    ";", 
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    RowBox[{"NotebookRead", "[", "cpynb", "]"}], ",", "All"}],
                     "]"}], ";", 
                    RowBox[{"NotebookClose", "[", "cpynb", "]"}]}]}], "]"}]}],
                     "]"}]}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Active", "\[Rule]", "True"}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\\\"\>\"", ",", "\"\<\[SelectionPlaceholder]\>\"", 
                    ",", "\"\<\\\"\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"readitem", ",", "success"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"NotebookRead", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ";", 
                    RowBox[{"success", "=", "False"}], ";", 
                    RowBox[{"Catch", "[", 
                    RowBox[{
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"readitem", "===", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "\"\<\\\"\[Placeholder]\\\"\>\"", "}"}], 
                    "]"}], ",", "\"\<Input\>\""}], "]"}], ",", "All"}], "]"}],
                     ";", 
                    RowBox[{"Throw", "[", "Null", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Count", "[", 
                    RowBox[{
                    "readitem", ",", "_InterpretationBox", ",", 
                    "\[Infinity]"}], "]"}], ">", "0"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"FormBox", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "___", "]"}], ",", "___"}], 
                    "]"}]}], "]"}], "=!=", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"ListQ", "[", "readitem", "]"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    "\"\<CursorPosition\>\"", "/.", "\[InvisibleSpace]", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"LinkWrite", "[", 
                    RowBox[{"$ParentLink", ",", 
                    RowBox[{"CellInformation", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], "]"}], ";", 
                    RowBox[{"LinkRead", "[", "$ParentLink", "]"}]}], "]"}]}], 
                    ")"}], "=!=", "\"\<CellBracket\>\""}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", "readitem", "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"{", "_Cell", "}"}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    "readitem", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"{", 
                    RowBox[{"a1_Cell", ",", "b1___"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}]}], "]"}]}]}], "]"}], 
                    ";", 
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_String"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "\"\<Graphics\>\"", "}"}], ",", 
                    "\"\<Graphics3D\>\"", ",", 
                    RowBox[{"{", "\"\<SurfaceGraphics\>\"", "}"}], ",", 
                    RowBox[{"{", "\"\<DensityGraphics\>\"", "}"}], ",", 
                    RowBox[{"{", "\"\<ContourGraphics\>\"", "}"}]}], "}"}], 
                    ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LinkWrite", "[", 
                    RowBox[{"$ParentLink", ",", 
                    RowBox[{"CellInformation", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], "]"}], ";", 
                    RowBox[{"LinkRead", "[", "$ParentLink", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"\"\<Style\>\"", "\[Rule]", "x_"}], ")"}], 
                    "\[Rule]", "x"}], ",", "2"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}]}]}], "]"}], ",", 
                    RowBox[{"StringMatchQ", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{"Head", "[", "readitem", "]"}], "]"}], ",", 
                    RowBox[{"__", "~~", "\"\<Box\>\""}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"_GraphicsData", "|", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"_Graphics3D", "|", "_SurfaceGraphics"}], 
                    "]"}]}]}], "]"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}]}], "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "b1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", "b1", ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"a1_String", ",", "b1___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}], ",", "b1"}], "]"}]}]}], 
                    "}"}]}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_Cell"}], "]"}]}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"readitem", ",", "\"\<Text\>\""}], "]"}]}]}], 
                    "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", "x_", "]"}], "/;", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", "x", "]"}], "=!=", "List"}], "&&", 
                    RowBox[{
                    RowBox[{"Head", "[", "x", "]"}], "=!=", "Graphics3D"}], "&&", 
                    RowBox[{
                    RowBox[{"Head", "[", "x", "]"}], "=!=", 
                    "SurfaceGraphics"}]}]}], "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "x", "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "___", "}"}], "]"}], ",", "___"}], "]"}]}], 
                    "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"Drop", "[", 
                    RowBox[{"readitem", ",", "1"}], "]"}]}]}], "]"}]}]}], 
                    "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x_GraphicsData", "\[RuleDelayed]", "x"}], ",", 
                    RowBox[{"x_String", "\[RuleDelayed]", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\"\<\\\"\>\"", "\[Rule]", "\"\<\\\\\\\"\>\""}], 
                    ",", 
                    RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}],
                     "}"}]}], "]"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{
                    "readitem", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], "=!=", "TextData"}], 
                    ",", "Null", ",", 
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "]"}],
                     "=!=", "List"}], ",", "Null", ",", "True", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "\"\<\\\"\>\"", "}"}], ",", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"{", "\"\<\\\"\>\"", "}"}]}], "]"}]}], ";", 
                    RowBox[{"success", "=", "True"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{"success", ",", 
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", "readitem", ",",
                     "All"}], "]"}]}], "]"}]}], "]"}]}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Active", "\[Rule]", "True"}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", "\"\< \>\"", ",", 
                  RowBox[{"StyleBox", "[", 
                   RowBox[{
                    RowBox[{"ButtonBox", "[", 
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"\"\<?\>\"", ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSlant", "\[Rule]", "\"\<Plain\>\""}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", 
                    RowBox[{"{", "\"\<SetFaceAndFont2\>\"", "}"}]}], ",", 
                    RowBox[{"BaseStyle", "\[Rule]", "\"\<AddOnsLink\>\""}], 
                    ",", 
                    RowBox[{"FrameMargins", "\[Rule]", "4"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}]}],
                     "]"}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}]}],
                  "}"}], "}"}], ",", 
               RowBox[{"ColumnSpacings", "\[Rule]", "0"}]}], "]"}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"GridBox", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"StyleBox", "[", 
                   RowBox[{
                    RowBox[{"ButtonBox", "[", 
                    RowBox[{"\"\<Plain\>\"", ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSlant", "\[Rule]", "\"\<Plain\>\""}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Plain\>\""}], ",", 
                    RowBox[{"FontVariations", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\<Underline\>\"", "\[Rule]", "False"}], 
                    "}"}]}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"Active", "\[Rule]", "True"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                    ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
                    RowBox[{"FontSlant", "\[Rule]", "\"\<Plain\>\""}]}], 
                   "]"}], ",", 
                  RowBox[{"StyleBox", "[", 
                   RowBox[{
                    RowBox[{"ButtonBox", "[", 
                    RowBox[{"\"\<B\>\"", ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}]}], 
                    "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"Active", "\[Rule]", "True"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                    ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}]}], 
                   "]"}], ",", 
                  RowBox[{"StyleBox", "[", 
                   RowBox[{
                    RowBox[{"ButtonBox", "[", 
                    RowBox[{"\"\<I\>\"", ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSlant", "\[Rule]", "\"\<Italic\>\""}]}], 
                    "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"Active", "\[Rule]", "True"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                    ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
                    RowBox[{"FontSlant", "\[Rule]", "\"\<Italic\>\""}]}], 
                   "]"}], ",", 
                  RowBox[{"StyleBox", "[", 
                   RowBox[{
                    RowBox[{"ButtonBox", "[", 
                    RowBox[{"\"\<U\>\"", ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontVariations", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\<Underline\>\"", "\[Rule]", "True"}], 
                    "}"}]}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"Active", "\[Rule]", "True"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                    ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
                    RowBox[{"FontVariations", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\<Underline\>\"", "\[Rule]", "True"}], 
                    "}"}]}]}], "]"}], ",", "\"\< \>\"", ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<(\>\"", ",", "\"\<\[SelectionPlaceholder]\>\"", ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "0"}], "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"NotebookApply", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<(\>\"", ",", "\"\<\[SelectionPlaceholder]\>\"", ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", "All"}], "]"}]}], ",", 
                    RowBox[{
                    "ButtonData", "\[RuleDelayed]", 
                    "\"\<(\[SelectionPlaceholder])\>\""}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<{\>\"", ",", "\"\<\[SelectionPlaceholder]\>\"", ",", 
                    "\"\<}\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "0"}], "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"NotebookApply", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<{\>\"", ",", "\"\<\[SelectionPlaceholder]\>\"", ",", 
                    "\"\<}\>\""}], "}"}], "]"}], ",", "All"}], "]"}]}], ",", 
                    RowBox[{
                    "ButtonData", "\[RuleDelayed]", 
                    "\"\<{\[SelectionPlaceholder]}\>\""}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<[\>\"", ",", "\"\<\[SelectionPlaceholder]\>\"", ",", 
                    "\"\<]\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "0"}], "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"NotebookApply", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<[\>\"", ",", "\"\<\[SelectionPlaceholder]\>\"", ",", 
                    "\"\<]\>\""}], "}"}], "]"}], ",", "All"}], "]"}]}], ",", 
                    RowBox[{
                    "ButtonData", "\[RuleDelayed]", 
                    "\"\<[\[SelectionPlaceholder]]\>\""}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\[LeftDoubleBracket]\>\"", ",", 
                    "\"\<\[SelectionPlaceholder]\>\"", ",", 
                    "\"\<\[RightDoubleBracket]\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "0"}], "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"NotebookApply", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\[LeftDoubleBracket]\>\"", ",", 
                    "\"\<\[SelectionPlaceholder]\>\"", ",", 
                    "\"\<\[RightDoubleBracket]\>\""}], "}"}], "]"}], ",", 
                    "All"}], "]"}]}], ",", 
                    RowBox[{
                    "ButtonData", "\[RuleDelayed]", 
                    "\"\<\[LeftDoubleBracket]\[SelectionPlaceholder]\
\[RightDoubleBracket]\>\""}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<(\>\"", ",", "\"\<* \>\"", ",", 
                    "\"\<\[SelectionPlaceholder]\>\"", ",", "\"\< *\>\"", 
                    ",", "\"\<)\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "0"}], "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"NotebookApply", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<(\>\"", ",", "\"\<*\>\"", ",", "\"\< \>\"", ",", 
                    "\"\<\[SelectionPlaceholder]\>\"", ",", "\"\< \>\"", ",", 
                    "\"\<*\>\"", ",", "\"\<)\>\""}], "}"}], "]"}], ",", 
                    "All"}], "]"}]}], ",", 
                    RowBox[{
                    "ButtonData", "\[RuleDelayed]", 
                    "\"\<(* \[SelectionPlaceholder] *)\>\""}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}]}],
                  "}"}], "}"}], ",", 
               RowBox[{"ColumnSpacings", "\[Rule]", "0"}]}], "]"}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"GridBox", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\[ThinSpace]\>\"", ",", "\"\<9\>\""}], "}"}],
                     "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "10"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "9"}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\[ThinSpace]\>\"", ",", "\"\<10\>\"", ",", 
                    "\"\<\[ThinSpace]\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "10"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "10"}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\[ThinSpace]\>\"", ",", "\"\<11\>\"", ",", 
                    "\"\<\[ThinSpace]\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "10"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\[ThinSpace]\>\"", ",", "\"\<12\>\"", ",", 
                    "\"\<\[ThinSpace]\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "10"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\[ThinSpace]\>\"", ",", "\"\<14\>\"", ",", 
                    "\"\<\[ThinSpace]\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "10"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "14"}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\[ThinSpace]\>\"", ",", "\"\<16\>\"", ",", 
                    "\"\<\[ThinSpace]\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "10"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "16"}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\[ThinSpace]\>\"", ",", "\"\<18\>\"", ",", 
                    "\"\<\[ThinSpace]\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "10"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "18"}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\[ThinSpace]\>\"", ",", "\"\<24\>\"", ",", 
                    "\"\<\[ThinSpace]\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "10"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\[ThinSpace]\>\"", ",", "\"\<36\>\""}], 
                    "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "10"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "36"}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"\"\<72\>\"", ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "10"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "72"}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}]}],
                  "}"}], "}"}], ",", 
               RowBox[{"ColumnSpacings", "\[Rule]", "0"}]}], "]"}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"GridBox", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<Courier12\>\"", "}"}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSlant", "\[Rule]", "\"\<Plain\>\""}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Plain\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"Active", "\[Rule]", "True"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<CourierB12\>\"", "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}]}], 
                    "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSlant", "\[Rule]", "\"\<Plain\>\""}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"Active", "\[Rule]", "True"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"StyleBox", "[", 
                   RowBox[{
                    RowBox[{"ButtonBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<Verdana11\>\"", "}"}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSlant", "\[Rule]", "\"\<Plain\>\""}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Plain\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"Active", "\[Rule]", "True"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                    ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}]}], 
                   "]"}], ",", "\"\< \>\"", ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<Peel\>\"", "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "readitem", ",", "success", ",", "tws", ",", "onecell"}], 
                    "}"}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"NotebookRead", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ";", 
                    RowBox[{"success", "=", "False"}], ";", 
                    RowBox[{"onecell", "=", 
                    RowBox[{
                    RowBox[{"Head", "[", "readitem", "]"}], "===", "Cell"}]}],
                     ";", 
                    RowBox[{"Catch", "[", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"a1_String", ",", "b1___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}], ",", "\"\<Text\>\""}], 
                    "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"readitem", "===", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Count", "[", 
                    RowBox[{
                    "readitem", ",", "_InterpretationBox", ",", 
                    "\[Infinity]"}], "]"}], ">", "0"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"FormBox", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "___", "]"}], ",", "___"}], 
                    "]"}]}], "]"}], "=!=", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"ListQ", "[", "readitem", "]"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    "\"\<CursorPosition\>\"", "/.", "\[InvisibleSpace]", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"LinkWrite", "[", 
                    RowBox[{"$ParentLink", ",", 
                    RowBox[{"CellInformation", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], "]"}], ";", 
                    RowBox[{"LinkRead", "[", "$ParentLink", "]"}]}], "]"}]}], 
                    ")"}], "=!=", "\"\<CellBracket\>\""}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", "readitem", "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"{", "_Cell", "}"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    "readitem", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"onecell", "=", "True"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"{", 
                    RowBox[{"a1_Cell", ",", "b1___"}], "}"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", "readitem", "]"}], ",", 
                    "\"\<Text\>\""}], "]"}], "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"CellGroupData", "[", 
                    RowBox[{
                    RowBox[{"{", "a1__", "}"}], ",", "___"}], "]"}], ",", 
                    "___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "a1", "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"success", "=", "True"}]}]}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_String"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "\"\<Graphics\>\"", "}"}], ",", 
                    "\"\<Graphics3D\>\"", ",", 
                    RowBox[{"{", "\"\<SurfaceGraphics\>\"", "}"}], ",", 
                    RowBox[{"{", "\"\<DensityGraphics\>\"", "}"}], ",", 
                    RowBox[{"{", "\"\<ContourGraphics\>\"", "}"}]}], "}"}], 
                    ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LinkWrite", "[", 
                    RowBox[{"$ParentLink", ",", 
                    RowBox[{"CellInformation", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], "]"}], ";", 
                    RowBox[{"LinkRead", "[", "$ParentLink", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"\"\<Style\>\"", "\[Rule]", "x_"}], ")"}], 
                    "\[Rule]", "x"}], ",", "2"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}]}], "]"}], ",", 
                    RowBox[{"StringMatchQ", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{"Head", "[", "readitem", "]"}], "]"}], ",", 
                    RowBox[{"__", "~~", "\"\<Box\>\""}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}], "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"_Graphics3D", "|", "_SurfaceGraphics"}], "]"}]}],
                     "]"}], ",", 
                    RowBox[{
                    RowBox[{"SelectionMove", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", "All", ",", 
                    "Cell"}], "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"NotebookRead", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_BoxData"}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", "readitem", "]"}], "}"}], "]"}], 
                    ",", "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_GraphicsData"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"SelectionMove", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", "All", ",", 
                    "Cell"}], "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"NotebookRead", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}]}]}], "]"}], 
                    ";", 
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"_Graphics3D", "|", "_SurfaceGraphics"}], "]"}], 
                    ",", "___"}], "]"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"SelectionMove", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", "All", ",", 
                    "Cell"}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"readitem", "===", 
                    RowBox[{"NotebookRead", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<NotebookWrite\>\"", ",", "\"\<[\>\"", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<InputNotebook\>\"", ",", "\"\<[\>\"", ",", 
                    "\"\<]\>\""}], "}"}], "]"}], ",", "\"\<,\>\"", ",", 
                    RowBox[{"ToBoxes", "[", 
                    TagBox[
                    StyleBox["readitem",
                    ShowSpecialCharacters->False,
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    FullForm], "]"}]}], "}"}], "]"}], ",", "\"\<]\>\""}], 
                    "}"}], "]"}], "]"}], ",", "\"\<Input\>\""}], "]"}]}], ";", 
                    RowBox[{"success", "=", "True"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}]}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"_BoxData", ",", "___"}], "]"}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"_GraphicsData", ",", "___"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{
                    RowBox[{"SelectionMove", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", "All", ",", 
                    "Cell"}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"readitem", "===", 
                    RowBox[{"NotebookRead", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<NotebookWrite\>\"", ",", "\"\<[\>\"", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<InputNotebook\>\"", ",", "\"\<[\>\"", ",", 
                    "\"\<]\>\""}], "}"}], "]"}], ",", "\"\<,\>\"", ",", 
                    RowBox[{"ToBoxes", "[", "readitem", "]"}]}], "}"}], "]"}],
                     ",", "\"\<]\>\""}], "}"}], "]"}], "]"}], ",", 
                    "\"\<Input\>\""}], "]"}]}], ";", 
                    RowBox[{"success", "=", "True"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}]}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"_CellGroupData", ",", "___"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "]"}],
                     ",", "\"\<Text\>\""}], "]"}]}], ";", 
                    RowBox[{"onecell", "=", "False"}], ";", 
                    RowBox[{"success", "=", "True"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{"success", ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"Cell", "[", "b1__", "]"}], ",", 
                    RowBox[{"Cell", "[", "c1__", "]"}], ",", "d1___"}], "}"}],
                     "\[RuleDelayed]", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Cell", "[", "b1", "]"}], ",", "\"\<\\n\>\"", ",", 
                    RowBox[{"Cell", "[", "c1", "]"}], ",", "d1"}], "}"}]}], 
                    "}"}]}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", "success"}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "a1___", ",", "\"\<\[IndentingNewLine]\>\"", ",", 
                    "b1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "a1", ",", "\"\<\[IndentingNewLine]\>\"", ",", "b1"}], 
                    "}"}], "]"}], "}"}], "]"}], "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\[IndentingNewLine]\>\"", "\[Rule]", "\"\<\\n\>\""}],
                     "}"}]}], ")"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1_", ",", "b1___", ",", "c1_", ",", "d1___"}], 
                    "}"}], "]"}], "/;", 
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", "b1", "}"}], ",", "\"\<\\n\>\""}], "]"}]}], "&&", 
                    RowBox[{"!", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", "b1", "}"}], ",", 
                    "\"\<\[IndentingNewLine]\>\""}], "]"}]}], "&&", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\\n\>\"", ",", "\"\<\[IndentingNewLine]\>\""}], 
                    "}"}], ",", "c1"}], "]"}]}]}], "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\\n\>\"", ",", "#1"}], "}"}]}], "&"}], ")"}],
                     "/@", 
                    RowBox[{"{", "b1", "}"}]}]}], ",", "c1", ",", "d1"}], 
                    "}"}], "]"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1_", ",", "b1__"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\\n\>\"", ",", "#1"}], "}"}]}], "&"}], ")"}],
                     "/@", 
                    RowBox[{"{", "b1", "}"}]}]}]}], "}"}], "]"}], "}"}], 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1__", "]"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1", "]"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "a1_", "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}], "}"}], "]"}]}]}], 
                    "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"x1_", "/;", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "FontColor", ",", "FontFamily", ",", "FontProperties", 
                    ",", "FontSize", ",", "FontSlant", ",", "FontTracking", 
                    ",", "FontVariations", ",", "FontWeight", ",", 
                    "Background"}], "}"}], ",", "x1"}], "]"}]}], "\[Rule]", 
                    "_"}], ")"}], "\[Rule]", 
                    RowBox[{"Sequence", "[", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"l1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "l1"}], ",", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "c1___", ",", "a1_String", ",", "b1_String", ",", 
                    "d1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"a1", "<>", "b1"}], ",", "d1"}], "}"}], "]"}]}], 
                    ",", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "b1___", "}"}], "]"}], ",", "c1___"}], "}"}],
                     "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", "b1", ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "a1_String", "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"RowBox", "[", "a1__", "]"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1", "]"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1_List", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", "a1", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1__", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"GridBox", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"{", 
                    RowBox[{"c1___", ",", 
                    RowBox[{"{", "d1___", "}"}], ",", "e1___"}], "}"}], ",", 
                    "b1___"}], "}"}], ",", "f1___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"GridBox", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "d1", "}"}], "]"}], ",", "e1"}], "}"}], ",", 
                    "b1"}], "}"}], ",", "f1"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "b1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", "b1", ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1_List", "]"}], "}"}], "]"}], 
                    ",", "___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "#1", "}"}], "]"}], ",", "\"\<Text\>\""}], 
                    "]"}], "&"}], ")"}], "/@", "a1"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "a1_String", "}"}], "]"}], ",", "___"}], 
                    "]"}], ",", "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", "a1", ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "a1_String", "]"}], ",", "___"}], 
                    "]"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "b1___", ",", "a1_String", ",", "d1_String", ",", 
                    "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", 
                    RowBox[{"a1", "<>", "d1"}], ",", "c1"}], "}"}], "]"}]}], 
                    "}"}]}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_Cell"}], "]"}]}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"readitem", ",", "\"\<Text\>\""}], "]"}]}]}], 
                    "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "al__", "]"}], ",", "___"}], 
                    "]"}], "}"}], "]"}], ",", "___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "al", "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", "x_", "]"}], "/;", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", "x", "]"}], "=!=", "List"}], "&&", 
                    RowBox[{
                    RowBox[{"Head", "[", "x", "]"}], "=!=", "Graphics3D"}], "&&", 
                    RowBox[{
                    RowBox[{"Head", "[", "x", "]"}], "=!=", 
                    "SurfaceGraphics"}]}]}], "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "x", "}"}], "]"}]}], "}"}]}]}]}]}], "]"}], 
                    ";", 
                    RowBox[{"Which", "[", 
                    RowBox[{"success", ",", "Null", ",", "onecell", ",", 
                    RowBox[{"success", "=", "True"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], "===",
                     "String"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "1"}], "&&", 
                    RowBox[{"StringMatchQ", "[", 
                    RowBox[{
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], ",", "Whitespace"}], "]"}]}],
                     ")"}], "||", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "===", "String"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "\[GreaterEqual]", 
                    "1"}], "&&", 
                    RowBox[{"StringMatchQ", "[", 
                    RowBox[{
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "1"}], "]"}], ",", 
                    "Whitespace"}], "]"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], "===",
                     "String"}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"StartOfString", "~~", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Shortest", "[", "a1___", "]"}], "~~", 
                    RowBox[{"(", 
                    RowBox[{"Whitespace", "~~", "EndOfString"}], ")"}]}], 
                    ")"}]}], "\[RuleDelayed]", "a1"}], "}"}]}], "]"}]}]}], 
                    "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "===", "String"}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"StartOfString", "~~", 
                    RowBox[{"(", 
                    RowBox[{"Whitespace", "~~", 
                    RowBox[{"(", 
                    RowBox[{"a1___", "~~", "EndOfString"}], ")"}]}], ")"}]}], 
                    "\[RuleDelayed]", "a1"}], "}"}]}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"success", "=", "True"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], "===",
                     "String"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "3"}], "&&", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<@@@\>\"", ",", "\"\<//@\>\"", ",", "\"\<//.\>\"", 
                    ",", "\"\<;\>\"", ",", "\"\<&\>\"", ",", "\"\<\\n\>\""}], 
                    "}"}], ",", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "3"}]}], "]"}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"tws", "=", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "3"}]}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "3"}]}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "===", "String"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "\[GreaterEqual]", 
                    "3"}], "&&", 
                    RowBox[{"tws", "===", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "3"}], "]"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "3"}], "]"}]}]}], "]"}], 
                    ";", 
                    RowBox[{"success", "=", "True"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], "===",
                     "String"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "2"}], "&&", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "\"\</.\>\"", ",", "\"\</;\>\"", ",", "\"\<//\>\"", ",", 
                    "\"\<@@\>\"", ",", 
                    RowBox[{"\"\</@\>\"", " ", "\"\<&&\>\""}], ",", 
                    "\"\<**\>\"", ",", "\"\<~~\>\"", ",", 
                    RowBox[{"\"\<\\!\\(\\*\\nStyleBox[\>\"", "||", 
                    RowBox[{"\"\<, \>\"", " ", "MR", " ", "\"\<]\\)\>\""}]}], 
                    ",", "\"\<<>\>\""}], "}"}], ",", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "2"}]}], "]"}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"tws", "=", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "2"}]}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "2"}]}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "===", "String"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "\[GreaterEqual]", 
                    "2"}], "&&", 
                    RowBox[{"tws", "===", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "2"}], "]"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "2"}], "]"}]}]}], "]"}], 
                    ";", 
                    RowBox[{"success", "=", "True"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], "===",
                     "String"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "2"}], "&&", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<->\>\"", ",", "\"\<:>\>\"", ",", "\"\<:=\>\"", ",", 
                    "\"\</=\>\"", ",", "\"\<!=\>\""}], "}"}], ",", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "2"}]}], "]"}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "2"}]}], "]"}]}], ";", 
                    RowBox[{"success", "=", "True"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], "===",
                     "String"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "1"}], "&&", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<.\>\"", ",", "\"\<,\>\"", ",", "\"\<:\>\"", ",", 
                    "\"\<;\>\"", ",", "\"\<+\>\"", ",", "\"\<-\>\"", ",", 
                    "\"\<*\>\"", ",", "\"\<^\>\"", ",", "\"\</\>\"", ",", 
                    "\"\<\\n\>\"", ",", "\"\<@\>\"", ",", "\"\<~\>\"", ",", 
                    RowBox[{"FromCharacterCode", "[", "96", "]"}], ",", 
                    RowBox[{"\"\<\\!\\(\\*\\nStyleBox[\>\"", "|", 
                    RowBox[{"\"\<, \>\"", " ", "MR", " ", "\"\<]\\)\>\""}]}], 
                    ",", "\"\<\\\\\>\"", ",", "\"\<<\>\"", ",", 
                    RowBox[{"FromCharacterCode", "[", "8804", "]"}], ",", 
                    RowBox[{"FromCharacterCode", "[", "8805", "]"}], ",", 
                    "\"\<_\>\"", ",", 
                    RowBox[{"FromCharacterCode", "[", "63336", "]"}]}], "}"}],
                     ",", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"tws", "=", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "===", "String"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "\[GreaterEqual]", 
                    "1"}], "&&", 
                    RowBox[{"tws", "===", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "1"}], "]"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "1"}], "]"}]}]}], "]"}], 
                    ";", 
                    RowBox[{"success", "=", "True"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], "===",
                     "String"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "1"}], "&&", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<?\>\"", ",", "\"\<!\>\"", ",", "\"\<&\>\"", ",", 
                    "\"\<=\>\"", ",", "\"\<\[NotEqual]\>\"", ",", "\"\<:\>\"",
                     ",", 
                    RowBox[{"FromCharacterCode", "[", "39", "]"}], ",", 
                    RowBox[{"FromCharacterCode", "[", "62754", "]"}], ",", 
                    RowBox[{"FromCharacterCode", "[", "62751", "]"}]}], "}"}],
                     ",", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], ";", 
                    RowBox[{"success", "=", "True"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "]"}],
                     ">", "1"}], "&&", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "===", "String"}]}], "||", 
                    RowBox[{"!", 
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], "===",
                     "String"}]}]}], ")"}]}], ",", "Null", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{
                    "readitem", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], "===", "BoxData"}], "&&", 
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "===", "FrameBox"}]}], 
                    ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"success", "=", "True"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{
                    "readitem", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], "===", "BoxData"}], "&&", 
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "]"}],
                     "=!=", "Graphics3D"}], "&&", 
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "]"}],
                     "=!=", "SurfaceGraphics"}]}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{
                    RowBox[{"{", "x_", "}"}], ",", "___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"$Messages", "=", 
                    RowBox[{"{", "}"}]}], "}"}], ",", 
                    RowBox[{"Check", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    InterpretationBox[
                    StyleBox[
                    RowBox[{"FullForm", "[", 
                    RowBox[{"ToExpression", "[", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<\\!\>\"", ",", " ", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<HoldComplete\>\"", ",", " ", "\"\<[\>\"", ",", " ", 
                    "x", ",", " ", "\"\<]\>\""}], "}"}], "]"}], ",", " ", 
                    "InputForm"}], "]"}]}], "]"}], "]"}], "]"}],
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    InputForm[
                    FullForm[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]]],
                    AutoDelete->True,
                    Editable->True], "]"}], ",", "13"}], "]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], "}"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "x", "}"}], "]"}], "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"ButtonBox", "[", "a1__", "]"}], "\[RuleDelayed]", 
                    RowBox[{"Button", "[", "a1", "]"}]}], "}"}]}]}], "]"}]}], 
                    "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{
                    RowBox[{"{", "x_", "}"}], ",", "___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    RowBox[{"Extract", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{"Position", "[", 
                    RowBox[{"x", ",", "_String"}], "]"}]}], "]"}], "/.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"a1_String", "\[RuleDelayed]", 
                    RowBox[{"\"\<\\\"\>\"", "<>", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"a1", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "10", "]"}], "\[Rule]", 
                    "\"\<\\\\n>\>\""}], ",", 
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], "\[Rule]", 
                    "\"\<\\\\\\\"\>\""}], ",", 
                    RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}],
                     "}"}]}], "]"}], "<>", "\"\<\\\"\>\""}]}], "}"}]}], ",", 
                    RowBox[{"Position", "[", 
                    RowBox[{"x", ",", "_String"}], "]"}], ",", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{"Range", "[", 
                    RowBox[{"Length", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{"x", ",", "_String"}], "]"}], "]"}], "]"}], "}"}],
                     "]"}]}], "]"}], "]"}], "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"success", "=", "True"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "\[GreaterEqual]", 
                    "2"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "2"}], "&&", 
                    RowBox[{"\"\<\\\\(\\\\)\>\"", "===", 
                    RowBox[{
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "2"}], "]"}], "<>", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "2"}]}], "]"}]}]}]}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"a_String", "\[RuleDelayed]", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"$Messages", "=", 
                    RowBox[{"{", "}"}]}], "}"}], ",", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"a", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b1", ":", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"StartOfString", "|", 
                    RowBox[{"(", 
                    RowBox[{"StartOfString", "~~", "_"}], ")"}], "|", 
                    RowBox[{"(", 
                    RowBox[{"x_", "~~", "y_"}], ")"}]}], "/;", 
                    RowBox[{
                    RowBox[{"x", "<>", "y"}], "\[NotEqual]", 
                    "\"\<\\\\!\>\""}]}], ")"}]}], "~~", 
                    RowBox[{"Shortest", "[", 
                    RowBox[{
                    RowBox[{"b", ":", 
                    RowBox[{"(", 
                    RowBox[{"\"\<\\\\(\>\"", "~~", 
                    RowBox[{"(", 
                    RowBox[{"__", "~~", "\"\<\\\\)\>\""}], ")"}]}], ")"}]}], "/;", 
                    RowBox[{"Check", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"tws", "=", 
                    RowBox[{"ToString", "[", 
                    InterpretationBox[
                    StyleBox[
                    RowBox[{"ToExpression", "[", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{
                    "\"\<HoldComplete\>\"", ",", " ", "\"\<[\\!\>\"", ",", 
                    " ", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"b", ",", " ", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\"\<\\\\\\\"\>\"", " ", "->", " ", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}]}], ",", " ", 
                    RowBox[{
                    "\"\<\\\\\\\\\>\"", " ", "->", " ", "\"\<\\\\\>\""}]}], 
                    "}"}]}], "]"}], ",", " ", "\"\<]\>\""}], "]"}], "]"}],
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    InputForm[
                    ToExpression[
                    StringJoin["HoldComplete", "[\!", 
                    
                    StringReplace[$CellContext`b, {
                    "\\\"" -> FromCharacterCode[34], "\\\\" -> "\\"}], "]"]]],
                    AutoDelete->True,
                    Editable->True], "]"}]}], ";", "True"}], ",", "False"}], 
                    "]"}]}], "]"}]}], "\[RuleDelayed]", 
                    RowBox[{"b1", "<>", "\"\<\\\"\>\"", "<>", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{"tws", ",", "13"}], "]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], "\[Rule]", 
                    "\"\<\\\\\\\"\>\""}], ",", 
                    RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}],
                     "}"}]}], "]"}], "<>", "\"\<\\\"\>\""}]}]}], "]"}]}], 
                    "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"success", "=", "True"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "\[GreaterEqual]", 
                    "4"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "2"}], "&&", 
                    RowBox[{"\"\<\\\\!\\\\(\\\\)\>\"", "===", 
                    RowBox[{
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "4"}], "]"}], "<>", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "2"}]}], "]"}]}]}]}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"a_String", "\[RuleDelayed]", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"$Messages", "=", 
                    RowBox[{"{", "}"}]}], "}"}], ",", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"a", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Shortest", "[", 
                    RowBox[{
                    RowBox[{"b", ":", 
                    RowBox[{"(", 
                    RowBox[{"\"\<\\\\!\\\\(\>\"", "~~", 
                    RowBox[{"(", 
                    RowBox[{"__", "~~", "\"\<\\\\)\>\""}], ")"}]}], ")"}]}], "/;", 
                    RowBox[{"Check", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"tws", "=", 
                    RowBox[{"ToString", "[", 
                    InterpretationBox[
                    StyleBox[
                    RowBox[{"ToExpression", "[", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{
                    "\"\<HoldComplete\>\"", ",", " ", "\"\<[\>\"", ",", " ", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"b", ",", " ", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\"\<\\\\*\>\"", " ", "->", " ", "\"\<\>\""}], 
                    ",", " ", 
                    RowBox[{"\"\<\\\\\\\"\>\"", " ", "->", " ", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}]}], ",", " ", 
                    RowBox[{
                    "\"\<\\\\\\\\\>\"", " ", "->", " ", "\"\<\\\\\>\""}]}], 
                    "}"}]}], "]"}], ",", " ", "\"\<]\>\""}], "]"}], "]"}],
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    InputForm[
                    ToExpression[
                    StringJoin["HoldComplete", "[", 
                    
                    StringReplace[$CellContext`b, {
                    "\\*" -> "", "\\\"" -> FromCharacterCode[34], "\\\\" -> 
                    "\\"}], "]"]]],
                    AutoDelete->True,
                    Editable->True], "]"}]}], ";", "True"}], ",", "False"}], 
                    "]"}]}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{
                    RowBox[{"\"\<(\>\"", "<>", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{"tws", ",", "13"}], "]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<)\>\""}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], "\[Rule]", 
                    "\"\<\\\\\\\"\>\""}], ",", 
                    RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}],
                     "}"}]}], "]"}]}], "}"}]}], "]"}]}], "]"}]}], "}"}]}]}], 
                    ";", 
                    RowBox[{"success", "=", "True"}]}], ",", 
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{
                    "readitem", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], "=!=", "TextData"}], 
                    ",", "Null", ",", 
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "]"}],
                     "=!=", "List"}], ",", "Null", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "=!=", "String"}], "||", 
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], "=!=",
                     "String"}]}], ",", "Null", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "\[GreaterEqual]", 
                    "5"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "5"}], "&&", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{
                    "{", "\"\<\\\\\\\"\\\\\\\\<\\\\\\\\>\\\\\\\"\>\"", "}"}], 
                    ",", 
                    RowBox[{
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "5"}], "]"}], "<>", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "5"}]}], "]"}]}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "5"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "5"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "5"}]}], "]"}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"x_String", "\[RuleDelayed]", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\"\<\\\\\\\"\>\"", "\[Rule]", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}]}], ",", 
                    RowBox[{"\"\<\\\\\\\\\>\"", "\[Rule]", "\"\<\\\\\>\""}]}],
                     "}"}]}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"success", "=", "True"}]}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "\[GreaterEqual]", 
                    "4"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "4"}], "&&", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{
                    "{", "\"\<\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\"\>\"", "}"}], 
                    ",", 
                    RowBox[{
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "4"}], "]"}], "<>", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "4"}]}], "]"}]}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "4"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "4"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "4"}]}], "]"}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"x_String", "\[RuleDelayed]", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\"\<\\\\\\\"\>\"", "\[Rule]", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}]}], ",", 
                    RowBox[{"\"\<\\\\\\\\\>\"", "\[Rule]", "\"\<\\\\\>\""}]}],
                     "}"}]}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"success", "=", "True"}]}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "\[GreaterEqual]", 
                    "3"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "3"}], "&&", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", "\"\<\\\"\\\\<\\\\>\\\"\>\"", "}"}], ",", 
                    RowBox[{
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "3"}], "]"}], "<>", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "3"}]}], "]"}]}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "3"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "3"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "3"}]}], "]"}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"x_String", "\[RuleDelayed]", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\"\<\\\\\\\"\>\"", "\[Rule]", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}]}], ",", 
                    RowBox[{"\"\<\\\\\\\\\>\"", "\[Rule]", "\"\<\\\\\>\""}]}],
                     "}"}]}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"success", "=", "True"}]}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "\[GreaterEqual]", 
                    "2"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "2"}], "&&", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", "\"\<\\\\\\\"\\\\\\\"\>\"", "}"}], ",", 
                    RowBox[{
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "2"}], "]"}], "<>", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "2"}]}], "]"}]}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "2"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "2"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "2"}]}], "]"}]}], ";", 
                    RowBox[{"{", 
                    RowBox[{"x_String", "\[RuleDelayed]", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\"\<\\\\\\\"\>\"", "\[Rule]", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}]}], ",", 
                    RowBox[{"\"\<\\\\\\\\\>\"", "\[Rule]", "\"\<\\\\\>\""}]}],
                     "}"}]}], "]"}]}], "}"}], ";", 
                    RowBox[{"success", "=", "True"}]}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "\[GreaterEqual]", 
                    "2"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "2"}], "&&", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<(**)\>\"", ",", "\"\<[[]]\>\"", ",", 
                    "\"\<\\\\(\\\\)\>\"", ",", "\"\<<<>>\>\""}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "2"}], "]"}], "<>", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "2"}]}], "]"}]}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "2"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "2"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "2"}]}], "]"}]}], ";", 
                    RowBox[{"success", "=", "True"}]}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "===", 
                    "\"\<)\>\""}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                    "\"\<*\>\""}], ";", 
                    RowBox[{"success", "=", "True"}]}]}], "]"}]}], "]"}]}], 
                    ",", 
                    RowBox[{
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], "===", "\"\<]\>\""}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"StringPosition", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "\"\<[\>\"", ",", "1"}], 
                    "]"}], "]"}], ">", "0"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    RowBox[{"StringPosition", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "\"\<[\>\"", ",", "1"}], 
                    "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                    "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], ";", 
                    RowBox[{"success", "=", "True"}]}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "\[GreaterEqual]", 
                    "1"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "1"}], "&&", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"FromCharacterCode", "[", 
                    RowBox[{"{", 
                    RowBox[{"34", ",", "34"}], "}"}], "]"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "1"}], "]"}], "<>", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}]}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "1"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "1"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"x_String", "\[RuleDelayed]", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\"\<\\\\\\\"\>\"", "\[Rule]", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}]}], ",", 
                    RowBox[{"\"\<\\\\\\\\\>\"", "\[Rule]", "\"\<\\\\\>\""}]}],
                     "}"}]}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"success", "=", "True"}]}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "\[GreaterEqual]", 
                    "1"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "1"}], "&&", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<()\>\"", ",", "\"\<{}\>\"", ",", 
                    "\"\<\[LeftAngleBracket]\[RightAngleBracket]\>\"", ",", 
                    "\"\<\[LeftFloor]\[RightFloor]\>\"", ",", 
                    "\"\<\[LeftCeiling]\[RightCeiling]\>\"", ",", 
                    "\"\<<>\>\"", ",", 
                    "\"\<\[LeftDoubleBracket]\[RightDoubleBracket]\>\"", ",", 
                    "\"\<\[LeftBracketingBar]\[RightBracketingBar]\>\"", ",", 
                    "\"\<\[LeftDoubleBracketingBar]\[RightDoubleBracketingBar]\
\>\"", ",", "\"\<~~\>\"", ",", "\"\<''\>\"", ",", 
                    "\"\<\[CloseCurlyDoubleQuote]\[CloseCurlyDoubleQuote]\>\"\
", ",", "\"\<\:201a\[CloseCurlyQuote]\>\"", ",", 
                    "\"\<\:201e\[OpenCurlyDoubleQuote]\>\"", ",", 
                    "\"\<\[LeftSkeleton]\[RightSkeleton]\>\"", ",", 
                    "\"\<\[LeftGuillemet]\[RightGuillemet]\>\"", ",", 
                    "\"\<\[DownQuestion]?\>\"", ",", 
                    "\"\<\[DownExclamation]!\>\""}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "1"}], "]"}], "<>", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}]}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "1"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "1"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], ";", 
                    RowBox[{"success", "=", "True"}]}]}], "]"}]}]}], "]"}], 
                    ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"!", "success"}], "&&", 
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], "===",
                     "String"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "]"}], 
                    "\[GreaterEqual]", "1"}], "&&", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", "\"\<>\>\"", "}"}], ",", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"tws", "=", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "===", "String"}], "&&", 
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "]"}], "\[GreaterEqual]", 
                    "1"}], "&&", 
                    RowBox[{"tws", "===", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "1"}], "]"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "1"}], "]"}]}]}], "]"}], 
                    ";", 
                    RowBox[{"success", "=", "True"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{"success", ",", 
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", "readitem", ",",
                     "All"}], "]"}]}], "]"}]}], "]"}]}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Active", "\[Rule]", "True"}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}]}],
                  "}"}], "}"}], ",", 
               RowBox[{"ColumnSpacings", "\[Rule]", "0"}]}], "]"}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"GridBox", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"{", 
                 RowBox[{"\"\<  \>\"", ",", 
                  RowBox[{"StyleBox", "[", 
                   RowBox[{
                    RowBox[{"ButtonBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<Times12\>\"", "}"}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSlant", "\[Rule]", "\"\<Plain\>\""}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Plain\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"Active", "\[Rule]", "True"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                    ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], 
                   "]"}], ",", 
                  RowBox[{"StyleBox", "[", 
                   RowBox[{
                    RowBox[{"ButtonBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<Times\>\"", ",", "\"\< \>\"", ",", 
                    "\"\<Italic12\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontSlant", "\[Rule]", "\"\<Italic\>\""}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Plain\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"Active", "\[Rule]", "True"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                    ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
                    RowBox[{"FontSlant", "\[Rule]", "\"\<Italic\>\""}]}], 
                   "]"}], ",", "\"\<    \>\"", ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<StyleRemove\>\"", "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"readitem", ",", "cellinfo"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"NotebookRead", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ";", 
                    RowBox[{"cellinfo", "=", 
                    RowBox[{
                    "\"\<CursorPosition\>\"", "/.", "\[InvisibleSpace]", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"LinkWrite", "[", 
                    RowBox[{"$ParentLink", ",", 
                    RowBox[{"CellInformation", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], "]"}], ";", 
                    RowBox[{"LinkRead", "[", "$ParentLink", "]"}]}], 
                    "]"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"a1_String", ",", "b1___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}], ",", "b1"}], "]"}]}], 
                    "}"}]}]}], ";", 
                    RowBox[{"Catch", "[", 
                    RowBox[{
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"readitem", "===", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Count", "[", 
                    RowBox[{
                    "readitem", ",", "_InterpretationBox", ",", 
                    "\[Infinity]"}], "]"}], ">", "0"}], ",", 
                    RowBox[{
                    RowBox[{"FrontEndExecute", "[", 
                    RowBox[{
                    "FrontEndToken", "[", "\"\<ClearCellOptions\>\"", "]"}], 
                    "]"}], ";", 
                    RowBox[{"Throw", "[", "Null", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"FormBox", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "___", "]"}], ",", "___"}], 
                    "]"}]}], "]"}], "=!=", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"ListQ", "[", "readitem", "]"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"cellinfo", "=!=", "\"\<CellBracket\>\""}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", "readitem", "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"{", "_Cell", "}"}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    "readitem", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"{", 
                    RowBox[{"a1_Cell", ",", "b1___"}], "}"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"FrontEndExecute", "[", 
                    RowBox[{"FrontEndToken", "[", "\"\<ClearCellOptions\>\"", 
                    "]"}], "]"}], ";", 
                    RowBox[{"Throw", "[", "Null", "]"}]}]}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"_CellGroupData", ",", "___"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{
                    RowBox[{"FrontEndExecute", "[", 
                    RowBox[{
                    "FrontEndToken", "[", "\"\<ClearCellOptions\>\"", "]"}], 
                    "]"}], ";", 
                    RowBox[{"Throw", "[", "Null", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"_GraphicsData", ",", "___"}], "]"}]}], "]"}], "||", 
                    RowBox[{
                    RowBox[{"Head", "[", "readitem", "]"}], "===", 
                    "GraphicsData"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_String"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "\"\<Graphics\>\"", "}"}], ",", 
                    "\"\<Graphics3D\>\"", ",", 
                    RowBox[{"{", "\"\<SurfaceGraphics\>\"", "}"}], ",", 
                    RowBox[{"{", "\"\<DensityGraphics\>\"", "}"}], ",", 
                    RowBox[{"{", "\"\<ContourGraphics\>\"", "}"}]}], "}"}], 
                    ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LinkWrite", "[", 
                    RowBox[{"$ParentLink", ",", 
                    RowBox[{"CellInformation", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], "]"}], ";", 
                    RowBox[{"LinkRead", "[", "$ParentLink", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"\"\<Style\>\"", "\[Rule]", "x_"}], ")"}], 
                    "\[Rule]", "x"}], ",", "2"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}]}], "]"}], ",", 
                    RowBox[{"StringMatchQ", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{"Head", "[", "readitem", "]"}], "]"}], ",", 
                    RowBox[{"__", "~~", "\"\<Box\>\""}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}], "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"_Graphics3D", "|", "_SurfaceGraphics"}], "]"}]}],
                     "]"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"_BoxData", "|", "_GraphicsData"}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", "readitem", "]"}], "}"}], "]"}], 
                    ",", "\"\<Text\>\""}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"_Graphics3D", "|", "_SurfaceGraphics"}], "]"}], 
                    ",", "___"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"_BoxData", ",", "___"}], "]"}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"Drop", "[", 
                    RowBox[{"readitem", ",", "1"}], "]"}]}]}], "]"}]}]}], 
                    "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"x1_", "/;", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "FontColor", ",", "FontFamily", ",", "FontProperties", 
                    ",", "FontSize", ",", "FontSlant", ",", "FontTracking", 
                    ",", "FontVariations", ",", "FontWeight", ",", 
                    "Background"}], "}"}], ",", "x1"}], "]"}]}], "\[Rule]", 
                    "_"}], ")"}], "\[Rule]", 
                    RowBox[{"Sequence", "[", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"l1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "l1"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", "a1_String", "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1", "]"}], "}"}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"RowBox", "[", "a1__", "]"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1", "]"}], "}"}], "]"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1_List", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", "a1", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1__", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"ErrorBox", "[", "a1__", "]"}], "\[RuleDelayed]", 
                    "a1"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "a1___", ",", "\"\<\[IndentingNewLine]\>\"", ",", 
                    "b1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "a1", ",", "\"\<\[IndentingNewLine]\>\"", ",", "b1"}], 
                    "}"}], "]"}], "}"}], "]"}], "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\[IndentingNewLine]\>\"", "\[Rule]", 
                    RowBox[{"Sequence", "[", 
                    RowBox[{"\"\< \>\"", ",", "\"\<\[IndentingNewLine]\>\""}],
                     "]"}]}], "}"}]}], ")"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1_", ",", "b1___", ",", "c1_", ",", "d1___"}], 
                    "}"}], "]"}], "/;", 
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", "b1", "}"}], ",", "\"\<\\n\>\""}], "]"}]}], "&&", 
                    RowBox[{"!", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", "b1", "}"}], ",", 
                    "\"\<\[IndentingNewLine]\>\""}], "]"}]}], "&&", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\\n\>\"", ",", "\"\<\[IndentingNewLine]\>\""}], 
                    "}"}], ",", "c1"}], "]"}]}]}], "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\\n\>\"", ",", "#1"}], "}"}]}], "&"}], ")"}],
                     "/@", 
                    RowBox[{"{", "b1", "}"}]}]}], ",", "c1", ",", "d1"}], 
                    "}"}], "]"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1_", ",", "b1__"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\\n\>\"", ",", "#1"}], "}"}]}], "&"}], ")"}],
                     "/@", 
                    RowBox[{"{", "b1", "}"}]}]}]}], "}"}], "]"}], "}"}], 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1__", "]"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1", "]"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "a1_", "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}], "}"}], "]"}]}]}], 
                    "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "c1___", ",", "a1_String", ",", "b1_String", ",", 
                    "d1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"a1", "<>", "b1"}], ",", "d1"}], "}"}], "]"}]}], 
                    ",", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "b1___", "}"}], "]"}], ",", "c1___"}], "}"}],
                     "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", "b1", ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "a1_String", "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"RowBox", "[", "a1__", "]"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1", "]"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"GridBox", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"{", 
                    RowBox[{"c1___", ",", 
                    RowBox[{"{", "d1___", "}"}], ",", "e1___"}], "}"}], ",", 
                    "b1___"}], "}"}], ",", "f1___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"GridBox", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "d1", "}"}], "]"}], ",", "e1"}], "}"}], ",", 
                    "b1"}], "}"}], ",", "f1"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "b1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", "b1", ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1_List", "]"}], "}"}], "]"}], 
                    ",", "___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "#1", "}"}], "]"}], ",", "\"\<Text\>\""}], 
                    "]"}], "&"}], ")"}], "/@", "a1"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "a1_String", "]"}], ",", "___"}], 
                    "]"}], ",", "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", "a1", ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "a1_String", "}"}], "]"}], ",", "___"}], 
                    "]"}], ",", "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", "a1", ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "a1_String", "]"}], ",", "___"}], 
                    "]"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "b1___", ",", "a1_String", ",", "d1_String", ",", 
                    "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", 
                    RowBox[{"a1", "<>", "d1"}], ",", "c1"}], "}"}], "]"}]}], 
                    "}"}]}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_Cell"}], "]"}]}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"readitem", ",", "\"\<Text\>\""}], "]"}]}]}], 
                    "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "al__", "]"}], ",", "___"}], 
                    "]"}], "}"}], "]"}], ",", "b1___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "al", "]"}], ",", "b1"}], "]"}]}],
                     "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", "x_", "]"}], "/;", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Head", "[", "x", "]"}], "=!=", "List"}], "&&", 
                    RowBox[{
                    RowBox[{"Head", "[", "x", "]"}], "=!=", "Graphics3D"}], "&&", 
                    RowBox[{
                    RowBox[{"Head", "[", "x", "]"}], "=!=", 
                    "SurfaceGraphics"}]}]}], "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "x", "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", "readitem", ",",
                     "All"}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"cellinfo", "===", "\"\<CellBracket\>\""}], ",", 
                    RowBox[{
                    RowBox[{"SelectionMove", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", "All", ",", 
                    "CellContents"}], "]"}], ";", 
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", "readitem", ",",
                     "All"}], "]"}]}]}], "]"}]}], "]"}]}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Active", "\[Rule]", "True"}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.95`", ",", "0.95`", ",", "1"}], "]"}]}]}], 
                   "]"}]}], "}"}], "}"}], ",", 
               RowBox[{"ColumnSpacings", "\[Rule]", "0"}]}], "]"}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"GridBox", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\[MediumSpace]\>\"", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<Black\>\"", ",", "\"\<\[MediumSpace]\>\""}], 
                    "}"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "0"}], "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "0"}], "]"}]}]}], "]"}]}], 
                    ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ImageSize", "\[Rule]", "Full"}], ",", 
                    RowBox[{"FrameMargins", "\[Rule]", "5"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\[MediumSpace]\>\"", ",", "\"\<Red\>\""}], 
                    "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0", ",", "0"}], "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0", ",", "0"}], "]"}]}]}], "]"}]}], 
                    ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ImageSize", "\[Rule]", "Full"}], ",", 
                    RowBox[{"FrameMargins", "\[Rule]", "5"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\< \>\"", ",", "\"\<Green\>\"", ",", "\"\< \>\""}], 
                    "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0.6`", ",", "0"}], "]"}]}]}], "]"}], 
                    ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0.6`", ",", "0"}], "]"}]}]}], "]"}]}], 
                    ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ImageSize", "\[Rule]", "Full"}], ",", 
                    RowBox[{"FrameMargins", "\[Rule]", "5"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<Blue\>\"", ",", "\"\< \>\""}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "1"}], "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "1"}], "]"}]}]}], "]"}]}], 
                    ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ImageSize", "\[Rule]", "Full"}], ",", 
                    RowBox[{"FrameMargins", "\[Rule]", "5"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"\"\<Search\>\"", ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "readitem", "}"}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"NotebookRead", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ";", 
                    RowBox[{"Catch", "[", 
                    RowBox[{
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"readitem", "===", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Count", "[", 
                    RowBox[{
                    "readitem", ",", "_InterpretationBox", ",", 
                    "\[Infinity]"}], "]"}], ">", "0"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"FormBox", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "___", "]"}], ",", "___"}], 
                    "]"}]}], "]"}], "=!=", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"ListQ", "[", "readitem", "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", "readitem", "]"}], ",", 
                    "\"\<Text\>\""}], "]"}], "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"CellGroupData", "[", 
                    RowBox[{
                    RowBox[{"{", "a1__", "}"}], ",", "___"}], "]"}], ",", 
                    "___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "a1", "]"}]}], "}"}]}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_String"}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"StringMatchQ", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{"Head", "[", "readitem", "]"}], "]"}], ",", 
                    RowBox[{"__", "~~", "\"\<Box\>\""}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}], "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"_GraphicsData", ",", "___"}], "]"}], "|", 
                    "_GraphicsData"}]}], "]"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_BoxData"}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", "readitem", "]"}], "}"}], "]"}], 
                    ",", "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"_BoxData", ",", "___"}], "]"}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"_CellGroupData", ",", "___"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "]"}],
                     ",", "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_TextData"}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"readitem", ",", "\"\<Text\>\""}], "]"}]}]}], 
                    "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"TextData", "[", "a_String", "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"a_String", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a", "}"}], "]"}], ",", "\"\<Text\>\""}], 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", "x_", "]"}], "/;", 
                    RowBox[{
                    RowBox[{"Head", "[", "x", "]"}], "=!=", "List"}]}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "x", "}"}], "]"}]}]}], "}"}]}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", "b1_ButtonBox", ",", "c1___"}], 
                    "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "b1", "}"}], "]"}], ",", "\"\<Input\>\""}], 
                    "]"}], ",", "c1"}], "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<(*\>\"", ",", "a1___", ",", "\"\<*)\>\""}], 
                    "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<(\>\"", ",", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", "a1", "}"}], "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"x_String", "\[RuleDelayed]", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], "\[Rule]", 
                    "\"\<\\\\\\\"\>\""}], ",", 
                    RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}],
                     "}"}]}], "]"}]}], "}"}]}], ")"}]}], ",", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", "\"\<;\>\""}], "}"}], 
                    "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1_", ",", "g2___"}], "}"}], "]"}], "/;", 
                    RowBox[{"!", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "String", ",", "List", ",", "RowBox", ",", "FormBox"}], 
                    "}"}], ",", 
                    RowBox[{"Head", "[", "g1", "]"}]}], "]"}]}]}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"$Messages", "=", 
                    RowBox[{"{", "}"}]}], "}"}], ",", 
                    RowBox[{"Check", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    InterpretationBox[
                    StyleBox[
                    RowBox[{"FullForm", "[", 
                    RowBox[{"ToExpression", "[", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<\\!\>\"", ",", " ", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<HoldComplete\>\"", ",", " ", "\"\<[\>\"", ",", " ", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1", ",", " ", "g2"}], "}"}], "]"}], ",", " ", 
                    "\"\<]\>\""}], "}"}], "]"}], ",", " ", "InputForm"}], 
                    "]"}]}], "]"}], "]"}], "]"}],
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    InputForm[
                    FullForm[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", 
                    
                    RowBox[{NotebookCompatibility`Dump`Symbols`g1, 
                    NotebookCompatibility`Dump`Symbols`g2}], "]"}], 
                    InputForm]]]]],
                    AutoDelete->True,
                    Editable->True], "]"}], ",", "13"}], "]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1", ",", "g2"}], "}"}], "]"}]}], "]"}]}], 
                    "]"}]}], "}"}]}], "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"a1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "a1"}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1_List", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", "a1", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1__", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}]}], "}"}]}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1___", ",", 
                    RowBox[{"{", "g2_", "}"}], ",", "g3___"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1", ",", "g2", ",", "g3"}], "}"}], "]"}]}], 
                    "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "c1___", ",", "a1_String", ",", "b1_String", ",", 
                    "d1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"a1", "<>", "\"\< \>\"", "<>", "b1"}], ",", 
                    "d1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1_", ",", "b1_", ",", "c1___"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", "\"\<\\n\>\"", ",", "b1"}], "}"}], 
                    "]"}], ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "a1_String", "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{
                    RowBox[{"{", "x_", "}"}], ",", "___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"$Messages", "=", 
                    RowBox[{"{", "}"}]}], "}"}], ",", 
                    RowBox[{"Check", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    InterpretationBox[
                    StyleBox[
                    RowBox[{"FullForm", "[", 
                    RowBox[{"ToExpression", "[", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<\\!\>\"", ",", " ", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<HoldComplete\>\"", ",", " ", "\"\<[\>\"", ",", " ", 
                    "x", ",", " ", "\"\<]\>\""}], "}"}], "]"}], ",", " ", 
                    "InputForm"}], "]"}]}], "]"}], "]"}], "]"}],
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    InputForm[
                    FullForm[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]]],
                    AutoDelete->True,
                    Editable->True], "]"}], ",", "13"}], "]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], "}"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "x", "}"}], "]"}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"x1_", "/;", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "FontColor", ",", "FontFamily", ",", "FontProperties", 
                    ",", "FontSize", ",", "FontSlant", ",", "FontTracking", 
                    ",", "FontVariations", ",", "FontWeight", ",", 
                    "Background"}], "}"}], ",", "x1"}], "]"}]}], "\[Rule]", 
                    "_"}], ")"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"l1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "l1"}], ",", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "c1___", ",", "a1_String", ",", "b1_String", ",", 
                    "d1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"a1", "<>", "\"\< \>\"", "<>", "b1"}], ",", 
                    "d1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "b1___", "}"}], "]"}], ",", "c1___"}], "}"}],
                     "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "a1", ",", "\"\< \>\"", ",", "b1", ",", "\"\< \>\"", ",", 
                    "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "a1_String", "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1_", ",", "b1_", ",", "c1___"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", "\"\<\\n\>\"", ",", "b1"}], "}"}], 
                    "]"}], ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1_List", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", "a1", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1__", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"GridBox", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"{", 
                    RowBox[{"c1___", ",", 
                    RowBox[{"{", "d1___", "}"}], ",", "e1___"}], "}"}], ",", 
                    "b1___"}], "}"}], ",", "f1___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"GridBox", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "d1", "}"}], "]"}], ",", "e1"}], "}"}], ",", 
                    "b1"}], "}"}], ",", "f1"}], "]"}]}]}], "}"}]}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1_List", "]"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "#1", "}"}], "]"}], "]"}], "&"}], ")"}], "/@",
                     "a1"}], "]"}]}], "}"}]}], "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "a1_String", "}"}], "]"}], ",", "___"}], 
                    "]"}], ",", "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", "a1", ",", "\"\< \>\"", ",", "c1"}], 
                    "}"}], "]"}]}], "}"}]}]}], "]"}]}], "]"}]}], "}"}]}]}], 
                    ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{
                    RowBox[{"{", "x_", "}"}], ",", "___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"x", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"a1_String", "\[RuleDelayed]", 
                    RowBox[{"\"\<\\\"\>\"", "<>", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"a1", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], "\[Rule]", 
                    "\"\<\\\\\\\"\>\""}], ",", 
                    RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}],
                     "}"}]}], "]"}], "<>", "\"\<\\\"\>\""}]}], "}"}]}], "]"}],
                     "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"GraphicsData", "[", 
                    RowBox[{"\"\<PostScript\>\"", ",", "graphics_String"}], 
                    "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "\"\<\>\"", "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"x1_", "/;", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "FontColor", ",", "FontFamily", ",", "FontProperties", 
                    ",", "FontSize", ",", "FontSlant", ",", "FontTracking", 
                    ",", "FontVariations", ",", "FontWeight", ",", 
                    "Background"}], "}"}], ",", "x1"}], "]"}]}], "\[Rule]", 
                    "_"}], ")"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"l1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "l1"}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "b1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "a1", ",", "\"\< \>\"", ",", "b1", ",", "\"\< \>\"", ",", 
                    "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"CellGroupData", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", "a__", "]"}], "}"}], ",", "___"}], 
                    "]"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", "a", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "b1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "c1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", "d1___"}], "}"}], "\[RuleDelayed]", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", "\"\<\\n\>\"", ",", "c1"}], "}"}], 
                    "]"}], ",", "\"\<Text\>\""}], "]"}], ",", "d1"}], 
                    "}"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "b1___", ",", "a1_String", ",", "d1_String", ",", 
                    "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", 
                    RowBox[{"a1", "<>", "\"\< \>\"", "<>", "d1"}], ",", 
                    "c1"}], "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a_", "}"}], "]"}], ",", "b__"}], "]"}], 
                    "\[RuleDelayed]", "a"}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{"StringCases", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"WordCharacter", ".."}]}], "]"}], "]"}], "]"}], "/.",
                     "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"a1_String", "/;", 
                    RowBox[{"StringMatchQ", "[", 
                    RowBox[{"a1", ",", "NumberString"}], "]"}]}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"a1_String", "/;", 
                    RowBox[{
                    RowBox[{"StringLength", "[", "a1", "]"}], "\[Equal]", 
                    "1"}]}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}]}], "}"}]}], "/.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a___String", ",", "b_String"}], "}"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#1", ",", "\"\<+\>\""}], "}"}], "&"}], ")"}], "/@", 
                    RowBox[{"{", "a", "}"}]}], "]"}]}], ",", "b"}], "}"}], 
                    "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"readitem", "===", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"{", "\"\<\>\"", "}"}]}]}], "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"\"\<http://www.google.com/search?hl=en&q=\>\"", "<>", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"\"\< \>\"", "\[Rule]", "\"\<+\>\""}]}], "]"}], 
                    "<>", "\"\<+site%3Awolfram.com&btnG=S%C3%B6k&meta=\>\""}]}\
], ";", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"URL", "[", "readitem", "]"}], ",", "None"}], 
                    "}"}]}], "]"}]}]}], "]"}]}], ",", 
                    RowBox[{"BaseStyle", "\[Rule]", "\"\<Hyperlink\>\""}], 
                    ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}]}],
                    "]"}]}], "}"}], "}"}], ",", 
               RowBox[{"ColumnSpacings", "\[Rule]", "0.4`"}]}], "]"}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"GridBox", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<B\>\"", "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Plain\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "1", "]"}]}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ImageSize", "\[Rule]", "Full"}], ",", 
                    RowBox[{"FrameMargins", "\[Rule]", "4"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "1", "]"}]}]}], "]"}], ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<A\>\"", "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Plain\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.9`", "]"}]}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ImageSize", "\[Rule]", "Full"}], ",", 
                    RowBox[{"FrameMargins", "\[Rule]", "4"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.9`", "]"}]}]}], "]"}], ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<C\>\"", "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Plain\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.8`", "]"}]}]}], "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ImageSize", "\[Rule]", "Full"}], ",", 
                    RowBox[{"FrameMargins", "\[Rule]", "4"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.8`", "]"}]}]}], "]"}], ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<K\>\"", "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0.8`", ",", "0.8`"}], "]"}]}]}], 
                    "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ImageSize", "\[Rule]", "Full"}], ",", 
                    RowBox[{"FrameMargins", "\[Rule]", "4"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0.8`", ",", "0.8`"}], "]"}]}]}], "]"}],
                   ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<G\>\"", "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.8`", ",", "1", ",", "0.8`"}], "]"}]}]}], 
                    "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ImageSize", "\[Rule]", "Full"}], ",", 
                    RowBox[{"FrameMargins", "\[Rule]", "4"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.8`", ",", "1", ",", "0.8`"}], "]"}]}]}], "]"}],
                   ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<R\>\"", "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.8`", ",", "0.8`", ",", "1"}], "]"}]}]}], 
                    "]"}]}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ImageSize", "\[Rule]", "Full"}], ",", 
                    RowBox[{"FrameMargins", "\[Rule]", "4"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.8`", ",", "0.8`", ",", "1"}], "]"}]}]}], "]"}],
                   ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<O\>\"", "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.8`", ",", "1", ",", "1"}], "]"}]}]}], "]"}]}], 
                    ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ImageSize", "\[Rule]", "Full"}], ",", 
                    RowBox[{"FrameMargins", "\[Rule]", "4"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.8`", ",", "1", ",", "1"}], "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<U\>\"", "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0.8`", ",", "1"}], "]"}]}]}], "]"}]}], 
                    ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ImageSize", "\[Rule]", "Full"}], ",", 
                    RowBox[{"FrameMargins", "\[Rule]", "4"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0.8`", ",", "1"}], "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<N\>\"", "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "1", ",", "0.8`"}], "]"}]}]}], "]"}]}], 
                    ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ImageSize", "\[Rule]", "Full"}], ",", 
                    RowBox[{"FrameMargins", "\[Rule]", "4"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "1", ",", "0.8`"}], "]"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "\"\<D\>\"", "}"}], "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.8`", ",", "1", ",", "1"}], "]"}]}]}], "]"}]}], 
                    ",", 
                    RowBox[{"Evaluator", "\[Rule]", "None"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", "\"\<Text\>\""}], 
                    ",", 
                    RowBox[{"ImageSize", "\[Rule]", "Full"}], ",", 
                    RowBox[{"FrameMargins", "\[Rule]", "4"}], ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                    ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.8`", ",", "1", ",", "1"}], "]"}]}]}], "]"}], 
                  ",", "\"\< \>\"", ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"\"\<MG\>\"", ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "readitem", "}"}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"NotebookRead", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ";", 
                    RowBox[{"Catch", "[", 
                    RowBox[{
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"readitem", "===", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Count", "[", 
                    RowBox[{
                    "readitem", ",", "_InterpretationBox", ",", 
                    "\[Infinity]"}], "]"}], ">", "0"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"FormBox", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "___", "]"}], ",", "___"}], 
                    "]"}]}], "]"}], "=!=", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"ListQ", "[", "readitem", "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", "readitem", "]"}], ",", 
                    "\"\<Text\>\""}], "]"}], "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"CellGroupData", "[", 
                    RowBox[{
                    RowBox[{"{", "a1__", "}"}], ",", "___"}], "]"}], ",", 
                    "___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "a1", "]"}]}], "}"}]}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_String"}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"StringMatchQ", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{"Head", "[", "readitem", "]"}], "]"}], ",", 
                    RowBox[{"__", "~~", "\"\<Box\>\""}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}], "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"_GraphicsData", ",", "___"}], "]"}], "|", 
                    "_GraphicsData"}]}], "]"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_BoxData"}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", "readitem", "]"}], "}"}], "]"}], 
                    ",", "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"_BoxData", ",", "___"}], "]"}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"_CellGroupData", ",", "___"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "]"}],
                     ",", "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_TextData"}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"readitem", ",", "\"\<Text\>\""}], "]"}]}]}], 
                    "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"TextData", "[", "a_String", "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"a_String", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a", "}"}], "]"}], ",", "\"\<Text\>\""}], 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", "x_", "]"}], "/;", 
                    RowBox[{
                    RowBox[{"Head", "[", "x", "]"}], "=!=", "List"}]}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "x", "}"}], "]"}]}]}], "}"}]}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", "b1_ButtonBox", ",", "c1___"}], 
                    "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "b1", "}"}], "]"}], ",", "\"\<Input\>\""}], 
                    "]"}], ",", "c1"}], "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<(*\>\"", ",", "a1___", ",", "\"\<*)\>\""}], 
                    "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<(\>\"", ",", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", "a1", "}"}], "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"x_String", "\[RuleDelayed]", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], "\[Rule]", 
                    "\"\<\\\\\\\"\>\""}], ",", 
                    RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}],
                     "}"}]}], "]"}]}], "}"}]}], ")"}]}], ",", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", "\"\<;\>\""}], "}"}], 
                    "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1_", ",", "g2___"}], "}"}], "]"}], "/;", 
                    RowBox[{"!", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "String", ",", "List", ",", "RowBox", ",", "FormBox"}], 
                    "}"}], ",", 
                    RowBox[{"Head", "[", "g1", "]"}]}], "]"}]}]}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"$Messages", "=", 
                    RowBox[{"{", "}"}]}], "}"}], ",", 
                    RowBox[{"Check", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    InterpretationBox[
                    StyleBox[
                    RowBox[{"FullForm", "[", 
                    RowBox[{"ToExpression", "[", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<\\!\>\"", ",", " ", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<HoldComplete\>\"", ",", " ", "\"\<[\>\"", ",", " ", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1", ",", " ", "g2"}], "}"}], "]"}], ",", " ", 
                    "\"\<]\>\""}], "}"}], "]"}], ",", " ", "InputForm"}], 
                    "]"}]}], "]"}], "]"}], "]"}],
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    InputForm[
                    FullForm[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", 
                    
                    RowBox[{NotebookCompatibility`Dump`Symbols`g1, 
                    NotebookCompatibility`Dump`Symbols`g2}], "]"}], 
                    InputForm]]]]],
                    AutoDelete->True,
                    Editable->True], "]"}], ",", "13"}], "]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1", ",", "g2"}], "}"}], "]"}]}], "]"}]}], 
                    "]"}]}], "}"}]}], "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"a1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "a1"}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1_List", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", "a1", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1__", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}]}], "}"}]}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1___", ",", 
                    RowBox[{"{", "g2_", "}"}], ",", "g3___"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1", ",", "g2", ",", "g3"}], "}"}], "]"}]}], 
                    "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "c1___", ",", "a1_String", ",", "b1_String", ",", 
                    "d1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"a1", "<>", "\"\< \>\"", "<>", "b1"}], ",", 
                    "d1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1_", ",", "b1_", ",", "c1___"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", "\"\<\\n\>\"", ",", "b1"}], "}"}], 
                    "]"}], ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "a1_String", "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{
                    RowBox[{"{", "x_", "}"}], ",", "___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"$Messages", "=", 
                    RowBox[{"{", "}"}]}], "}"}], ",", 
                    RowBox[{"Check", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    InterpretationBox[
                    StyleBox[
                    RowBox[{"FullForm", "[", 
                    RowBox[{"ToExpression", "[", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<\\!\>\"", ",", " ", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<HoldComplete\>\"", ",", " ", "\"\<[\>\"", ",", " ", 
                    "x", ",", " ", "\"\<]\>\""}], "}"}], "]"}], ",", " ", 
                    "InputForm"}], "]"}]}], "]"}], "]"}], "]"}],
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    InputForm[
                    FullForm[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]]],
                    AutoDelete->True,
                    Editable->True], "]"}], ",", "13"}], "]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], "}"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "x", "}"}], "]"}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"x1_", "/;", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "FontColor", ",", "FontFamily", ",", "FontProperties", 
                    ",", "FontSize", ",", "FontSlant", ",", "FontTracking", 
                    ",", "FontVariations", ",", "FontWeight", ",", 
                    "Background"}], "}"}], ",", "x1"}], "]"}]}], "\[Rule]", 
                    "_"}], ")"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"l1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "l1"}], ",", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "c1___", ",", "a1_String", ",", "b1_String", ",", 
                    "d1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"a1", "<>", "\"\< \>\"", "<>", "b1"}], ",", 
                    "d1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "b1___", "}"}], "]"}], ",", "c1___"}], "}"}],
                     "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "a1", ",", "\"\< \>\"", ",", "b1", ",", "\"\< \>\"", ",", 
                    "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "a1_String", "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1_", ",", "b1_", ",", "c1___"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", "\"\<\\n\>\"", ",", "b1"}], "}"}], 
                    "]"}], ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1_List", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", "a1", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1__", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"GridBox", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"{", 
                    RowBox[{"c1___", ",", 
                    RowBox[{"{", "d1___", "}"}], ",", "e1___"}], "}"}], ",", 
                    "b1___"}], "}"}], ",", "f1___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"GridBox", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "d1", "}"}], "]"}], ",", "e1"}], "}"}], ",", 
                    "b1"}], "}"}], ",", "f1"}], "]"}]}]}], "}"}]}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1_List", "]"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "#1", "}"}], "]"}], "]"}], "&"}], ")"}], "/@",
                     "a1"}], "]"}]}], "}"}]}], "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "a1_String", "}"}], "]"}], ",", "___"}], 
                    "]"}], ",", "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", "a1", ",", "\"\< \>\"", ",", "c1"}], 
                    "}"}], "]"}]}], "}"}]}]}], "]"}]}], "]"}]}], "}"}]}]}], 
                    ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{
                    RowBox[{"{", "x_", "}"}], ",", "___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"x", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"a1_String", "\[RuleDelayed]", 
                    RowBox[{"\"\<\\\"\>\"", "<>", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"a1", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], "\[Rule]", 
                    "\"\<\\\\\\\"\>\""}], ",", 
                    RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}],
                     "}"}]}], "]"}], "<>", "\"\<\\\"\>\""}]}], "}"}]}], "]"}],
                     "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"GraphicsData", "[", 
                    RowBox[{"\"\<PostScript\>\"", ",", "graphics_String"}], 
                    "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "\"\<\>\"", "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"x1_", "/;", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "FontColor", ",", "FontFamily", ",", "FontProperties", 
                    ",", "FontSize", ",", "FontSlant", ",", "FontTracking", 
                    ",", "FontVariations", ",", "FontWeight", ",", 
                    "Background"}], "}"}], ",", "x1"}], "]"}]}], "\[Rule]", 
                    "_"}], ")"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"l1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "l1"}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "b1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "a1", ",", "\"\< \>\"", ",", "b1", ",", "\"\< \>\"", ",", 
                    "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"CellGroupData", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", "a__", "]"}], "}"}], ",", "___"}], 
                    "]"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", "a", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "b1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "c1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", "d1___"}], "}"}], "\[RuleDelayed]", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", "\"\<\\n\>\"", ",", "c1"}], "}"}], 
                    "]"}], ",", "\"\<Text\>\""}], "]"}], ",", "d1"}], 
                    "}"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "b1___", ",", "a1_String", ",", "d1_String", ",", 
                    "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", 
                    RowBox[{"a1", "<>", "\"\< \>\"", "<>", "d1"}], ",", 
                    "c1"}], "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a_", "}"}], "]"}], ",", "b__"}], "]"}], 
                    "\[RuleDelayed]", "a"}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{"StringCases", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"WordCharacter", ".."}]}], "]"}], "]"}], "]"}], "/.",
                     "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"a1_String", "/;", 
                    RowBox[{"StringMatchQ", "[", 
                    RowBox[{"a1", ",", "NumberString"}], "]"}]}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"a1_String", "/;", 
                    RowBox[{
                    RowBox[{"StringLength", "[", "a1", "]"}], "\[Equal]", 
                    "1"}]}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}]}], "}"}]}], "/.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a___String", ",", "b_String"}], "}"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#1", ",", "\"\<+\>\""}], "}"}], "&"}], ")"}], "/@", 
                    RowBox[{"{", "a", "}"}]}], "]"}]}], ",", "b"}], "}"}], 
                    "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"readitem", "===", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"{", "\"\<\>\"", "}"}]}]}], "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"\"\<http://www.google.com/search?hl=en&q=\>\"", "<>", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"\"\< \>\"", "\[Rule]", "\"\<+\>\""}]}], "]"}], 
                    "<>", "\"\<+site:forums.wolfram.com+OR+site:www.\
mathematica-users.org/webMathematica/wiki/&hl=en&lr=&safe=off&start=0&sa=N\>\"\
"}]}], ";", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"URL", "[", "readitem", "]"}], ",", "None"}], 
                    "}"}]}], "]"}]}]}], "]"}]}], ",", 
                    RowBox[{"BaseStyle", "\[Rule]", "\"\<Hyperlink\>\""}], 
                    ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}]}],
                    "]"}], ",", 
                  RowBox[{"ButtonBox", "[", 
                   RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"\"\<GC\>\"", ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                    RowBox[{"Evaluator", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"ButtonData", "\[RuleDelayed]", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "readitem", "}"}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"NotebookRead", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ";", 
                    RowBox[{"Catch", "[", 
                    RowBox[{
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"readitem", "===", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Count", "[", 
                    RowBox[{
                    "readitem", ",", "_InterpretationBox", ",", 
                    "\[Infinity]"}], "]"}], ">", "0"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"FormBox", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "___", "]"}], ",", "___"}], 
                    "]"}]}], "]"}], "=!=", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"ListQ", "[", "readitem", "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", "readitem", "]"}], ",", 
                    "\"\<Text\>\""}], "]"}], "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"CellGroupData", "[", 
                    RowBox[{
                    RowBox[{"{", "a1__", "}"}], ",", "___"}], "]"}], ",", 
                    "___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "a1", "]"}]}], "}"}]}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_String"}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"StringMatchQ", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{"Head", "[", "readitem", "]"}], "]"}], ",", 
                    RowBox[{"__", "~~", "\"\<Box\>\""}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}], "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"_GraphicsData", ",", "___"}], "]"}], "|", 
                    "_GraphicsData"}]}], "]"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_BoxData"}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", "readitem", "]"}], "}"}], "]"}], 
                    ",", "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"_BoxData", ",", "___"}], "]"}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"_CellGroupData", ",", "___"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "]"}],
                     ",", "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_TextData"}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"readitem", ",", "\"\<Text\>\""}], "]"}]}]}], 
                    "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"TextData", "[", "a_String", "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"a_String", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a", "}"}], "]"}], ",", "\"\<Text\>\""}], 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", "x_", "]"}], "/;", 
                    RowBox[{
                    RowBox[{"Head", "[", "x", "]"}], "=!=", "List"}]}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "x", "}"}], "]"}]}]}], "}"}]}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", "b1_ButtonBox", ",", "c1___"}], 
                    "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "b1", "}"}], "]"}], ",", "\"\<Input\>\""}], 
                    "]"}], ",", "c1"}], "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<(*\>\"", ",", "a1___", ",", "\"\<*)\>\""}], 
                    "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<(\>\"", ",", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", "a1", "}"}], "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"x_String", "\[RuleDelayed]", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], "\[Rule]", 
                    "\"\<\\\\\\\"\>\""}], ",", 
                    RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}],
                     "}"}]}], "]"}]}], "}"}]}], ")"}]}], ",", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", "\"\<;\>\""}], "}"}], 
                    "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1_", ",", "g2___"}], "}"}], "]"}], "/;", 
                    RowBox[{"!", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "String", ",", "List", ",", "RowBox", ",", "FormBox"}], 
                    "}"}], ",", 
                    RowBox[{"Head", "[", "g1", "]"}]}], "]"}]}]}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"$Messages", "=", 
                    RowBox[{"{", "}"}]}], "}"}], ",", 
                    RowBox[{"Check", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    InterpretationBox[
                    StyleBox[
                    RowBox[{"FullForm", "[", 
                    RowBox[{"ToExpression", "[", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<\\!\>\"", ",", " ", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<HoldComplete\>\"", ",", " ", "\"\<[\>\"", ",", " ", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1", ",", " ", "g2"}], "}"}], "]"}], ",", " ", 
                    "\"\<]\>\""}], "}"}], "]"}], ",", " ", "InputForm"}], 
                    "]"}]}], "]"}], "]"}], "]"}],
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    InputForm[
                    FullForm[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", 
                    
                    RowBox[{NotebookCompatibility`Dump`Symbols`g1, 
                    NotebookCompatibility`Dump`Symbols`g2}], "]"}], 
                    InputForm]]]]],
                    AutoDelete->True,
                    Editable->True], "]"}], ",", "13"}], "]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1", ",", "g2"}], "}"}], "]"}]}], "]"}]}], 
                    "]"}]}], "}"}]}], "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"a1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "a1"}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1_List", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", "a1", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1__", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}]}], "}"}]}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1___", ",", 
                    RowBox[{"{", "g2_", "}"}], ",", "g3___"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1", ",", "g2", ",", "g3"}], "}"}], "]"}]}], 
                    "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "c1___", ",", "a1_String", ",", "b1_String", ",", 
                    "d1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"a1", "<>", "\"\< \>\"", "<>", "b1"}], ",", 
                    "d1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1_", ",", "b1_", ",", "c1___"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", "\"\<\\n\>\"", ",", "b1"}], "}"}], 
                    "]"}], ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "a1_String", "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{
                    RowBox[{"{", "x_", "}"}], ",", "___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"$Messages", "=", 
                    RowBox[{"{", "}"}]}], "}"}], ",", 
                    RowBox[{"Check", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    InterpretationBox[
                    StyleBox[
                    RowBox[{"FullForm", "[", 
                    RowBox[{"ToExpression", "[", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<\\!\>\"", ",", " ", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<HoldComplete\>\"", ",", " ", "\"\<[\>\"", ",", " ", 
                    "x", ",", " ", "\"\<]\>\""}], "}"}], "]"}], ",", " ", 
                    "InputForm"}], "]"}]}], "]"}], "]"}], "]"}],
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    InputForm[
                    FullForm[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]]],
                    AutoDelete->True,
                    Editable->True], "]"}], ",", "13"}], "]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], "}"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "x", "}"}], "]"}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"x1_", "/;", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "FontColor", ",", "FontFamily", ",", "FontProperties", 
                    ",", "FontSize", ",", "FontSlant", ",", "FontTracking", 
                    ",", "FontVariations", ",", "FontWeight", ",", 
                    "Background"}], "}"}], ",", "x1"}], "]"}]}], "\[Rule]", 
                    "_"}], ")"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"l1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "l1"}], ",", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "c1___", ",", "a1_String", ",", "b1_String", ",", 
                    "d1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"a1", "<>", "\"\< \>\"", "<>", "b1"}], ",", 
                    "d1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "b1___", "}"}], "]"}], ",", "c1___"}], "}"}],
                     "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "a1", ",", "\"\< \>\"", ",", "b1", ",", "\"\< \>\"", ",", 
                    "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "a1_String", "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1_", ",", "b1_", ",", "c1___"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", "\"\<\\n\>\"", ",", "b1"}], "}"}], 
                    "]"}], ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1_List", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", "a1", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1__", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"GridBox", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"{", 
                    RowBox[{"c1___", ",", 
                    RowBox[{"{", "d1___", "}"}], ",", "e1___"}], "}"}], ",", 
                    "b1___"}], "}"}], ",", "f1___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"GridBox", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "d1", "}"}], "]"}], ",", "e1"}], "}"}], ",", 
                    "b1"}], "}"}], ",", "f1"}], "]"}]}]}], "}"}]}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1_List", "]"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "#1", "}"}], "]"}], "]"}], "&"}], ")"}], "/@",
                     "a1"}], "]"}]}], "}"}]}], "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "a1_String", "}"}], "]"}], ",", "___"}], 
                    "]"}], ",", "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", "a1", ",", "\"\< \>\"", ",", "c1"}], 
                    "}"}], "]"}]}], "}"}]}]}], "]"}]}], "]"}]}], "}"}]}]}], 
                    ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{
                    RowBox[{"{", "x_", "}"}], ",", "___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"x", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"a1_String", "\[RuleDelayed]", 
                    RowBox[{"\"\<\\\"\>\"", "<>", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"a1", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], "\[Rule]", 
                    "\"\<\\\\\\\"\>\""}], ",", 
                    RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}],
                     "}"}]}], "]"}], "<>", "\"\<\\\"\>\""}]}], "}"}]}], "]"}],
                     "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"GraphicsData", "[", 
                    RowBox[{"\"\<PostScript\>\"", ",", "graphics_String"}], 
                    "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "\"\<\>\"", "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"x1_", "/;", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "FontColor", ",", "FontFamily", ",", "FontProperties", 
                    ",", "FontSize", ",", "FontSlant", ",", "FontTracking", 
                    ",", "FontVariations", ",", "FontWeight", ",", 
                    "Background"}], "}"}], ",", "x1"}], "]"}]}], "\[Rule]", 
                    "_"}], ")"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"l1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "l1"}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "b1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "a1", ",", "\"\< \>\"", ",", "b1", ",", "\"\< \>\"", ",", 
                    "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"CellGroupData", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", "a__", "]"}], "}"}], ",", "___"}], 
                    "]"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", "a", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "b1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "c1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", "d1___"}], "}"}], "\[RuleDelayed]", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", "\"\<\\n\>\"", ",", "c1"}], "}"}], 
                    "]"}], ",", "\"\<Text\>\""}], "]"}], ",", "d1"}], 
                    "}"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "b1___", ",", "a1_String", ",", "d1_String", ",", 
                    "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", 
                    RowBox[{"a1", "<>", "\"\< \>\"", "<>", "d1"}], ",", 
                    "c1"}], "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a_", "}"}], "]"}], ",", "b__"}], "]"}], 
                    "\[RuleDelayed]", "a"}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{"StringCases", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"WordCharacter", ".."}]}], "]"}], "]"}], "]"}], "/.",
                     "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"a1_String", "/;", 
                    RowBox[{"StringMatchQ", "[", 
                    RowBox[{"a1", ",", "NumberString"}], "]"}]}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"a1_String", "/;", 
                    RowBox[{
                    RowBox[{"StringLength", "[", "a1", "]"}], "\[Equal]", 
                    "1"}]}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}]}], "}"}]}], "/.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a___String", ",", "b_String"}], "}"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#1", ",", "\"\<+\>\""}], "}"}], "&"}], ")"}], "/@", 
                    RowBox[{"{", "a", "}"}]}], "]"}]}], ",", "b"}], "}"}], 
                    "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"readitem", "===", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"{", "\"\<\>\"", "}"}]}]}], "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    "\"\<http://www.google.com/codesearch?hl=en&lr=&q=lang%\
3AMathematica+\>\"", "<>", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"\"\< \>\"", "\[Rule]", "\"\<+\>\""}]}], "]"}], 
                    "<>", "\"\<&sbtn=Search\>\""}]}], ";", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"URL", "[", "readitem", "]"}], ",", "None"}], 
                    "}"}]}], "]"}]}]}], "]"}]}], ",", 
                    RowBox[{"BaseStyle", "\[Rule]", "\"\<Hyperlink\>\""}], 
                    ",", 
                    RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}]}],
                    "]"}]}], "}"}], "}"}], ",", 
               RowBox[{"ColumnSpacings", "\[Rule]", "0"}]}], "]"}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"GridBox", "[", 
              RowBox[{"{", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ButtonBox", "[", 
                  RowBox[{
                   RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<Get\>\"", ",", "\"\< \>\"", ",", "\"\<Font\>\"", 
                    ",", "\"\< \>\"", ",", "\"\<Options\>\""}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                   RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"$FontPaintOptions", "=", 
                    RowBox[{"AbsoluteOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "FontColor", ",", "FontFamily", ",", "FontProperties", 
                    ",", "FontSize", ",", "FontSlant", ",", "FontTracking", 
                    ",", "FontVariations", ",", "FontWeight", ",", 
                    "Background"}], "}"}]}], "]"}]}], ";", 
                    RowBox[{"buttontext", "=", 
                    RowBox[{"StyleBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<   Paint\>\"", ",", "\"\< \>\"", ",", "\"\<Font\>\"",
                     ",", "\"\< \>\"", ",", "\"\<Options     \>\""}], "}"}], 
                    "]"}], ",", 
                    RowBox[{"Sequence", "[", "$FontPaintOptions", "]"}], ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Verdana\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}]}]}], 
                    ")"}]}], ",", 
                   RowBox[{"Evaluator", "\[Rule]", "Automatic"}], ",", 
                   RowBox[{"Active", "\[Rule]", "True"}], ",", 
                   RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                   ",", 
                   RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                 ",", 
                 RowBox[{"ButtonBox", "[", 
                  RowBox[{
                   RowBox[{"DynamicBox", "[", "buttontext", "]"}], ",", 
                   RowBox[{"ButtonFunction", "\[RuleDelayed]", 
                    RowBox[{"(", 
                    RowBox[{"SetOptions", "[", 
                    RowBox[{
                    RowBox[{"NotebookSelection", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}], ",", 
                    RowBox[{"Sequence", "@@", "$FontPaintOptions"}]}], "]"}], 
                    ")"}]}], ",", 
                   RowBox[{"Evaluator", "\[Rule]", "Automatic"}], ",", 
                   RowBox[{"Active", "\[Rule]", "True"}], ",", 
                   RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}], 
                   ",", 
                   RowBox[{"Background", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0.900008`", "]"}]}]}], "]"}], 
                 ",", 
                 RowBox[{"ButtonBox", "[", 
                  RowBox[{
                   RowBox[{"StyleBox", "[", 
                    RowBox[{"\"\<Web\>\"", ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "11"}], ",", 
                    RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}], ",", 
                   RowBox[{"Evaluator", "\[Rule]", "Automatic"}], ",", 
                   RowBox[{"ButtonData", "\[RuleDelayed]", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "readitem", "}"}], ",", 
                    RowBox[{
                    RowBox[{"readitem", "=", 
                    RowBox[{"NotebookRead", "[", 
                    RowBox[{"InputNotebook", "[", "]"}], "]"}]}], ";", 
                    RowBox[{"Catch", "[", 
                    RowBox[{
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"readitem", "===", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Count", "[", 
                    RowBox[{
                    "readitem", ",", "_InterpretationBox", ",", 
                    "\[Infinity]"}], "]"}], ">", "0"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"FormBox", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "___", "]"}], ",", "___"}], 
                    "]"}]}], "]"}], "=!=", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"ListQ", "[", "readitem", "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", "readitem", "]"}], ",", 
                    "\"\<Text\>\""}], "]"}], "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"CellGroupData", "[", 
                    RowBox[{
                    RowBox[{"{", "a1__", "}"}], ",", "___"}], "]"}], ",", 
                    "___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "a1", "]"}]}], "}"}]}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_String"}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"StringMatchQ", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{"Head", "[", "readitem", "]"}], "]"}], ",", 
                    RowBox[{"__", "~~", "\"\<Box\>\""}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}], "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"_GraphicsData", ",", "___"}], "]"}], "|", 
                    "_GraphicsData"}]}], "]"}], ",", 
                    RowBox[{"Throw", "[", "Null", "]"}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_BoxData"}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", "readitem", "]"}], "}"}], "]"}], 
                    ",", "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"_BoxData", ",", "___"}], "]"}]}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "readitem", "}"}], "]"}], ",", 
                    "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"_CellGroupData", ",", "___"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"readitem", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "]"}],
                     ",", "\"\<Text\>\""}], "]"}]}], ",", 
                    RowBox[{"MatchQ", "[", 
                    RowBox[{"readitem", ",", "_TextData"}], "]"}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"Cell", "[", 
                    RowBox[{"readitem", ",", "\"\<Text\>\""}], "]"}]}]}], 
                    "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"TextData", "[", "a_String", "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"a_String", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a", "}"}], "]"}], ",", "\"\<Text\>\""}], 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", "x_", "]"}], "/;", 
                    RowBox[{
                    RowBox[{"Head", "[", "x", "]"}], "=!=", "List"}]}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "x", "}"}], "]"}]}]}], "}"}]}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", "b1_ButtonBox", ",", "c1___"}], 
                    "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "b1", "}"}], "]"}], ",", "\"\<Input\>\""}], 
                    "]"}], ",", "c1"}], "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<(*\>\"", ",", "a1___", ",", "\"\<*)\>\""}], 
                    "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<(\>\"", ",", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", "a1", "}"}], "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"x_String", "\[RuleDelayed]", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], "\[Rule]", 
                    "\"\<\\\\\\\"\>\""}], ",", 
                    RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}],
                     "}"}]}], "]"}]}], "}"}]}], ")"}]}], ",", 
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", "\"\<;\>\""}], "}"}], 
                    "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1_", ",", "g2___"}], "}"}], "]"}], "/;", 
                    RowBox[{"!", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "String", ",", "List", ",", "RowBox", ",", "FormBox"}], 
                    "}"}], ",", 
                    RowBox[{"Head", "[", "g1", "]"}]}], "]"}]}]}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"$Messages", "=", 
                    RowBox[{"{", "}"}]}], "}"}], ",", 
                    RowBox[{"Check", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    InterpretationBox[
                    StyleBox[
                    RowBox[{"FullForm", "[", 
                    RowBox[{"ToExpression", "[", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<\\!\>\"", ",", " ", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<HoldComplete\>\"", ",", " ", "\"\<[\>\"", ",", " ", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1", ",", " ", "g2"}], "}"}], "]"}], ",", " ", 
                    "\"\<]\>\""}], "}"}], "]"}], ",", " ", "InputForm"}], 
                    "]"}]}], "]"}], "]"}], "]"}],
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    InputForm[
                    FullForm[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", 
                    
                    RowBox[{NotebookCompatibility`Dump`Symbols`g1, 
                    NotebookCompatibility`Dump`Symbols`g2}], "]"}], 
                    InputForm]]]]],
                    AutoDelete->True,
                    Editable->True], "]"}], ",", "13"}], "]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1", ",", "g2"}], "}"}], "]"}]}], "]"}]}], 
                    "]"}]}], "}"}]}], "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"a1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "a1"}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1_List", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", "a1", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1__", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}]}], "}"}]}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1___", ",", 
                    RowBox[{"{", "g2_", "}"}], ",", "g3___"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"g1", ",", "g2", ",", "g3"}], "}"}], "]"}]}], 
                    "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "c1___", ",", "a1_String", ",", "b1_String", ",", 
                    "d1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"a1", "<>", "\"\< \>\"", "<>", "b1"}], ",", 
                    "d1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1_", ",", "b1_", ",", "c1___"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", "\"\<\\n\>\"", ",", "b1"}], "}"}], 
                    "]"}], ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "a1_String", "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{
                    RowBox[{"{", "x_", "}"}], ",", "___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"$Messages", "=", 
                    RowBox[{"{", "}"}]}], "}"}], ",", 
                    RowBox[{"Check", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"StringDrop", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    InterpretationBox[
                    StyleBox[
                    RowBox[{"FullForm", "[", 
                    RowBox[{"ToExpression", "[", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<\\!\>\"", ",", " ", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<HoldComplete\>\"", ",", " ", "\"\<[\>\"", ",", " ", 
                    "x", ",", " ", "\"\<]\>\""}], "}"}], "]"}], ",", " ", 
                    "InputForm"}], "]"}]}], "]"}], "]"}], "]"}],
                    ShowStringCharacters->True,
                    NumberMarks->True],
                    InputForm[
                    FullForm[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]]],
                    AutoDelete->True,
                    Editable->True], "]"}], ",", "13"}], "]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}], "}"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "x", "}"}], "]"}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"x1_", "/;", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "FontColor", ",", "FontFamily", ",", "FontProperties", 
                    ",", "FontSize", ",", "FontSlant", ",", "FontTracking", 
                    ",", "FontVariations", ",", "FontWeight", ",", 
                    "Background"}], "}"}], ",", "x1"}], "]"}]}], "\[Rule]", 
                    "_"}], ")"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"l1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "l1"}], ",", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "c1___", ",", "a1_String", ",", "b1_String", ",", 
                    "d1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"a1", "<>", "\"\< \>\"", "<>", "b1"}], ",", 
                    "d1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "b1___", "}"}], "]"}], ",", "c1___"}], "}"}],
                     "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "a1", ",", "\"\< \>\"", ",", "b1", ",", "\"\< \>\"", ",", 
                    "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", "a1_String", "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1_", ",", "b1_", ",", "c1___"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", "\"\<\\n\>\"", ",", "b1"}], "}"}], 
                    "]"}], ",", "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1_List", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", "a1", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"FormBox", "[", 
                    RowBox[{"a1__", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"GridBox", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"{", 
                    RowBox[{"c1___", ",", 
                    RowBox[{"{", "d1___", "}"}], ",", "e1___"}], "}"}], ",", 
                    "b1___"}], "}"}], ",", "f1___"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"GridBox", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"{", 
                    RowBox[{"c1", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", "d1", "}"}], "]"}], ",", "e1"}], "}"}], ",", 
                    "b1"}], "}"}], ",", "f1"}], "]"}]}]}], "}"}]}], "//.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", 
                    RowBox[{"RowBox", "[", "a1_List", "]"}], "}"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "#1", "}"}], "]"}], "]"}], "&"}], ")"}], "/@",
                     "a1"}], "]"}]}], "}"}]}], "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{"{", "a1_String", "}"}], "]"}], ",", "___"}], 
                    "]"}], ",", "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", "a1", ",", "\"\< \>\"", ",", "c1"}], 
                    "}"}], "]"}]}], "}"}]}]}], "]"}]}], "]"}]}], "}"}]}]}], 
                    ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"BoxData", "[", 
                    RowBox[{
                    RowBox[{"{", "x_", "}"}], ",", "___"}], "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"x", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{"a1_String", "\[RuleDelayed]", 
                    RowBox[{"\"\<\\\"\>\"", "<>", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"a1", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"FromCharacterCode", "[", "34", "]"}], "\[Rule]", 
                    "\"\<\\\\\\\"\>\""}], ",", 
                    RowBox[{"\"\<\\\\\>\"", "\[Rule]", "\"\<\\\\\\\\\>\""}]}],
                     "}"}]}], "]"}], "<>", "\"\<\\\"\>\""}]}], "}"}]}], "]"}],
                     "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"GraphicsData", "[", 
                    RowBox[{"\"\<PostScript\>\"", ",", "graphics_String"}], 
                    "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "\"\<\>\"", "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"x1_", "/;", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "FontColor", ",", "FontFamily", ",", "FontProperties", 
                    ",", "FontSize", ",", "FontSlant", ",", "FontTracking", 
                    ",", "FontVariations", ",", "FontWeight", ",", 
                    "Background"}], "}"}], ",", "x1"}], "]"}]}], "\[Rule]", 
                    "_"}], ")"}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"l1_", ",", "___"}], "]"}], "\[RuleDelayed]", 
                    "l1"}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "b1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "a1", ",", "\"\< \>\"", ",", "b1", ",", "\"\< \>\"", ",", 
                    "c1"}], "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a1", "}"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{"CellGroupData", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Cell", "[", "a__", "]"}], "}"}], ",", "___"}], 
                    "]"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"Cell", "[", "a", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a1___", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "b1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "c1__", "}"}], "]"}], ",", "___"}], "]"}], 
                    ",", "d1___"}], "}"}], "\[RuleDelayed]", 
                    RowBox[{"{", 
                    RowBox[{"a1", ",", 
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", "\"\<\\n\>\"", ",", "c1"}], "}"}], 
                    "]"}], ",", "\"\<Text\>\""}], "]"}], ",", "d1"}], 
                    "}"}]}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "//.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "b1___", ",", "a1_String", ",", "d1_String", ",", 
                    "c1___"}], "}"}], "]"}], "\[RuleDelayed]", 
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", 
                    RowBox[{"b1", ",", 
                    RowBox[{"a1", "<>", "\"\< \>\"", "<>", "d1"}], ",", 
                    "c1"}], "}"}], "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"readitem", "/.", "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cell", "[", 
                    RowBox[{
                    RowBox[{"TextData", "[", 
                    RowBox[{"{", "a_", "}"}], "]"}], ",", "b__"}], "]"}], 
                    "\[RuleDelayed]", "a"}], "}"}]}]}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{"StringCases", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"WordCharacter", ".."}]}], "]"}], "]"}], "]"}], "/.",
                     "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"a1_String", "/;", 
                    RowBox[{"StringMatchQ", "[", 
                    RowBox[{"a1", ",", "NumberString"}], "]"}]}], 
                    "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"a1_String", "/;", 
                    RowBox[{
                    RowBox[{"StringLength", "[", "a1", "]"}], "\[Equal]", 
                    "1"}]}], "\[RuleDelayed]", 
                    RowBox[{"Sequence", "[", "]"}]}]}], "}"}]}], "/.", 
                    "\[InvisibleSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a___String", ",", "b_String"}], "}"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#1", ",", "\"\<+\>\""}], "}"}], "&"}], ")"}], "/@", 
                    RowBox[{"{", "a", "}"}]}], "]"}]}], ",", "b"}], "}"}], 
                    "]"}]}], "}"}]}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"readitem", "===", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"{", "\"\<\>\"", "}"}]}]}], "]"}], ";", 
                    RowBox[{"readitem", "=", 
                    RowBox[{"\"\<http://www.google.com/search?hl=en&q=\>\"", "<>", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"readitem", ",", 
                    RowBox[{"\"\< \>\"", "\[Rule]", "\"\<+\>\""}]}], "]"}], 
                    "<>", "\"\<\>\""}]}], ";", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"URL", "[", "readitem", "]"}], ",", "None"}], 
                    "}"}]}], "]"}]}]}], "]"}]}], ",", 
                   RowBox[{"BaseStyle", "\[Rule]", "\"\<Hyperlink\>\""}], ",", 
                   RowBox[{"ButtonFrame", "\[Rule]", "\"\<DialogBox\>\""}]}], 
                  "]"}]}], "}"}], "}"}], "]"}], "}"}]}], "}"}], ",", 
          RowBox[{"RowSpacings", "\[Rule]", "0"}], ",", 
          RowBox[{"ColumnSpacings", "\[Rule]", "0"}]}], "]"}], ",", 
        RowBox[{"DynamicModuleValues", "\[RuleDelayed]", 
         RowBox[{"{", "}"}]}]}], "]"}], "]"}], ",", 
     RowBox[{"Background", "\[Rule]", 
      RowBox[{"GrayLevel", "[", "0.800008`", "]"}]}], ",", 
     RowBox[{"CellFrameMargins", "\[Rule]", "1"}], ",", 
     RowBox[{"CellTags", "\[Rule]", "\"\<Button cell\>\""}], ",", 
     RowBox[{"WindowFloating", "\[Rule]", "\"\<True\>\""}]}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.43767619615625*^9, 3.4376762173125*^9}, {
   3.437676385859375*^9, 3.43767648046875*^9}, {3.437676512109375*^9, 
   3.437676543734375*^9}, {3.43767679028125*^9, 3.437676793703125*^9}, {
   3.437678439390625*^9, 3.437678439765625*^9}, 3.437678529421875*^9, 
   3.4376785699375*^9, 3.4380614235625*^9, 3.438061472234375*^9, {
   3.4380615675*^9, 3.438061570109375*^9}, 3.43806160275*^9, {
   3.438061708796875*^9, 3.438061720734375*^9}, {3.438061805125*^9, 
   3.43806181478125*^9}, 3.4381110126875*^9, {3.438111231796875*^9, 
   3.438111232796875*^9}, {3.438111342515625*^9, 3.43811138184375*^9}, 
   3.438111496484375*^9, 3.438111533953125*^9, {3.438111784546875*^9, 
   3.438111787828125*^9}, {3.438150970828125*^9, 3.438151017171875*^9}, {
   3.43815109215625*^9, 3.43815114025*^9}, {3.438151325125*^9, 
   3.438151326796875*^9}, 3.438194769375*^9, {3.438197798890625*^9, 
   3.438197807609375*^9}, {3.43819788325*^9, 3.438197928953125*^9}, 
   3.43819796115625*^9, {3.438198043734375*^9, 3.4381980735625*^9}, {
   3.43820085028125*^9, 3.438200858546875*^9}, {3.438200962265625*^9, 
   3.438200978609375*^9}, 3.4382010589375*^9, {3.43821382665625*^9, 
   3.43821383246875*^9}, {3.43821386753125*^9, 3.4382138751875*^9}, {
   3.43821395834375*^9, 3.43821398275*^9}, {3.438214049078125*^9, 
   3.438214059890625*^9}, {3.438214156921875*^9, 3.43821417490625*^9}, {
   3.43821428178125*^9, 3.438214307203125*^9}, 3.438214439515625*^9, {
   3.43821459159375*^9, 3.438214605984375*^9}, 3.438214758609375*^9, {
   3.43821483365625*^9, 3.43821483990625*^9}, {3.4382768795*^9, 
   3.4382769378125*^9}, 3.438277010296875*^9, {3.43831922121875*^9, 
   3.43831932990625*^9}, 3.4921830572204056`*^9, 3.49235893576849*^9},
 ShowStringCharacters->True],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`$FontPaintOptions = {
  FontFamily -> "Verdana", FontSize -> 11, FontColor -> 
   GrayLevel[0]}, $CellContext`buttontext = StyleBox[
   RowBox[{"   Paint", " ", "Font", " ", "Options     "}], FontFamily -> 
   "Verdana", FontSize -> 11, FontColor -> GrayLevel[0]]}, GridBox[{
    {GridBox[{
       {
        ButtonBox[
         StyleBox["CopyAsInputFormK",
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[0.95, 0.95, 1],
         ButtonFunction:>
          Module[{$CellContext`readitem, $CellContext`tws}, \
$CellContext`readitem = NotebookRead[
              InputNotebook[]]; Catch[Which[$CellContext`readitem === {}, 
               Throw[Null], Cases[$CellContext`readitem, 
                 FormBox[
                  BoxData[
                   BlankNullSequence[]], 
                  BlankNullSequence[]]] =!= {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], 
               If[ReplaceAll["CursorPosition", 
                  Flatten[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; LinkRead[$ParentLink]]] =!= 
                "CellBracket", $CellContext`readitem = Cell[
                  TextData[$CellContext`readitem], "Input", 
                  ShowSpecialCharacters -> False]], 
               MatchQ[$CellContext`readitem, 
                Alternatives[
                 BoxData[
                  Blank[Graphics3D]], 
                 BoxData[
                  Blank[SurfaceGraphics]], 
                 Blank[GraphicsData]]], SelectionMove[
                 InputNotebook[], All, Cell]; $CellContext`readitem = 
                NotebookRead[
                  InputNotebook[]]]; If[
               StringQ[$CellContext`readitem], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Input", 
                 ShowSpecialCharacters -> False]]; $CellContext`readitem = 
              ReplaceRepeated[
                ReplaceAll[$CellContext`readitem, {TextData[
                    Pattern[$CellContext`a, 
                    Blank[String]]] :> TextData[{$CellContext`a}], Cell[
                    Pattern[$CellContext`a, 
                    Blank[String]], 
                    BlankNullSequence[]] :> Cell[
                    TextData[{$CellContext`a}], "Input", 
                    ShowSpecialCharacters -> False], Condition[
                    BoxData[
                    Pattern[$CellContext`x, 
                    Blank[]]], 
                    And[
                    Head[$CellContext`x] =!= List, Head[$CellContext`x] =!= 
                    Graphics3D, Head[$CellContext`x] =!= SurfaceGraphics]] :> 
                  BoxData[{$CellContext`x}]}], {TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[ButtonBox]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`a1, 
                    Cell[
                    BoxData[{$CellContext`b1}], 
                    "Input"], $CellContext`c1}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {RowBox[{"(*", 
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], "*)"}] :> RowBox[{
                    RowBox[{"Comment", "[", 
                    FromCharacterCode[34], 
                    Apply[Sequence, 
                    ReplaceAll[{$CellContext`a1}, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}]}]], 
                    FromCharacterCode[34], "]"}], 
                    ";"}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Cell[
                   BoxData[
                    Pattern[$CellContext`a1, 
                    Alternatives[
                    Blank[Graphics3D], 
                    Blank[SurfaceGraphics]]]], 
                   Pattern[$CellContext`a2, 
                    BlankNullSequence[]]] :> Cell[
                   BoxData[
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    ToBoxes[
                    Cell[
                    BoxData[$CellContext`a1], $CellContext`a2]]}], "]"}]], 
                   "Input"]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], "\[IndentingNewLine]", 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}] :> ReplaceAll[
                   BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\[IndentingNewLine]", $CellContext`b1}]}], {
                   "\[IndentingNewLine]" -> "\n"}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Condition[
                   BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    Blank[]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}], 
                   And[
                    Not[
                    MemberQ[{$CellContext`b1}, "\n"]], 
                    Not[
                    MemberQ[{$CellContext`b1}, "\[IndentingNewLine]"]], 
                    MemberQ[{"\n", "\[IndentingNewLine]"}, $CellContext`c1]]] :> 
                 BoxData[{
                    RowBox[{$CellContext`a1, 
                    Apply[Sequence, 
                    Map[
                    Apply[Sequence, {
                    "\n", #}]& , {$CellContext`b1}]], $CellContext`c1, \
$CellContext`d1}]}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}] :> BoxData[{
                    RowBox[{$CellContext`a1, 
                    Apply[Sequence, 
                    Map[Apply[Sequence, {"\n", #}]& , {$CellContext`b1}]]}]}],
                  BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]]}] :> BoxData[{
                    RowBox[$CellContext`a1]}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]]}] :> BoxData[{
                    RowBox[{$CellContext`a1}]}]}]; $CellContext`readitem = 
              ReplaceRepeated[
                ReplaceRepeated[
                 ReplaceRepeated[$CellContext`readitem, {StyleBox[
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`a1, FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}]}], {Condition[
                    RowBox[{
                    Pattern[$CellContext`g1, 
                    Blank[]], 
                    Pattern[$CellContext`g2, 
                    BlankNullSequence[]]}], 
                    Not[
                    MemberQ[{String, List, RowBox, FormBox}, 
                    Head[$CellContext`g1]]]] :> Block[{$Messages = {}}, 
                    Check[
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", 
                    
                    RowBox[{NotebookCompatibility`Dump`Symbols`g1, 
                    NotebookCompatibility`Dump`Symbols`g2}], "]"}], 
                    InputForm]]]], 13], -1], 
                    RowBox[{$CellContext`g1, $CellContext`g2}]]]}], {RowBox[{
                    Pattern[$CellContext`g1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`g2, 
                    Blank[]]}, 
                    Pattern[$CellContext`g3, 
                    BlankNullSequence[]]}] :> 
                 RowBox[{$CellContext`g1, $CellContext`g2, \
$CellContext`g3}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, $CellContext`b1], \
$CellContext`d1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}] :> 
                 TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> Block[{$Messages = {}}, 
                   Check[
                    TextData[{
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]], 13], -1]}], 
                    ReplaceRepeated[
                    ReplaceRepeated[
                    ReplaceRepeated[
                    BoxData[{$CellContext`x}], {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                    StyleBox[
                    Pattern[$CellContext`l1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`l1, RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, $CellContext`b1], \
$CellContext`d1}], RowBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    RowBox[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    RowBox[{$CellContext`a1, 
                    " ", $CellContext`b1, $CellContext`c1}], BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]] :> TextData[{$CellContext`a1}], ButtonBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]] :> Button[$CellContext`a1], FrameBox[
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Blank[]] :> $CellContext`a1, FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}], GridBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`e1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`f1, 
                    BlankNullSequence[]]] :> 
                    GridBox[{$CellContext`a1, {$CellContext`c1, 
                    
                    RowBox[{$CellContext`d1}], $CellContext`e1}, \
$CellContext`b1}, $CellContext`f1]}], {BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]]]}] :> TextData[
                    Map[Cell[
                    BoxData[{#}], "Text"]& , $CellContext`a1]]}], {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Cell[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    TextData[{$CellContext`b1, $CellContext`a1, \
$CellContext`c1}], TextData[
                    Cell[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}], 
                    BlankNullSequence[]]] :> 
                    TextData[{$CellContext`a1}]}]]]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> TextData[{
                    ToString[
                    ReplacePart[$CellContext`x, 
                    ReplaceAll[
                    Extract[$CellContext`x, 
                    Position[$CellContext`x, 
                    Blank[String]]], {Pattern[$CellContext`a1, 
                    Blank[String]] :> StringJoin[
                    FromCharacterCode[34], 
                    
                    StringReplace[$CellContext`a1, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}], 
                    "\""]}], 
                    Position[$CellContext`x, 
                    Blank[String]], 
                    Transpose[{
                    Range[
                    Length[
                    Position[$CellContext`x, 
                    Blank[String]]]]}]]]}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Cell[
                   GraphicsData["PostScript", 
                    Pattern[$CellContext`psstring, 
                    Blank[String]]], "Graphics", 
                   Pattern[$CellContext`opts, 
                    BlankNullSequence[]]] :> 
                 Module[{$CellContext`cpynb, $CellContext`scale, \
$CellContext`aspectratio, $CellContext`graph, $CellContext`xmin, \
$CellContext`xmax, $CellContext`ymin, $CellContext`ymax}, 
                   If[
                   StringCount[$CellContext`psstring, "sampledsound"] >= 
                    1, $CellContext`cpynb = 
                    CreateWindow[
                    Visible -> False, WindowTitle -> "Palette Scrap"]; 
                    NotebookWrite[$CellContext`cpynb, 
                    Cell[
                    GraphicsData["PostScript", $CellContext`psstring], 
                    "Graphics", $CellContext`opts]]; 
                    SelectionMove[$CellContext`cpynb, All, Notebook]; 
                    FrontEndExecute[
                    
                    FrontEndToken[$CellContext`cpynb, "SelectionConvert", 
                    "InputForm"]]; 
                    SelectionMove[$CellContext`cpynb, All, 
                    Notebook]; $CellContext`graph = 
                    NotebookRead[$CellContext`cpynb]; 
                    NotebookClose[$CellContext`cpynb]; Cell[
                    Part[$CellContext`graph, 1], "Input"], $CellContext`scale = 
                    Flatten[
                    
                    StringCases[$CellContext`psstring, 
                    StringExpression["% Scaling calculations\n", 
                    Pattern[$CellContext`s1, 
                    Repeated[
                    Characters["1234567890+-e. "]]]] :> 
                    ImportString[$CellContext`s1, "List"]]]; 
                    If[Length[$CellContext`scale] != 
                    4, $CellContext`scale = {0, 1, 0, 
                    1}]; $CellContext`aspectratio = 
                    StringCases[$CellContext`psstring, 
                    StringExpression["%%AspectRatio: ", 
                    Pattern[$CellContext`s1, NumberString]] :> 
                    ToExpression[$CellContext`s1]]; $CellContext`aspectratio = 
                    If[
                    MatchQ[$CellContext`aspectratio, {
                    Alternatives[
                    Blank[Integer], 
                    Blank[Real]]}], 
                    Part[$CellContext`aspectratio, 1], 1/GoldenRatio, 1/
                    GoldenRatio]; $CellContext`xmin = -(
                    Part[$CellContext`scale, 1]/
                    Part[$CellContext`scale, 2]); $CellContext`xmax = (1 - 
                    Part[$CellContext`scale, 1])/
                    Part[$CellContext`scale, 2]; $CellContext`ymin = -(
                    Part[$CellContext`scale, 3]/
                    Part[$CellContext`scale, 
                    4]); $CellContext`ymax = ($CellContext`aspectratio - 
                    Part[$CellContext`scale, 3])/
                    Part[$CellContext`scale, 4]; $CellContext`graph = 
                    ReplaceAll[
                    ImportString[$CellContext`psstring, "APS"], {Point[
                    Pattern[$CellContext`a, 
                    Blank[]]] :> Point[
                    ReplaceAll[$CellContext`a, {{
                    PatternTest[
                    Pattern[$CellContext`a1, 
                    Blank[]], NumberQ], 
                    PatternTest[
                    Pattern[$CellContext`b1, 
                    Blank[]], NumberQ]} :> {($CellContext`a1/288 - 
                    Part[$CellContext`scale, 1])/
                    Part[$CellContext`scale, 2], ($CellContext`b1/288 - 
                    Part[$CellContext`scale, 3] - (
                    1 - $CellContext`aspectratio)/2)/
                    Part[$CellContext`scale, 4]}}]], Line[
                    Pattern[$CellContext`a, 
                    Blank[]]] :> Line[
                    ReplaceAll[$CellContext`a, {{
                    PatternTest[
                    Pattern[$CellContext`a1, 
                    Blank[]], NumberQ], 
                    PatternTest[
                    Pattern[$CellContext`b1, 
                    Blank[]], NumberQ]} :> {($CellContext`a1/288 - 
                    Part[$CellContext`scale, 1])/
                    Part[$CellContext`scale, 2], ($CellContext`b1/288 - 
                    Part[$CellContext`scale, 3] - (
                    1 - $CellContext`aspectratio)/2)/
                    Part[$CellContext`scale, 4]}}]], Polygon[
                    Pattern[$CellContext`a, 
                    Blank[]]] :> Polygon[
                    ReplaceAll[$CellContext`a, {{
                    PatternTest[
                    Pattern[$CellContext`a1, 
                    Blank[]], NumberQ], 
                    PatternTest[
                    Pattern[$CellContext`b1, 
                    Blank[]], NumberQ]} :> {($CellContext`a1/288 - 
                    Part[$CellContext`scale, 1])/
                    Part[$CellContext`scale, 2], ($CellContext`b1/288 - 
                    Part[$CellContext`scale, 3] - (
                    1 - $CellContext`aspectratio)/2)/
                    Part[$CellContext`scale, 4]}}]], Text[
                    Pattern[$CellContext`a, 
                    Blank[]], {
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]}, 
                    Pattern[$CellContext`c, 
                    BlankNullSequence[]]] :> Part[
                    Join[
                    Cases[
                    ImportString[
                    ExportString[
                    Graphics[{
                    Line[{{0, 0}, {1, 1}}], 
                    Text[$CellContext`a, {0., 0.}, $CellContext`c]}], "EPS"], 
                    "APS"], {
                    BlankNullSequence[], 
                    Line[{{
                    Pattern[$CellContext`a2, 
                    Blank[]], 
                    Pattern[$CellContext`b2, 
                    Blank[]]}, 
                    Blank[]}], 
                    Text[
                    Blank[], {
                    Pattern[$CellContext`e2, 
                    Blank[]], 
                    Pattern[$CellContext`f2, 
                    Blank[]]}, 
                    BlankNullSequence[]], 
                    BlankNullSequence[]} :> 
                    Text[$CellContext`a, {((1/
                    288) ($CellContext`a1 - $CellContext`e2 + \
$CellContext`a2) - Part[$CellContext`scale, 1])/
                    Part[$CellContext`scale, 2], (1/
                    Part[$CellContext`scale, 
                    4]) ((1/
                    288) ($CellContext`b1 - $CellContext`f2 + \
$CellContext`b2) - Part[$CellContext`scale, 3] - (
                    1 - $CellContext`aspectratio)/2)}, $CellContext`c], 
                    Infinity], {
                    
                    Text[$CellContext`a, {($CellContext`a1/288 - 
                    Part[$CellContext`scale, 1])/
                    Part[$CellContext`scale, 2], ($CellContext`b1/288 - 
                    Part[$CellContext`scale, 3] - (
                    1 - $CellContext`aspectratio)/2)/
                    Part[$CellContext`scale, 4]}, $CellContext`c]}], 
                    1]}]; $CellContext`graph = Join[$CellContext`graph, 
                    Graphics[
                    AspectRatio -> $CellContext`aspectratio, 
                    PlotRange -> {{$CellContext`xmin, $CellContext`xmax}, \
{$CellContext`ymin, $CellContext`ymax}}]]; (Cell[
                    TextData[{#}], "Input"]& )[
                    StringJoin["Show[", 
                    ToString[$CellContext`graph], "]"]]]]}]; If[
               MatchQ[$CellContext`readitem, 
                Blank[TextData]], $CellContext`readitem = 
               Cell[$CellContext`readitem, "Input", ShowSpecialCharacters -> 
                 False]]; If[
               MatchQ[$CellContext`readitem, 
                Blank[String]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Input", 
                 ShowSpecialCharacters -> False]]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                 StyleBox[
                   Pattern[$CellContext`l1, 
                    Blank[]], 
                   BlankNullSequence[]] :> $CellContext`l1, TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`a1, $CellContext`b1, \
$CellContext`c1}], TextData[
                   Cell[
                    TextData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]]] :> TextData[{$CellContext`a1}], Cell[
                   CellGroupData[{
                    Cell[
                    Pattern[$CellContext`a, 
                    BlankSequence[]]]}, 
                    BlankNullSequence[]]] :> Cell[$CellContext`a], {
                   Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`c1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Pattern[$CellContext`d1, 
                    BlankNullSequence[]]} :> {$CellContext`a1, 
                   Cell[
                    TextData[{$CellContext`b1, "\n", $CellContext`c1}], 
                    "Input", ShowSpecialCharacters -> 
                    False], $CellContext`d1}}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    Blank[String]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`b1, 
                    
                    StringJoin[$CellContext`a1, $CellContext`d1], \
$CellContext`c1}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {Pattern[$CellContext`a, 
                   Blank[String]] :> Block[{$Messages = {}}, 
                   StringReplace[$CellContext`a, StringExpression[
                    Pattern[$CellContext`b1, 
                    Condition[
                    Alternatives[StartOfString, 
                    StringExpression[StartOfString, 
                    Blank[]], 
                    StringExpression[
                    Pattern[$CellContext`x, 
                    Blank[]], 
                    Pattern[$CellContext`y, 
                    Blank[]]]], StringJoin[$CellContext`x, $CellContext`y] != 
                    "\\!"]], 
                    Shortest[
                    Condition[
                    Pattern[$CellContext`b, 
                    StringExpression["\\(", 
                    StringExpression[
                    BlankSequence[], "\\)"]]], 
                    Check[$CellContext`tws = ToString[
                    ToExpression[
                    StringJoin["HoldComplete", "[\!", 
                    
                    StringReplace[$CellContext`b, {
                    "\\\"" -> FromCharacterCode[34], "\\\\" -> "\\"}], "]"]]]; 
                    True, False]]]] :> StringJoin[$CellContext`b1, "\\\"", 
                    StringReplace[
                    StringDrop[
                    StringDrop[$CellContext`tws, 13], -1], {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}], 
                    "\\\""]]]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {Pattern[$CellContext`a, 
                   Blank[String]] :> Block[{$Messages = {}}, 
                   StringReplace[$CellContext`a, {Shortest[
                    Condition[
                    Pattern[$CellContext`b, 
                    StringExpression["\\!\\(", 
                    StringExpression[
                    BlankSequence[], "\\)"]]], 
                    Check[$CellContext`tws = ToString[
                    ToExpression[
                    StringJoin["HoldComplete", "[", 
                    
                    StringReplace[$CellContext`b, {
                    "\\*" -> "", "\\\"" -> FromCharacterCode[34], "\\\\" -> 
                    "\\"}], "]"]]]; True, False]]] :> StringReplace[
                    StringJoin["(", 
                    StringDrop[
                    StringDrop[$CellContext`tws, 13], -1], ")"], {
                    FromCharacterCode[34] -> "\\\"", "\\" -> 
                    "\\\\"}]}]]}]; $CellContext`readitem = ReplaceRepeated[
                ReplaceAll[$CellContext`readitem, {Pattern[$CellContext`a, 
                    Blank[String]] :> 
                  StringReplace[$CellContext`a, {
                    "\[LeftDoubleBracket]" -> "[[", "\[RightDoubleBracket]" -> 
                    "]]", "\[Equal]" -> "==", "\[LessEqual]" -> "<=", 
                    "\[GreaterEqual]" -> ">=", "\[NotEqual]" -> "!=", 
                    "\[Rule]" -> "->", "\[RuleDelayed]" -> ":>", 
                    "\[Continuation]" -> " ", FromCharacterCode[1] -> " ", 
                    "\t" -> " ", "\[InvisibleSpace]" -> " "}]}], {
                Pattern[$CellContext`a, 
                   Blank[String]] :> 
                 StringReplace[$CellContext`a, {
                   "  " -> " ", "[ " -> "[", "{ " -> "{", "( " -> 
                    "("}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Cell[
                   Pattern[$CellContext`a, 
                    Blank[]], 
                   Pattern[$CellContext`b, 
                    BlankSequence[]]] :> 
                 Cell[$CellContext`a, "Input", ShowSpecialCharacters -> 
                   False]}]; FrontEndExecute[
               FrontEndToken["Copy"]]; SelectionMove[
               ClipboardNotebook[], All, Notebook]; NotebookWrite[
               ClipboardNotebook[], $CellContext`readitem, All]; SelectionMove[
               ClipboardNotebook[], All, Notebook]; FrontEndExecute[{
                FrontEndToken[
                 ClipboardNotebook[], "CopySpecial", "PlainText"]}]; Null]],
         Evaluator->Automatic], 
        ButtonBox[
         StyleBox[
          RowBox[{"*", 
           RowBox[{"\[Rule]", "\[SpaceIndicator]"}]}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0, 0]],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonFunction:>
          Module[{$CellContext`readitem}, $CellContext`readitem = NotebookRead[
              InputNotebook[]]; Catch[Which[$CellContext`readitem === {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], If[ReplaceAll["CursorPosition", 
                   Flatten[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; LinkRead[$ParentLink]]] =!= 
                 "CellBracket", $CellContext`readitem = Cell[
                   TextData[$CellContext`readitem], "Text"]]; If[
                 MatchQ[$CellContext`readitem, {
                   Blank[Cell]}], $CellContext`readitem = 
                 Part[$CellContext`readitem, 1]]; If[
                 MatchQ[$CellContext`readitem, {
                   Pattern[$CellContext`a1, 
                    Blank[Cell]], 
                   Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                 Throw[Null]], 
               MatchQ[$CellContext`readitem, 
                Blank[String]], 
               If[
                
                MemberQ[{{"Graphics"}, "Graphics3D", {"SurfaceGraphics"}, {
                  "DensityGraphics"}, {"ContourGraphics"}}, 
                 Cases[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; 
                  LinkRead[$ParentLink], ("Style" -> Pattern[$CellContext`x, 
                    Blank[]]) -> $CellContext`x, 2]], 
                Throw[Null], $CellContext`readitem = Cell[
                  TextData[{$CellContext`readitem}], "Text"]], 
               StringMatchQ[
                ToString[
                 Head[$CellContext`readitem]], 
                StringExpression[
                 BlankSequence[], "Box"]], $CellContext`readitem = Cell[
                 BoxData[{$CellContext`readitem}], "Text"]]; NotebookWrite[
               InputNotebook[], 
               ReplaceAll[$CellContext`readitem, {Pattern[$CellContext`a1, 
                   Blank[GraphicsData]] :> $CellContext`a1, 
                 Pattern[$CellContext`a1, 
                   Blank[String]] :> 
                 StringReplace[$CellContext`a1, {
                   "(*" -> "(*", "*)" -> "*)", "*^" -> "*^", "**" -> "**", 
                    "*=" -> "*=", "*" -> " "}]}], All]]],
         Evaluator->Automatic], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]"}],
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonFunction:>
          Module[{$CellContext`readitem, $CellContext`cpynb}, \
$CellContext`readitem = NotebookRead[
              InputNotebook[]]; 
           Catch[Which[$CellContext`readitem === {}, NotebookWrite[
                 InputNotebook[], 
                 
                 RowBox[{
                  "\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]"}],
                  All]; Throw[Null], 
               ListQ[$CellContext`readitem], 
               If[ReplaceAll["CursorPosition", 
                  Flatten[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; LinkRead[$ParentLink]]] =!= 
                "CellBracket", $CellContext`readitem = 
                TextData[$CellContext`readitem]]]; If[
               MatchQ[$CellContext`readitem, 
                Blank[String]], 
               If[
                MemberQ[{{"Graphics"}}, 
                 Cases[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; 
                  LinkRead[$ParentLink], ("Style" -> Pattern[$CellContext`x, 
                    Blank[]]) :> $CellContext`x, 2]], $CellContext`readitem = 
                Cell[$CellContext`readitem, "Input"], $CellContext`readitem = 
                TextData[{$CellContext`readitem}]]]; If[
               MatchQ[$CellContext`readitem, 
                TextData[
                 Pattern[$CellContext`a1, 
                  Blank[String]]]], $CellContext`readitem = TextData[{
                  Part[$CellContext`readitem, 1]}]]; Which[
               Or[
                MatchQ[$CellContext`readitem, 
                 Pattern[$CellContext`a1, 
                  Blank[Cell]]], 
                MatchQ[$CellContext`readitem, {
                  Pattern[$CellContext`a1, 
                   Blank[Cell]], 
                  Pattern[$CellContext`b1, 
                   BlankNullSequence[]]}]], SelectionMove[
                 InputNotebook[], After, Cell]; NotebookWrite[
                 InputNotebook[], $CellContext`readitem, All], 
               MatchQ[$CellContext`readitem, 
                TextData[
                 Pattern[$CellContext`a1, 
                  Blank[List]]]], 
               NotebookWrite[
                InputNotebook[], 
                TextData[
                 Join[
                  Part[$CellContext`readitem, 1], {","}, 
                  Part[$CellContext`readitem, 1]]], All], 
               True, $CellContext`cpynb = 
                CreateWindow[
                 Visible -> False, WindowTitle -> "Palette Scrap"]; 
               NotebookWrite[$CellContext`cpynb, $CellContext`readitem]; 
               NotebookWrite[$CellContext`cpynb, ","]; 
               NotebookWrite[$CellContext`cpynb, $CellContext`readitem]; 
               SelectionMove[$CellContext`cpynb, All, Notebook]; NotebookWrite[
                 InputNotebook[], 
                 NotebookRead[$CellContext`cpynb], All]; 
               NotebookClose[$CellContext`cpynb]]]],
         Evaluator->Automatic], 
        ButtonBox[
         StyleBox[
          RowBox[{"\"\<\>", "\[SelectionPlaceholder]", "\"\<\>"}],
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonFunction:>
          Module[{$CellContext`readitem, $CellContext`success}, \
$CellContext`readitem = NotebookRead[
              InputNotebook[]]; $CellContext`success = False; 
           Catch[Which[$CellContext`readitem === {}, NotebookWrite[
                 InputNotebook[], 
                 Cell[
                  TextData[{"\"\[Placeholder]\""}], "Input"], All]; 
               Throw[Null], Count[$CellContext`readitem, 
                 Blank[InterpretationBox], Infinity] > 0, 
               Throw[Null], Cases[$CellContext`readitem, 
                 FormBox[
                  BoxData[
                   BlankNullSequence[]], 
                  BlankNullSequence[]]] =!= {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], If[ReplaceAll["CursorPosition", 
                   Flatten[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; LinkRead[$ParentLink]]] =!= 
                 "CellBracket", $CellContext`readitem = Cell[
                   TextData[$CellContext`readitem], "Text"]]; If[
                 MatchQ[$CellContext`readitem, {
                   Blank[Cell]}], $CellContext`readitem = 
                 Part[$CellContext`readitem, 1]]; If[
                 MatchQ[$CellContext`readitem, {
                   Pattern[$CellContext`a1, 
                    Blank[Cell]], 
                   Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                 Throw[Null]]]; Which[
               MatchQ[$CellContext`readitem, 
                Blank[String]], 
               If[
                
                MemberQ[{{"Graphics"}, "Graphics3D", {"SurfaceGraphics"}, {
                  "DensityGraphics"}, {"ContourGraphics"}}, 
                 Cases[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; 
                  LinkRead[$ParentLink], ("Style" -> Pattern[$CellContext`x, 
                    Blank[]]) -> $CellContext`x, 2]], 
                Throw[Null], $CellContext`readitem = 
                TextData[{$CellContext`readitem}]], 
               StringMatchQ[
                ToString[
                 Head[$CellContext`readitem]], 
                StringExpression[
                 BlankSequence[], "Box"]], $CellContext`readitem = Cell[
                 BoxData[{$CellContext`readitem}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Alternatives[
                 Blank[GraphicsData], 
                 BoxData[
                  Alternatives[
                   Blank[Graphics3D], 
                   Blank[SurfaceGraphics]]]]], 
               Throw[Null]]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`a1, $CellContext`b1, \
$CellContext`c1}], TextData[
                   Cell[
                    TextData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]]] :> TextData[{$CellContext`a1}], Cell[
                   Pattern[$CellContext`a1, 
                    Blank[String]], 
                   Pattern[$CellContext`b1, 
                    BlankNullSequence[]]] :> Cell[
                   TextData[{$CellContext`a1}], $CellContext`b1]}]; If[
               Not[
                MatchQ[$CellContext`readitem, 
                 Blank[Cell]]], $CellContext`readitem = 
               Cell[$CellContext`readitem, "Text"]]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Condition[
                   BoxData[
                    Pattern[$CellContext`x, 
                    Blank[]]], 
                   And[
                   Head[$CellContext`x] =!= List, Head[$CellContext`x] =!= 
                    Graphics3D, Head[$CellContext`x] =!= SurfaceGraphics]] :> 
                 BoxData[{$CellContext`x}]}]; If[
               MatchQ[$CellContext`readitem, 
                Cell[
                 BoxData[{
                   BlankNullSequence[]}], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], 
                 Apply[Sequence, 
                  Drop[$CellContext`readitem, 1]]]]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Pattern[$CellContext`x, 
                   Blank[GraphicsData]] :> $CellContext`x, 
                 Pattern[$CellContext`x, 
                   Blank[String]] :> 
                 StringReplace[$CellContext`x, {
                   "\"" -> "\\\"", "\\" -> "\\\\"}]}]; Which[Head[
                 Part[$CellContext`readitem, 1]] =!= TextData, Null, Head[
                 Part[$CellContext`readitem, 1, 1]] =!= List, Null, True, 
               Part[$CellContext`readitem, 1, 1] = Join[{"\""}, 
                  Part[$CellContext`readitem, 1, 1], {
                  "\""}]; $CellContext`success = True]; 
             If[$CellContext`success, 
               NotebookWrite[
                InputNotebook[], $CellContext`readitem, All]]]],
         Evaluator->Automatic], " ", 
        StyleBox[
         ButtonBox[
          StyleBox["?",
           FontFamily->"Verdana",
           FontWeight->"Bold",
           FontSlant->"Plain",
           FontColor->GrayLevel[0]],
          Appearance->{Automatic, "DialogBox"},
          BaseStyle->"AddOnsLink",
          ButtonData:>{"SetFaceAndFont2"},
          FrameMargins->4],
         FontColor->GrayLevel[0],
         Background->GrayLevel[0.900008]]}
      },
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]},
    {GridBox[{
       {
        StyleBox[
         ButtonBox["Plain",
          Active->True,
          Appearance->{Automatic, "DialogBox"},
          Background->GrayLevel[0.900008],
          ButtonFunction:>SetOptions[
            NotebookSelection[
             InputNotebook[]], FontSlant -> "Plain", FontWeight -> "Plain", 
            FontVariations -> {"Underline" -> False}],
          Evaluator->None],
         FontFamily->"Courier",
         FontSlant->"Plain"], 
        StyleBox[
         ButtonBox["B",
          Active->True,
          Appearance->{Automatic, "DialogBox"},
          Background->GrayLevel[0.900008],
          ButtonFunction:>SetOptions[
            NotebookSelection[
             InputNotebook[]], FontWeight -> "Bold"],
          Evaluator->None],
         FontWeight->"Bold"], 
        StyleBox[
         ButtonBox["I",
          Active->True,
          Appearance->{Automatic, "DialogBox"},
          Background->GrayLevel[0.900008],
          ButtonFunction:>SetOptions[
            NotebookSelection[
             InputNotebook[]], FontSlant -> "Italic"],
          Evaluator->None],
         FontFamily->"Courier",
         FontSlant->"Italic"], 
        StyleBox[
         ButtonBox["U",
          Active->True,
          Appearance->{Automatic, "DialogBox"},
          Background->GrayLevel[0.900008],
          ButtonFunction:>SetOptions[
            NotebookSelection[
             InputNotebook[]], FontVariations -> {"Underline" -> True}],
          Evaluator->None],
         FontFamily->"Courier",
         FontVariations->{"Underline"->True}], " ", 
        ButtonBox[
         StyleBox[
          RowBox[{"(", "\[SelectionPlaceholder]", ")"}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0, 0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"(\[SelectionPlaceholder])",
         ButtonFunction:>NotebookApply[
           InputNotebook[], 
           RowBox[{"(", "\[SelectionPlaceholder]", ")"}], All]], 
        ButtonBox[
         StyleBox[
          RowBox[{"{", "\[SelectionPlaceholder]", "}"}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0, 0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"{\[SelectionPlaceholder]}",
         ButtonFunction:>NotebookApply[
           InputNotebook[], 
           RowBox[{"{", "\[SelectionPlaceholder]", "}"}], All]], 
        ButtonBox[
         StyleBox[
          RowBox[{"[", "\[SelectionPlaceholder]", "]"}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0, 0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"[\[SelectionPlaceholder]]",
         ButtonFunction:>NotebookApply[
           InputNotebook[], 
           RowBox[{"[", "\[SelectionPlaceholder]", "]"}], All]], 
        ButtonBox[
         StyleBox[
          RowBox[{
          "\[LeftDoubleBracket]", "\[SelectionPlaceholder]", 
           "\[RightDoubleBracket]"}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0, 0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>
          "\[LeftDoubleBracket]\[SelectionPlaceholder]\[RightDoubleBracket]",
         ButtonFunction:>NotebookApply[
           InputNotebook[], 
           
           RowBox[{"\[LeftDoubleBracket]", "\[SelectionPlaceholder]", 
             "\[RightDoubleBracket]"}], All]], 
        ButtonBox[
         StyleBox[
          RowBox[{"(", 
           RowBox[{"*", " "}], "\[SelectionPlaceholder]", 
           RowBox[{" ", "*"}], ")"}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0, 0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"(* \[SelectionPlaceholder] *)",
         ButtonFunction:>NotebookApply[
           InputNotebook[], 
           RowBox[{"(", "*", " ", "\[SelectionPlaceholder]", " ", "*", ")"}], 
           All]]}
      },
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]},
    {GridBox[{
       {
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "9"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 9],
         Evaluator->None], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "10", "\[ThinSpace]"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 10],
         Evaluator->None], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "11", "\[ThinSpace]"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 11],
         Evaluator->None], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "12", "\[ThinSpace]"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 12],
         Evaluator->None], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "14", "\[ThinSpace]"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 14],
         Evaluator->None], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "16", "\[ThinSpace]"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 16],
         Evaluator->None], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "18", "\[ThinSpace]"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 18],
         Evaluator->None], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "24", "\[ThinSpace]"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 24],
         Evaluator->None], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "36"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 36],
         Evaluator->None], 
        ButtonBox[
         StyleBox["72",
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 72],
         Evaluator->None]}
      },
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]},
    {GridBox[{
       {
        ButtonBox["Courier12",
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSlant -> "Plain", FontFamily -> "Courier", 
           FontWeight -> "Plain", FontSize -> 12],
         Evaluator->None], 
        ButtonBox[
         StyleBox["CourierB12",
          FontFamily->"Courier",
          FontWeight->"Bold"],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSlant -> "Plain", FontFamily -> "Courier", 
           FontWeight -> "Bold", FontSize -> 12],
         Evaluator->None], 
        StyleBox[
         ButtonBox["Verdana11",
          Active->True,
          Appearance->{Automatic, "DialogBox"},
          Background->GrayLevel[0.900008],
          ButtonFunction:>SetOptions[
            NotebookSelection[
             InputNotebook[]], FontSlant -> "Plain", FontFamily -> "Verdana", 
            FontWeight -> "Plain", FontSize -> 11],
          Evaluator->None],
         FontFamily->"Verdana"], " ", 
        ButtonBox[
         StyleBox["Peel",
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonFunction:>
          Module[{$CellContext`readitem, $CellContext`success, \
$CellContext`tws, $CellContext`onecell}, $CellContext`readitem = NotebookRead[
              InputNotebook[]]; $CellContext`success = 
            False; $CellContext`onecell = 
            Head[$CellContext`readitem] === Cell; 
           Catch[$CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Cell[
                   Pattern[$CellContext`a1, 
                    Blank[String]], 
                   Pattern[$CellContext`b1, 
                    BlankNullSequence[]]] :> Cell[
                   TextData[{$CellContext`a1}], "Text"]}]; 
             Which[$CellContext`readitem === {}, 
               Throw[Null], Count[$CellContext`readitem, 
                 Blank[InterpretationBox], Infinity] > 0, 
               Throw[Null], Cases[$CellContext`readitem, 
                 FormBox[
                  BoxData[
                   BlankNullSequence[]], 
                  BlankNullSequence[]]] =!= {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], If[ReplaceAll["CursorPosition", 
                   Flatten[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; LinkRead[$ParentLink]]] =!= 
                 "CellBracket", $CellContext`readitem = Cell[
                   TextData[$CellContext`readitem], "Text"]]; If[
                 MatchQ[$CellContext`readitem, {
                   Blank[Cell]}], $CellContext`readitem = 
                  Part[$CellContext`readitem, 1]; $CellContext`onecell = 
                  True]; If[
                 MatchQ[$CellContext`readitem, {
                   Pattern[$CellContext`a1, 
                    Blank[Cell]], 
                   Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], $CellContext`readitem = 
                  ReplaceRepeated[
                    Cell[
                    TextData[$CellContext`readitem], "Text"], {Cell[
                    CellGroupData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}, 
                    BlankNullSequence[]], 
                    BlankNullSequence[]] :> 
                    Sequence[$CellContext`a1]}]; $CellContext`success = True], 
               MatchQ[$CellContext`readitem, 
                Blank[String]], 
               If[
                
                MemberQ[{{"Graphics"}, "Graphics3D", {"SurfaceGraphics"}, {
                  "DensityGraphics"}, {"ContourGraphics"}}, 
                 Cases[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; 
                  LinkRead[$ParentLink], ("Style" -> Pattern[$CellContext`x, 
                    Blank[]]) -> $CellContext`x, 2]], 
                Throw[Null], $CellContext`readitem = Cell[
                  TextData[{$CellContext`readitem}], "Text"]], 
               StringMatchQ[
                ToString[
                 Head[$CellContext`readitem]], 
                StringExpression[
                 BlankSequence[], "Box"]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[
                    BoxData[{$CellContext`readitem}], "Text"]}], "Text"], 
               MatchQ[$CellContext`readitem, 
                BoxData[
                 Alternatives[
                  Blank[Graphics3D], 
                  Blank[SurfaceGraphics]]]], SelectionMove[
                 InputNotebook[], All, Cell]; $CellContext`readitem = 
                NotebookRead[
                  InputNotebook[]], 
               MatchQ[$CellContext`readitem, 
                Blank[BoxData]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[$CellContext`readitem]}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Blank[GraphicsData]], SelectionMove[
                 InputNotebook[], All, Cell]; $CellContext`readitem = 
                NotebookRead[
                  InputNotebook[]]]; Which[
               MatchQ[$CellContext`readitem, 
                Cell[
                 BoxData[
                  Alternatives[
                   Blank[Graphics3D], 
                   Blank[SurfaceGraphics]]], 
                 BlankNullSequence[]]], SelectionMove[
                 InputNotebook[], All, Cell]; 
               If[$CellContext`readitem === NotebookRead[
                   InputNotebook[]], $CellContext`readitem = Cell[
                    BoxData[
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    ToBoxes[$CellContext`readitem]}], "]"}]], 
                    "Input"]; $CellContext`success = True, 
                 Throw[Null], 
                 Throw[Null]], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[BoxData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[GraphicsData], 
                 BlankNullSequence[]]], SelectionMove[
                 InputNotebook[], All, Cell]; 
               If[$CellContext`readitem === NotebookRead[
                   InputNotebook[]], $CellContext`readitem = Cell[
                    BoxData[
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    ToBoxes[$CellContext`readitem]}], "]"}]], 
                    "Input"]; $CellContext`success = True, 
                 Throw[Null], 
                 Throw[Null]], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[CellGroupData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                  TextData[
                   Part[$CellContext`readitem, 1, 1]], 
                  "Text"]; $CellContext`onecell = False; $CellContext`success = 
                True]; If[$CellContext`success, $CellContext`readitem = 
               ReplaceRepeated[$CellContext`readitem, {{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]], 
                    Cell[
                    Pattern[$CellContext`c1, 
                    BlankSequence[]]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]} :> {$CellContext`a1, 
                    Cell[$CellContext`b1], "\n", 
                    Cell[$CellContext`c1], $CellContext`d1}}]]; If[
               Not[$CellContext`success], $CellContext`readitem = 
                ReplaceAll[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], "\[IndentingNewLine]", 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}] :> ReplaceAll[
                    BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\[IndentingNewLine]", $CellContext`b1}]}], {
                    "\[IndentingNewLine]" -> "\n"}]}]; $CellContext`readitem = 
                ReplaceAll[$CellContext`readitem, {Condition[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    Blank[]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}], 
                    And[
                    Not[
                    MemberQ[{$CellContext`b1}, "\n"]], 
                    Not[
                    MemberQ[{$CellContext`b1}, "\[IndentingNewLine]"]], 
                    MemberQ[{"\n", "\[IndentingNewLine]"}, $CellContext`c1]]] :> 
                   BoxData[{
                    RowBox[{$CellContext`a1, 
                    Apply[Sequence, 
                    Map[
                    Apply[Sequence, {
                    "\n", #}]& , {$CellContext`b1}]], $CellContext`c1, \
$CellContext`d1}]}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}] :> BoxData[{
                    RowBox[{$CellContext`a1, 
                    Apply[Sequence, 
                    Map[Apply[Sequence, {"\n", #}]& , {$CellContext`b1}]]}]}],
                    BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]]}] :> BoxData[{
                    RowBox[$CellContext`a1]}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]]}] :> BoxData[{
                    RowBox[{$CellContext`a1}]}]}]; $CellContext`readitem = 
                ReplaceRepeated[$CellContext`readitem, {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) -> Sequence[], 
                   StyleBox[
                    Pattern[$CellContext`l1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`l1, RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, $CellContext`b1], \
$CellContext`d1}], RowBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    RowBox[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                   RowBox[{$CellContext`a1, $CellContext`b1, \
$CellContext`c1}], BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]] :> TextData[{$CellContext`a1}], BoxData[
                    RowBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]]] :> BoxData[{
                    RowBox[$CellContext`a1]}], FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}], GridBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`e1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`f1, 
                    BlankNullSequence[]]] :> 
                   GridBox[{$CellContext`a1, {$CellContext`c1, 
                    
                    RowBox[{$CellContext`d1}], $CellContext`e1}, \
$CellContext`b1}, $CellContext`f1], TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                   TextData[{$CellContext`a1, $CellContext`b1, \
$CellContext`c1}], TextData[
                    Cell[
                    TextData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]]] :> 
                   TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
                ReplaceRepeated[$CellContext`readitem, {Cell[
                    BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]]]}], 
                    BlankNullSequence[]] :> Apply[Sequence, 
                    Map[Cell[
                    BoxData[{#}], 
                    "Text"]& , $CellContext`a1]]}]; $CellContext`readitem = 
                ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Cell[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                   TextData[{$CellContext`b1, $CellContext`a1, \
$CellContext`c1}], TextData[
                    Cell[
                    BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]], 
                    BlankNullSequence[]]] :> 
                   TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
                ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    Blank[String]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`b1, 
                    
                    StringJoin[$CellContext`a1, $CellContext`d1], \
$CellContext`c1}]}]; If[
                 Not[
                  MatchQ[$CellContext`readitem, 
                   Blank[Cell]]], $CellContext`readitem = 
                 Cell[$CellContext`readitem, "Text"]]; $CellContext`readitem = 
                ReplaceAll[$CellContext`readitem, {Cell[
                    TextData[{
                    Cell[
                    BoxData[
                    Pattern[$CellContext`al, 
                    BlankSequence[]]], 
                    BlankNullSequence[]]}], 
                    BlankNullSequence[]] :> Cell[
                    BoxData[$CellContext`al], 
                    "Text"]}]; $CellContext`readitem = 
                ReplaceAll[$CellContext`readitem, {Condition[
                    BoxData[
                    Pattern[$CellContext`x, 
                    Blank[]]], 
                    And[
                    Head[$CellContext`x] =!= List, Head[$CellContext`x] =!= 
                    Graphics3D, Head[$CellContext`x] =!= SurfaceGraphics]] :> 
                   BoxData[{$CellContext`x}]}]]; 
             Which[$CellContext`success, 
               Null, $CellContext`onecell, $CellContext`success = True, 
               Or[
                And[Head[
                   Part[$CellContext`readitem, 1, 1, -1]] === String, 
                 StringLength[
                   Part[$CellContext`readitem, 1, 1, -1]] >= 1, 
                 StringMatchQ[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, -1], -1], Whitespace]], 
                And[Head[
                   Part[$CellContext`readitem, 1, 1, 1]] === String, 
                 StringLength[
                   Part[$CellContext`readitem, 1, 1, 1]] >= 1, 
                 StringMatchQ[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 1], Whitespace]]], 
               If[Head[
                   Part[$CellContext`readitem, 1, 1, -1]] === String, 
                 Part[$CellContext`readitem, 1, 1, -1] = StringReplace[
                   Part[$CellContext`readitem, 1, 1, -1], {
                   StringExpression[StartOfString, 
                    StringExpression[
                    Shortest[
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]]], 
                    StringExpression[
                    Whitespace, EndOfString]]] :> $CellContext`a1}]]; If[Head[
                   Part[$CellContext`readitem, 1, 1, 1]] === String, 
                 Part[$CellContext`readitem, 1, 1, 1] = StringReplace[
                   Part[$CellContext`readitem, 1, 1, 1], {
                   StringExpression[StartOfString, 
                    StringExpression[Whitespace, 
                    StringExpression[
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    EndOfString]]] :> $CellContext`a1}]]; \
$CellContext`success = True, 
               And[Head[
                  Part[$CellContext`readitem, 1, 1, -1]] === String, 
                StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 3, 
                MemberQ[{"@@@", "//@", "//.", ";", "&", "\n"}, 
                 StringTake[
                  
                  Part[$CellContext`readitem, 1, 
                   1, -1], -3]]], $CellContext`tws = StringTake[
                  Part[$CellContext`readitem, 1, 1, -1], -3]; 
               Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, -1], -3]; If[
                 And[Head[
                    Part[$CellContext`readitem, 1, 1, 1]] === String, 
                  StringLength[
                    Part[$CellContext`readitem, 1, 1, 1]] >= 
                  3, $CellContext`tws === StringTake[
                    Part[$CellContext`readitem, 1, 1, 1], 3]], 
                 Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                   Part[$CellContext`readitem, 1, 1, 1], 
                   3]]; $CellContext`success = True, 
               And[Head[
                  Part[$CellContext`readitem, 1, 1, -1]] === String, 
                StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 2, 
                MemberQ[{"/.", "/;", "//", "@@", "/@" "&&", "**", "~~", 
                  Or["\!\(\*\nStyleBox[", ", " $CellContext`MR "]\)"], "<>"}, 
                 StringTake[
                  
                  Part[$CellContext`readitem, 1, 
                   1, -1], -2]]], $CellContext`tws = StringTake[
                  Part[$CellContext`readitem, 1, 1, -1], -2]; 
               Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, -1], -2]; If[
                 And[Head[
                    Part[$CellContext`readitem, 1, 1, 1]] === String, 
                  StringLength[
                    Part[$CellContext`readitem, 1, 1, 1]] >= 
                  2, $CellContext`tws === StringTake[
                    Part[$CellContext`readitem, 1, 1, 1], 2]], 
                 Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                   Part[$CellContext`readitem, 1, 1, 1], 
                   2]]; $CellContext`success = True, 
               And[Head[
                  Part[$CellContext`readitem, 1, 1, -1]] === String, 
                StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 2, 
                MemberQ[{"->", ":>", ":=", "/=", "!="}, 
                 StringTake[
                  Part[$CellContext`readitem, 1, 1, -1], -2]]], 
               Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                  
                  Part[$CellContext`readitem, 1, 
                   1, -1], -2]; $CellContext`success = True, 
               And[Head[
                  Part[$CellContext`readitem, 1, 1, -1]] === String, 
                StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 1, 
                
                MemberQ[{
                 ".", ",", ":", ";", "+", "-", "*", "^", "/", "\n", "@", "~", 
                  FromCharacterCode[96], 
                  Alternatives[
                  "\!\(\*\nStyleBox[", ", " $CellContext`MR "]\)"], "\\", "<", 
                  FromCharacterCode[8804], 
                  FromCharacterCode[8805], "_", 
                  FromCharacterCode[63336]}, 
                 StringTake[
                  
                  Part[$CellContext`readitem, 1, 
                   1, -1], -1]]], $CellContext`tws = StringTake[
                  Part[$CellContext`readitem, 1, 1, -1], -1]; 
               Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, -1], -1]; If[
                 And[Head[
                    Part[$CellContext`readitem, 1, 1, 1]] === String, 
                  StringLength[
                    Part[$CellContext`readitem, 1, 1, 1]] >= 
                  1, $CellContext`tws === StringTake[
                    Part[$CellContext`readitem, 1, 1, 1], 1]], 
                 Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                   Part[$CellContext`readitem, 1, 1, 1], 
                   1]]; $CellContext`success = True, 
               And[Head[
                  Part[$CellContext`readitem, 1, 1, -1]] === String, 
                StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 1, 
                MemberQ[{"?", "!", "&", "=", "\[NotEqual]", ":", 
                  FromCharacterCode[39], 
                  FromCharacterCode[62754], 
                  FromCharacterCode[62751]}, 
                 StringTake[
                  Part[$CellContext`readitem, 1, 1, -1], -1]]], 
               Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                  
                  Part[$CellContext`readitem, 1, 
                   1, -1], -1]; $CellContext`success = True, 
               And[Length[
                  Part[$CellContext`readitem, 1, 1]] > 1, 
                Or[
                 Not[Head[
                    Part[$CellContext`readitem, 1, 1, 1]] === String], 
                 Not[Head[
                    Part[$CellContext`readitem, 1, 1, -1]] === String]]], 
               Null, 
               And[Head[
                  Part[$CellContext`readitem, 1]] === BoxData, Head[
                  Part[$CellContext`readitem, 1, 1, 1]] === FrameBox], 
               Part[$CellContext`readitem, 1, 1, 1] = 
                Part[$CellContext`readitem, 1, 1, 1, 1]; $CellContext`success = 
                True, 
               And[Head[
                  Part[$CellContext`readitem, 1]] === BoxData, Head[
                  Part[$CellContext`readitem, 1, 1]] =!= Graphics3D, Head[
                  Part[$CellContext`readitem, 1, 1]] =!= 
                SurfaceGraphics], $CellContext`readitem = 
                ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                    BlankNullSequence[]] :> Block[{$Messages = {}}, 
                    Check[
                    TextData[{
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]], 13], -1]}], 
                    ReplaceAll[
                    BoxData[{$CellContext`x}], {ButtonBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]] :> 
                    Button[$CellContext`a1]}]]]}]; $CellContext`readitem = 
                ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                    BlankNullSequence[]] :> TextData[{
                    ToString[
                    ReplacePart[$CellContext`x, 
                    ReplaceAll[
                    Extract[$CellContext`x, 
                    Position[$CellContext`x, 
                    Blank[String]]], {Pattern[$CellContext`a1, 
                    Blank[String]] :> StringJoin["\"", 
                    
                    StringReplace[$CellContext`a1, {
                    FromCharacterCode[10] -> "\\n>", FromCharacterCode[34] -> 
                    "\\\"", "\\" -> "\\\\"}], "\""]}], 
                    Position[$CellContext`x, 
                    Blank[String]], 
                    Transpose[{
                    Range[
                    Length[
                    Position[$CellContext`x, 
                    Blank[String]]]]}]]]}]}]; $CellContext`success = True, 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 2, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 2, "\\(\\)" === 
                StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 2], 
                  StringTake[
                   
                   Part[$CellContext`readitem, 1, 
                    1, -1], -2]]], $CellContext`readitem = 
                ReplaceRepeated[$CellContext`readitem, {
                  Pattern[$CellContext`a, 
                    Blank[String]] :> Block[{$Messages = {}}, 
                    StringReplace[$CellContext`a, StringExpression[
                    Pattern[$CellContext`b1, 
                    Condition[
                    Alternatives[StartOfString, 
                    StringExpression[StartOfString, 
                    Blank[]], 
                    StringExpression[
                    Pattern[$CellContext`x, 
                    Blank[]], 
                    Pattern[$CellContext`y, 
                    Blank[]]]], StringJoin[$CellContext`x, $CellContext`y] != 
                    "\\!"]], 
                    Shortest[
                    Condition[
                    Pattern[$CellContext`b, 
                    StringExpression["\\(", 
                    StringExpression[
                    BlankSequence[], "\\)"]]], 
                    Check[$CellContext`tws = ToString[
                    ToExpression[
                    StringJoin["HoldComplete", "[\!", 
                    
                    StringReplace[$CellContext`b, {
                    "\\\"" -> FromCharacterCode[34], "\\\\" -> "\\"}], "]"]]]; 
                    True, False]]]] :> StringJoin[$CellContext`b1, "\"", 
                    StringReplace[
                    StringDrop[
                    StringDrop[$CellContext`tws, 13], -1], {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}], 
                    "\""]]]}]; $CellContext`success = True, 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 4, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 2, "\\!\\(\\)" === 
                StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 4], 
                  StringTake[
                   
                   Part[$CellContext`readitem, 1, 
                    1, -1], -2]]], $CellContext`readitem = 
                ReplaceRepeated[$CellContext`readitem, {
                  Pattern[$CellContext`a, 
                    Blank[String]] :> Block[{$Messages = {}}, 
                    StringReplace[$CellContext`a, {Shortest[
                    Condition[
                    Pattern[$CellContext`b, 
                    StringExpression["\\!\\(", 
                    StringExpression[
                    BlankSequence[], "\\)"]]], 
                    Check[$CellContext`tws = ToString[
                    ToExpression[
                    StringJoin["HoldComplete", "[", 
                    
                    StringReplace[$CellContext`b, {
                    "\\*" -> "", "\\\"" -> FromCharacterCode[34], "\\\\" -> 
                    "\\"}], "]"]]]; True, False]]] :> StringReplace[
                    StringJoin["(", 
                    StringDrop[
                    StringDrop[$CellContext`tws, 13], -1], ")"], {
                    FromCharacterCode[34] -> "\\\"", "\\" -> 
                    "\\\\"}]}]]}]; $CellContext`success = True, Head[
                 Part[$CellContext`readitem, 1]] =!= TextData, Null, Head[
                 Part[$CellContext`readitem, 1, 1]] =!= List, Null, 
               Or[Head[
                  Part[$CellContext`readitem, 1, 1, 1]] =!= String, Head[
                  Part[$CellContext`readitem, 1, 1, -1]] =!= String], Null, 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 5, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 5, 
                MemberQ[{"\\\"\\\\<\\\\>\\\""}, 
                 StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 5], 
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, -1], -5]]]], 
               Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, 1], 5]; If[StringLength[
                   Part[$CellContext`readitem, 1, 1, -1]] >= 5, 
                 Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                    
                    Part[$CellContext`readitem, 1, 
                    1, -1], -5]; $CellContext`readitem = 
                  ReplaceAll[$CellContext`readitem, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    "\\\"" -> FromCharacterCode[34], "\\\\" -> 
                    "\\"}]}]; $CellContext`success = True], 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 4, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 4, 
                MemberQ[{"\\\\\\\"\\\\\\\""}, 
                 StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 4], 
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, -1], -4]]]], 
               Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, 1], 4]; If[StringLength[
                   Part[$CellContext`readitem, 1, 1, -1]] >= 4, 
                 Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                    
                    Part[$CellContext`readitem, 1, 
                    1, -1], -4]; $CellContext`readitem = 
                  ReplaceAll[$CellContext`readitem, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    "\\\"" -> FromCharacterCode[34], "\\\\" -> 
                    "\\"}]}]; $CellContext`success = True], 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 3, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 3, 
                MemberQ[{"\"\\<\\>\""}, 
                 StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 3], 
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, -1], -3]]]], 
               Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, 1], 3]; If[StringLength[
                   Part[$CellContext`readitem, 1, 1, -1]] >= 3, 
                 Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                    
                    Part[$CellContext`readitem, 1, 
                    1, -1], -3]; $CellContext`readitem = 
                  ReplaceAll[$CellContext`readitem, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    "\\\"" -> FromCharacterCode[34], "\\\\" -> 
                    "\\"}]}]; $CellContext`success = True], 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 2, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 2, 
                MemberQ[{"\\\"\\\""}, 
                 StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 2], 
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, -1], -2]]]], 
               Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, 1], 2]; If[StringLength[
                   Part[$CellContext`readitem, 1, 1, -1]] >= 2, 
                 Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                    Part[$CellContext`readitem, 1, 1, -1], -2]; {
                  Pattern[$CellContext`x, 
                    Blank[String]] :> 
                   StringReplace[$CellContext`x, {
                    "\\\"" -> FromCharacterCode[34], "\\\\" -> 
                    "\\"}]}; $CellContext`success = True], 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 2, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 2, 
                MemberQ[{"(**)", "[[]]", "\\(\\)", "<<>>"}, 
                 StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 2], 
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, -1], -2]]]], 
               Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, 1], 2]; If[StringLength[
                   Part[$CellContext`readitem, 1, 1, -1]] >= 2, 
                 Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                    
                    Part[$CellContext`readitem, 1, 
                    1, -1], -2]; $CellContext`success = True, 
                 If[
                 Part[$CellContext`readitem, 1, 1, -1] === ")", 
                  Part[$CellContext`readitem, 1, 1, -1] = 
                   "*"; $CellContext`success = True]], StringTake[
                 Part[$CellContext`readitem, 1, 1, -1], -1] === "]", 
               If[Length[
                  StringPosition[
                   Part[$CellContext`readitem, 1, 1, 1], "[", 1]] > 0, 
                Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                   Part[$CellContext`readitem, 1, 1, 1], 
                   Part[
                    StringPosition[
                    Part[$CellContext`readitem, 1, 1, 1], "[", 1], 1, 1]]; 
                Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                   
                   Part[$CellContext`readitem, 1, 
                    1, -1], -1]; $CellContext`success = True], 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 1, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 1, 
                MemberQ[{
                  FromCharacterCode[{34, 34}]}, 
                 StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 1], 
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, -1], -1]]]], 
               Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, 1], 1]; If[StringLength[
                   Part[$CellContext`readitem, 1, 1, -1]] >= 1, 
                 Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                    
                    Part[$CellContext`readitem, 1, 
                    1, -1], -1]; $CellContext`readitem = 
                  ReplaceAll[$CellContext`readitem, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    "\\\"" -> FromCharacterCode[34], "\\\\" -> 
                    "\\"}]}]; $CellContext`success = True], 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 1, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 1, 
                
                MemberQ[{
                 "()", "{}", "\[LeftAngleBracket]\[RightAngleBracket]", 
                  "\[LeftFloor]\[RightFloor]", 
                  "\[LeftCeiling]\[RightCeiling]", "<>", 
                  "\[LeftDoubleBracket]\[RightDoubleBracket]", 
                  "\[LeftBracketingBar]\[RightBracketingBar]", 
                  "\[LeftDoubleBracketingBar]\[RightDoubleBracketingBar]", 
                  "~~", "''", 
                  "\[CloseCurlyDoubleQuote]\[CloseCurlyDoubleQuote]", 
                  "\:201a\[CloseCurlyQuote]", "\:201e\[OpenCurlyDoubleQuote]",
                   "\[LeftSkeleton]\[RightSkeleton]", 
                  "\[LeftGuillemet]\[RightGuillemet]", "\[DownQuestion]?", 
                  "\[DownExclamation]!"}, 
                 StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 1], 
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, -1], -1]]]], 
               Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, 1], 1]; If[StringLength[
                   Part[$CellContext`readitem, 1, 1, -1]] >= 1, 
                 Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                    
                    Part[$CellContext`readitem, 1, 
                    1, -1], -1]; $CellContext`success = True]]; If[
               And[
                Not[$CellContext`success], Head[
                  Part[$CellContext`readitem, 1, 1, -1]] === String, 
                StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 1, 
                MemberQ[{">"}, 
                 StringTake[
                  
                  Part[$CellContext`readitem, 1, 
                   1, -1], -1]]], $CellContext`tws = StringTake[
                  Part[$CellContext`readitem, 1, 1, -1], -1]; 
               Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, -1], -1]; If[
                 And[Head[
                    Part[$CellContext`readitem, 1, 1, 1]] === String, 
                  StringLength[
                    Part[$CellContext`readitem, 1, 1, 1]] >= 
                  1, $CellContext`tws === StringTake[
                    Part[$CellContext`readitem, 1, 1, 1], 1]], 
                 Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                   Part[$CellContext`readitem, 1, 1, 1], 
                   1]]; $CellContext`success = True]; If[$CellContext`success, 
               NotebookWrite[
                InputNotebook[], $CellContext`readitem, All]]]],
         Evaluator->Automatic]}
      },
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]},
    {GridBox[{
       {"  ", 
        StyleBox[
         ButtonBox["Times12",
          Active->True,
          Appearance->{Automatic, "DialogBox"},
          Background->GrayLevel[0.900008],
          ButtonFunction:>SetOptions[
            NotebookSelection[
             InputNotebook[]], FontSlant -> "Plain", FontFamily -> "Times", 
            FontWeight -> "Plain", FontSize -> 12],
          Evaluator->None],
         FontFamily->"Times"], 
        StyleBox[
         ButtonBox[
          RowBox[{"Times", " ", "Italic12"}],
          Active->True,
          Appearance->{Automatic, "DialogBox"},
          Background->GrayLevel[0.900008],
          ButtonFunction:>SetOptions[
            NotebookSelection[
             InputNotebook[]], FontSlant -> "Italic", FontFamily -> "Times", 
            FontWeight -> "Plain", FontSize -> 12],
          Evaluator->None],
         FontFamily->"Times",
         FontSlant->"Italic"], "    ", 
        ButtonBox[
         StyleBox["StyleRemove",
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[0.95, 0.95, 1],
         ButtonFunction:>
          Module[{$CellContext`readitem, $CellContext`cellinfo}, \
$CellContext`readitem = NotebookRead[
              InputNotebook[]]; $CellContext`cellinfo = 
            ReplaceAll["CursorPosition", 
              Flatten[LinkWrite[$ParentLink, 
                 $CellContext`CellInformation[
                  InputNotebook[]]]; 
               LinkRead[$ParentLink]]]; $CellContext`readitem = 
            ReplaceAll[$CellContext`readitem, {Cell[
                 Pattern[$CellContext`a1, 
                  Blank[String]], 
                 Pattern[$CellContext`b1, 
                  BlankNullSequence[]]] :> Cell[
                 TextData[{$CellContext`a1}], $CellContext`b1]}]; 
           Catch[Which[$CellContext`readitem === {}, 
               Throw[Null], Count[$CellContext`readitem, 
                 Blank[InterpretationBox], Infinity] > 0, FrontEndExecute[
                 FrontEndToken["ClearCellOptions"]]; Throw[Null], 
               Cases[$CellContext`readitem, 
                 FormBox[
                  BoxData[
                   BlankNullSequence[]], 
                  BlankNullSequence[]]] =!= {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], 
               If[$CellContext`cellinfo =!= 
                 "CellBracket", $CellContext`readitem = Cell[
                   TextData[$CellContext`readitem], "Text"]]; If[
                 MatchQ[$CellContext`readitem, {
                   Blank[Cell]}], $CellContext`readitem = 
                 Part[$CellContext`readitem, 1]]; If[
                 MatchQ[$CellContext`readitem, {
                   Pattern[$CellContext`a1, 
                    Blank[Cell]], 
                   Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], FrontEndExecute[
                   FrontEndToken["ClearCellOptions"]]; Throw[Null]], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[CellGroupData], 
                 BlankNullSequence[]]], FrontEndExecute[
                 FrontEndToken["ClearCellOptions"]]; Throw[Null], 
               Or[
                MatchQ[$CellContext`readitem, 
                 Cell[
                  Blank[GraphicsData], 
                  BlankNullSequence[]]], Head[$CellContext`readitem] === 
                GraphicsData], 
               Throw[Null], 
               MatchQ[$CellContext`readitem, 
                Blank[String]], 
               If[
                
                MemberQ[{{"Graphics"}, "Graphics3D", {"SurfaceGraphics"}, {
                  "DensityGraphics"}, {"ContourGraphics"}}, 
                 Cases[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; 
                  LinkRead[$ParentLink], ("Style" -> Pattern[$CellContext`x, 
                    Blank[]]) -> $CellContext`x, 2]], 
                Throw[Null], $CellContext`readitem = Cell[
                  TextData[{$CellContext`readitem}], "Text"]], 
               StringMatchQ[
                ToString[
                 Head[$CellContext`readitem]], 
                StringExpression[
                 BlankSequence[], "Box"]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[
                    BoxData[{$CellContext`readitem}], "Text"]}], "Text"], 
               MatchQ[$CellContext`readitem, 
                BoxData[
                 Alternatives[
                  Blank[Graphics3D], 
                  Blank[SurfaceGraphics]]]], 
               Throw[Null], 
               MatchQ[$CellContext`readitem, 
                Alternatives[
                 Blank[BoxData], 
                 Blank[GraphicsData]]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[$CellContext`readitem]}], "Text"]]; Which[
               MatchQ[$CellContext`readitem, 
                Cell[
                 BoxData[
                  Alternatives[
                   Blank[Graphics3D], 
                   Blank[SurfaceGraphics]]], 
                 BlankNullSequence[]]], 
               Throw[Null], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[BoxData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], 
                 Apply[Sequence, 
                  Drop[$CellContext`readitem, 1]]]]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) -> Sequence[], 
                 StyleBox[
                   Pattern[$CellContext`l1, 
                    Blank[]], 
                   BlankNullSequence[]] :> $CellContext`l1, BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]] :> BoxData[{
                    RowBox[$CellContext`a1]}]; BoxData[
                    RowBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]]] :> BoxData[{
                    RowBox[$CellContext`a1]}], FormBox[
                   Pattern[$CellContext`a1, 
                    Blank[List]], 
                   Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                   Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                   Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}], ErrorBox[
                   Pattern[$CellContext`a1, 
                    
                    BlankSequence[]]] :> $CellContext`a1}]; \
$CellContext`readitem = ReplaceAll[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], "\[IndentingNewLine]", 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}] :> ReplaceAll[
                   BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\[IndentingNewLine]", $CellContext`b1}]}], {
                   "\[IndentingNewLine]" -> 
                    Sequence[
                    " ", "\[IndentingNewLine]"]}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Condition[
                   BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    Blank[]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}], 
                   And[
                    Not[
                    MemberQ[{$CellContext`b1}, "\n"]], 
                    Not[
                    MemberQ[{$CellContext`b1}, "\[IndentingNewLine]"]], 
                    MemberQ[{"\n", "\[IndentingNewLine]"}, $CellContext`c1]]] :> 
                 BoxData[{
                    RowBox[{$CellContext`a1, 
                    Apply[Sequence, 
                    Map[
                    Apply[Sequence, {
                    "\n", #}]& , {$CellContext`b1}]], $CellContext`c1, \
$CellContext`d1}]}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}] :> BoxData[{
                    RowBox[{$CellContext`a1, 
                    Apply[Sequence, 
                    Map[Apply[Sequence, {"\n", #}]& , {$CellContext`b1}]]}]}],
                  BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]]}] :> BoxData[{
                    RowBox[$CellContext`a1]}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]]}] :> BoxData[{
                    RowBox[{$CellContext`a1}]}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, $CellContext`b1], \
$CellContext`d1}], RowBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    RowBox[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 RowBox[{$CellContext`a1, $CellContext`b1, $CellContext`c1}], 
                 BoxData[
                   Pattern[$CellContext`a1, 
                    Blank[String]]] :> TextData[{$CellContext`a1}], BoxData[
                   RowBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]]] :> BoxData[{
                    RowBox[$CellContext`a1]}], GridBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`e1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}, 
                   Pattern[$CellContext`f1, 
                    BlankNullSequence[]]] :> 
                 GridBox[{$CellContext`a1, {$CellContext`c1, 
                    
                    RowBox[{$CellContext`d1}], $CellContext`e1}, \
$CellContext`b1}, $CellContext`f1], TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`a1, $CellContext`b1, \
$CellContext`c1}], TextData[
                   Cell[
                    TextData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]]] :> 
                 TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {Cell[
                   BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]]]}], 
                   BlankNullSequence[]] :> Apply[Sequence, 
                   Map[Cell[
                    BoxData[{#}], 
                    "Text"]& , $CellContext`a1]]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Cell[
                    BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`b1, $CellContext`a1, \
$CellContext`c1}], TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Cell[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`b1, $CellContext`a1, \
$CellContext`c1}], TextData[
                   Cell[
                    BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]], 
                    BlankNullSequence[]]] :> 
                 TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    Blank[String]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`b1, 
                    
                    StringJoin[$CellContext`a1, $CellContext`d1], \
$CellContext`c1}]}]; If[
               Not[
                MatchQ[$CellContext`readitem, 
                 Blank[Cell]]], $CellContext`readitem = 
               Cell[$CellContext`readitem, "Text"]]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Cell[
                   TextData[{
                    Cell[
                    BoxData[
                    Pattern[$CellContext`al, 
                    BlankSequence[]]], 
                    BlankNullSequence[]]}], 
                   Pattern[$CellContext`b1, 
                    BlankNullSequence[]]] :> Cell[
                   
                   BoxData[$CellContext`al], $CellContext`b1]}]; \
$CellContext`readitem = ReplaceAll[$CellContext`readitem, {Condition[
                   BoxData[
                    Pattern[$CellContext`x, 
                    Blank[]]], 
                   And[
                   Head[$CellContext`x] =!= List, Head[$CellContext`x] =!= 
                    Graphics3D, Head[$CellContext`x] =!= SurfaceGraphics]] :> 
                 BoxData[{$CellContext`x}]}]; NotebookWrite[
               InputNotebook[], $CellContext`readitem, All]; 
             If[$CellContext`cellinfo === "CellBracket", SelectionMove[
                 InputNotebook[], All, CellContents]; NotebookWrite[
                 InputNotebook[], $CellContext`readitem, All]]]],
         Evaluator->Automatic]}
      },
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]},
    {GridBox[{
       {
        ButtonBox[
         StyleBox[
          RowBox[{"\[MediumSpace]", "Black", "\[MediumSpace]"}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0, 0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontColor -> RGBColor[0, 0, 0]],
         Evaluator->None,
         FrameMargins->5,
         ImageSize->Full], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[MediumSpace]", "Red"}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[1, 0, 0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontColor -> RGBColor[1, 0, 0]],
         Evaluator->None,
         FrameMargins->5,
         ImageSize->Full], 
        ButtonBox[
         StyleBox[
          RowBox[{" ", "Green", " "}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0.6, 0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontColor -> RGBColor[0, 0.6, 0]],
         Evaluator->None,
         FrameMargins->5,
         ImageSize->Full], 
        ButtonBox[
         StyleBox[
          RowBox[{"Blue", " "}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0, 1]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontColor -> RGBColor[0, 0, 1]],
         Evaluator->None,
         FrameMargins->5,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["Search",
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         BaseStyle->"Hyperlink",
         ButtonData:>
          Module[{$CellContext`readitem}, $CellContext`readitem = NotebookRead[
              InputNotebook[]]; Catch[Which[$CellContext`readitem === {}, 
               Throw[Null], Count[$CellContext`readitem, 
                 Blank[InterpretationBox], Infinity] > 0, 
               Throw[Null], Cases[$CellContext`readitem, 
                 FormBox[
                  BoxData[
                   BlankNullSequence[]], 
                  BlankNullSequence[]]] =!= {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], $CellContext`readitem = 
               ReplaceRepeated[
                 Cell[
                  TextData[$CellContext`readitem], "Text"], {Cell[
                    CellGroupData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}, 
                    BlankNullSequence[]], 
                    BlankNullSequence[]] :> Sequence[$CellContext`a1]}], 
               MatchQ[$CellContext`readitem, 
                Blank[String]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               StringMatchQ[
                ToString[
                 Head[$CellContext`readitem]], 
                StringExpression[
                 BlankSequence[], "Box"]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[
                    BoxData[{$CellContext`readitem}], "Text"]}], "Text"]]; 
             Which[
               MatchQ[$CellContext`readitem, 
                Alternatives[
                 Cell[
                  Blank[GraphicsData], 
                  BlankNullSequence[]], 
                 Blank[GraphicsData]]], 
               Throw[Null], 
               MatchQ[$CellContext`readitem, 
                Blank[BoxData]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[$CellContext`readitem]}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[BoxData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[CellGroupData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[
                  Part[$CellContext`readitem, 1, 1]], "Text"], 
               MatchQ[$CellContext`readitem, 
                Blank[TextData]], $CellContext`readitem = 
               Cell[$CellContext`readitem, "Text"]]; $CellContext`readitem = 
              ReplaceRepeated[
                ReplaceAll[$CellContext`readitem, {TextData[
                    Pattern[$CellContext`a, 
                    Blank[String]]] :> TextData[{$CellContext`a}], Cell[
                    Pattern[$CellContext`a, 
                    Blank[String]], 
                    BlankNullSequence[]] :> Cell[
                    TextData[{$CellContext`a}], "Text"], Condition[
                    BoxData[
                    Pattern[$CellContext`x, 
                    Blank[]]], Head[$CellContext`x] =!= List] :> 
                  BoxData[{$CellContext`x}]}], {TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[ButtonBox]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`a1, 
                    Cell[
                    BoxData[{$CellContext`b1}], 
                    "Input"], $CellContext`c1}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {RowBox[{"(*", 
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], "*)"}] :> RowBox[{
                    RowBox[{"(", 
                    FromCharacterCode[34], 
                    Apply[Sequence, 
                    ReplaceAll[{$CellContext`a1}, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}]}]], 
                    FromCharacterCode[34], ")"}], 
                    ";"}]}]; $CellContext`readitem = ReplaceRepeated[
                ReplaceRepeated[
                 ReplaceRepeated[$CellContext`readitem, {Condition[
                    RowBox[{
                    Pattern[$CellContext`g1, 
                    Blank[]], 
                    Pattern[$CellContext`g2, 
                    BlankNullSequence[]]}], 
                    Not[
                    MemberQ[{String, List, RowBox, FormBox}, 
                    Head[$CellContext`g1]]]] :> Block[{$Messages = {}}, 
                    Check[
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", 
                    
                    RowBox[{NotebookCompatibility`Dump`Symbols`g1, 
                    NotebookCompatibility`Dump`Symbols`g2}], "]"}], 
                    InputForm]]]], 13], -1], 
                    RowBox[{$CellContext`g1, $CellContext`g2}]]]}], {StyleBox[
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`a1, FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}]}], {RowBox[{
                    Pattern[$CellContext`g1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`g2, 
                    Blank[]]}, 
                    Pattern[$CellContext`g3, 
                    BlankNullSequence[]]}] :> 
                 RowBox[{$CellContext`g1, $CellContext`g2, \
$CellContext`g3}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`b1], $CellContext`d1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> BoxData[{
                    RowBox[{$CellContext`a1, 
                    "\n", $CellContext`b1}], $CellContext`c1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}] :> 
                 TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> Block[{$Messages = {}}, 
                   Check[
                    TextData[{
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]], 13], -1]}], 
                    ReplaceRepeated[
                    ReplaceRepeated[
                    ReplaceRepeated[
                    BoxData[{$CellContext`x}], {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                    StyleBox[
                    Pattern[$CellContext`l1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`l1, RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`b1], $CellContext`d1}], RowBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    RowBox[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    RowBox[{$CellContext`a1, " ", $CellContext`b1, 
                    " ", $CellContext`c1}], BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]] :> TextData[{$CellContext`a1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\n", $CellContext`b1}], $CellContext`c1}], FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}], GridBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`e1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`f1, 
                    BlankNullSequence[]]] :> 
                    GridBox[{$CellContext`a1, {$CellContext`c1, 
                    
                    RowBox[{$CellContext`d1}], $CellContext`e1}, \
$CellContext`b1}, $CellContext`f1]}], {BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]]]}] :> TextData[
                    Map[Cell[
                    BoxData[{#}]]& , $CellContext`a1]]}], {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Cell[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    TextData[{$CellContext`b1, $CellContext`a1, 
                    " ", $CellContext`c1}]}]]]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> TextData[{
                    ToString[
                    ReplaceAll[$CellContext`x, {Pattern[$CellContext`a1, 
                    Blank[String]] :> StringJoin["\"", 
                    
                    StringReplace[$CellContext`a1, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}], 
                    "\""]}]]}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {GraphicsData["PostScript", 
                   Pattern[$CellContext`graphics, 
                    Blank[String]]] :> 
                 TextData[{""}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                 StyleBox[
                   Pattern[$CellContext`l1, 
                    Blank[]], 
                   BlankNullSequence[]] :> $CellContext`l1, TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`a1, " ", $CellContext`b1, 
                    " ", $CellContext`c1}], TextData[
                   Cell[
                    TextData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]]] :> TextData[{$CellContext`a1}], Cell[
                   CellGroupData[{
                    Cell[
                    Pattern[$CellContext`a, 
                    BlankSequence[]]]}, 
                    BlankNullSequence[]]] :> Cell[$CellContext`a], {
                   Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`c1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Pattern[$CellContext`d1, 
                    BlankNullSequence[]]} :> {$CellContext`a1, 
                   Cell[
                    TextData[{$CellContext`b1, "\n", $CellContext`c1}], 
                    "Text"], $CellContext`d1}}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    Blank[String]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`b1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`d1], $CellContext`c1}]}]; \
$CellContext`readitem = ReplaceAll[$CellContext`readitem, {Cell[
                   TextData[{
                    Pattern[$CellContext`a, 
                    Blank[]]}], 
                   Pattern[$CellContext`b, 
                    
                    BlankSequence[]]] :> $CellContext`a}]; \
$CellContext`readitem = ReplaceAll[
                ReplaceAll[
                 Union[
                  Flatten[
                   StringCases[$CellContext`readitem, 
                    Repeated[WordCharacter]]]], {Condition[
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    StringMatchQ[$CellContext`a1, NumberString]] :> 
                  Sequence[], Condition[
                    Pattern[$CellContext`a1, 
                    Blank[String]], StringLength[$CellContext`a1] == 1] :> 
                  Sequence[]}], {{
                   Pattern[$CellContext`a, 
                    BlankNullSequence[String]], 
                   Pattern[$CellContext`b, 
                    Blank[String]]} :> StringJoin[{
                    Apply[Sequence, 
                    Flatten[
                    Map[{#, "+"}& , {$CellContext`a}]]], $CellContext`b}]}]; 
             If[$CellContext`readitem === {}, $CellContext`readitem = {
                ""}]; $CellContext`readitem = 
              StringJoin["http://www.google.com/search?hl=en&q=", 
                StringReplace[$CellContext`readitem, " " -> "+"], 
                "+site%3Awolfram.com&btnG=S%C3%B6k&meta="]; {
               URL[$CellContext`readitem], None}]],
         Evaluator->Automatic]}
      },
      GridBoxSpacings->{"Columns" -> {{
           Offset[0.27999999999999997`]}}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]},
    {GridBox[{
       {
        ButtonBox[
         StyleBox["B",
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Plain",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[1],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> GrayLevel[1]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["A",
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Plain",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.9],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> GrayLevel[0.9]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["C",
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Plain",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.8],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> GrayLevel[0.8]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["K",
          FontFamily->"Verdana",
          FontSize->11,
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[1, 0.8, 0.8],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> RGBColor[1, 0.8, 0.8]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["G",
          FontFamily->"Verdana",
          FontSize->11,
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[0.8, 1, 0.8],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> RGBColor[0.8, 1, 0.8]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["R",
          FontFamily->"Verdana",
          FontSize->11,
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[0.8, 0.8, 1],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> RGBColor[0.8, 0.8, 1]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["O",
          FontFamily->"Verdana",
          FontSize->11,
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[0.8, 1, 1],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> RGBColor[0.8, 1, 1]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["U",
          FontFamily->"Verdana",
          FontSize->11,
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[1, 0.8, 1],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> RGBColor[1, 0.8, 1]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["N",
          FontFamily->"Verdana",
          FontSize->11,
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[1, 1, 0.8],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> RGBColor[1, 1, 0.8]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["D",
          FontFamily->"Verdana",
          FontSize->11,
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[0.8, 1, 1],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> RGBColor[0.8, 1, 1]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], " ", 
        ButtonBox[
         StyleBox["MG",
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         BaseStyle->"Hyperlink",
         ButtonData:>
          Module[{$CellContext`readitem}, $CellContext`readitem = NotebookRead[
              InputNotebook[]]; Catch[Which[$CellContext`readitem === {}, 
               Throw[Null], Count[$CellContext`readitem, 
                 Blank[InterpretationBox], Infinity] > 0, 
               Throw[Null], Cases[$CellContext`readitem, 
                 FormBox[
                  BoxData[
                   BlankNullSequence[]], 
                  BlankNullSequence[]]] =!= {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], $CellContext`readitem = 
               ReplaceRepeated[
                 Cell[
                  TextData[$CellContext`readitem], "Text"], {Cell[
                    CellGroupData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}, 
                    BlankNullSequence[]], 
                    BlankNullSequence[]] :> Sequence[$CellContext`a1]}], 
               MatchQ[$CellContext`readitem, 
                Blank[String]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               StringMatchQ[
                ToString[
                 Head[$CellContext`readitem]], 
                StringExpression[
                 BlankSequence[], "Box"]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[
                    BoxData[{$CellContext`readitem}], "Text"]}], "Text"]]; 
             Which[
               MatchQ[$CellContext`readitem, 
                Alternatives[
                 Cell[
                  Blank[GraphicsData], 
                  BlankNullSequence[]], 
                 Blank[GraphicsData]]], 
               Throw[Null], 
               MatchQ[$CellContext`readitem, 
                Blank[BoxData]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[$CellContext`readitem]}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[BoxData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[CellGroupData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[
                  Part[$CellContext`readitem, 1, 1]], "Text"], 
               MatchQ[$CellContext`readitem, 
                Blank[TextData]], $CellContext`readitem = 
               Cell[$CellContext`readitem, "Text"]]; $CellContext`readitem = 
              ReplaceRepeated[
                ReplaceAll[$CellContext`readitem, {TextData[
                    Pattern[$CellContext`a, 
                    Blank[String]]] :> TextData[{$CellContext`a}], Cell[
                    Pattern[$CellContext`a, 
                    Blank[String]], 
                    BlankNullSequence[]] :> Cell[
                    TextData[{$CellContext`a}], "Text"], Condition[
                    BoxData[
                    Pattern[$CellContext`x, 
                    Blank[]]], Head[$CellContext`x] =!= List] :> 
                  BoxData[{$CellContext`x}]}], {TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[ButtonBox]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`a1, 
                    Cell[
                    BoxData[{$CellContext`b1}], 
                    "Input"], $CellContext`c1}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {RowBox[{"(*", 
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], "*)"}] :> RowBox[{
                    RowBox[{"(", 
                    FromCharacterCode[34], 
                    Apply[Sequence, 
                    ReplaceAll[{$CellContext`a1}, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}]}]], 
                    FromCharacterCode[34], ")"}], 
                    ";"}]}]; $CellContext`readitem = ReplaceRepeated[
                ReplaceRepeated[
                 ReplaceRepeated[$CellContext`readitem, {Condition[
                    RowBox[{
                    Pattern[$CellContext`g1, 
                    Blank[]], 
                    Pattern[$CellContext`g2, 
                    BlankNullSequence[]]}], 
                    Not[
                    MemberQ[{String, List, RowBox, FormBox}, 
                    Head[$CellContext`g1]]]] :> Block[{$Messages = {}}, 
                    Check[
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", 
                    
                    RowBox[{NotebookCompatibility`Dump`Symbols`g1, 
                    NotebookCompatibility`Dump`Symbols`g2}], "]"}], 
                    InputForm]]]], 13], -1], 
                    RowBox[{$CellContext`g1, $CellContext`g2}]]]}], {StyleBox[
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`a1, FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}]}], {RowBox[{
                    Pattern[$CellContext`g1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`g2, 
                    Blank[]]}, 
                    Pattern[$CellContext`g3, 
                    BlankNullSequence[]]}] :> 
                 RowBox[{$CellContext`g1, $CellContext`g2, \
$CellContext`g3}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`b1], $CellContext`d1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\n", $CellContext`b1}], $CellContext`c1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}] :> 
                 TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> Block[{$Messages = {}}, 
                   Check[
                    TextData[{
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]], 13], -1]}], 
                    ReplaceRepeated[
                    ReplaceRepeated[
                    ReplaceRepeated[
                    BoxData[{$CellContext`x}], {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                    StyleBox[
                    Pattern[$CellContext`l1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`l1, RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`b1], $CellContext`d1}], RowBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    RowBox[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    RowBox[{$CellContext`a1, " ", $CellContext`b1, 
                    " ", $CellContext`c1}], BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]] :> TextData[{$CellContext`a1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\n", $CellContext`b1}], $CellContext`c1}], FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}], GridBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`e1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`f1, 
                    BlankNullSequence[]]] :> 
                    GridBox[{$CellContext`a1, {$CellContext`c1, 
                    
                    RowBox[{$CellContext`d1}], $CellContext`e1}, \
$CellContext`b1}, $CellContext`f1]}], {BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]]]}] :> TextData[
                    Map[Cell[
                    BoxData[{#}]]& , $CellContext`a1]]}], {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Cell[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    TextData[{$CellContext`b1, $CellContext`a1, 
                    " ", $CellContext`c1}]}]]]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> TextData[{
                    ToString[
                    ReplaceAll[$CellContext`x, {Pattern[$CellContext`a1, 
                    Blank[String]] :> StringJoin["\"", 
                    
                    StringReplace[$CellContext`a1, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}], 
                    "\""]}]]}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {GraphicsData["PostScript", 
                   Pattern[$CellContext`graphics, 
                    Blank[String]]] :> 
                 TextData[{""}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                 StyleBox[
                   Pattern[$CellContext`l1, 
                    Blank[]], 
                   BlankNullSequence[]] :> $CellContext`l1, TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`a1, " ", $CellContext`b1, 
                    " ", $CellContext`c1}], TextData[
                   Cell[
                    TextData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]]] :> TextData[{$CellContext`a1}], Cell[
                   CellGroupData[{
                    Cell[
                    Pattern[$CellContext`a, 
                    BlankSequence[]]]}, 
                    BlankNullSequence[]]] :> Cell[$CellContext`a], {
                   Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`c1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Pattern[$CellContext`d1, 
                    BlankNullSequence[]]} :> {$CellContext`a1, 
                   Cell[
                    TextData[{$CellContext`b1, "\n", $CellContext`c1}], 
                    "Text"], $CellContext`d1}}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    Blank[String]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`b1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`d1], $CellContext`c1}]}]; \
$CellContext`readitem = ReplaceAll[$CellContext`readitem, {Cell[
                   TextData[{
                    Pattern[$CellContext`a, 
                    Blank[]]}], 
                   Pattern[$CellContext`b, 
                    
                    BlankSequence[]]] :> $CellContext`a}]; \
$CellContext`readitem = ReplaceAll[
                ReplaceAll[
                 Union[
                  Flatten[
                   StringCases[$CellContext`readitem, 
                    Repeated[WordCharacter]]]], {Condition[
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    StringMatchQ[$CellContext`a1, NumberString]] :> 
                  Sequence[], Condition[
                    Pattern[$CellContext`a1, 
                    Blank[String]], StringLength[$CellContext`a1] == 1] :> 
                  Sequence[]}], {{
                   Pattern[$CellContext`a, 
                    BlankNullSequence[String]], 
                   Pattern[$CellContext`b, 
                    Blank[String]]} :> StringJoin[{
                    Apply[Sequence, 
                    Flatten[
                    Map[{#, "+"}& , {$CellContext`a}]]], $CellContext`b}]}]; 
             If[$CellContext`readitem === {}, $CellContext`readitem = {
                ""}]; $CellContext`readitem = 
              StringJoin["http://www.google.com/search?hl=en&q=", 
                StringReplace[$CellContext`readitem, " " -> "+"], 
                "+site:forums.wolfram.com+OR+site:www.mathematica-users.org/\
webMathematica/wiki/&hl=en&lr=&safe=off&start=0&sa=N"]; {
               URL[$CellContext`readitem], None}]],
         Evaluator->Automatic], 
        ButtonBox[
         StyleBox["GC",
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         BaseStyle->"Hyperlink",
         ButtonData:>
          Module[{$CellContext`readitem}, $CellContext`readitem = NotebookRead[
              InputNotebook[]]; Catch[Which[$CellContext`readitem === {}, 
               Throw[Null], Count[$CellContext`readitem, 
                 Blank[InterpretationBox], Infinity] > 0, 
               Throw[Null], Cases[$CellContext`readitem, 
                 FormBox[
                  BoxData[
                   BlankNullSequence[]], 
                  BlankNullSequence[]]] =!= {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], $CellContext`readitem = 
               ReplaceRepeated[
                 Cell[
                  TextData[$CellContext`readitem], "Text"], {Cell[
                    CellGroupData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}, 
                    BlankNullSequence[]], 
                    BlankNullSequence[]] :> Sequence[$CellContext`a1]}], 
               MatchQ[$CellContext`readitem, 
                Blank[String]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               StringMatchQ[
                ToString[
                 Head[$CellContext`readitem]], 
                StringExpression[
                 BlankSequence[], "Box"]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[
                    BoxData[{$CellContext`readitem}], "Text"]}], "Text"]]; 
             Which[
               MatchQ[$CellContext`readitem, 
                Alternatives[
                 Cell[
                  Blank[GraphicsData], 
                  BlankNullSequence[]], 
                 Blank[GraphicsData]]], 
               Throw[Null], 
               MatchQ[$CellContext`readitem, 
                Blank[BoxData]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[$CellContext`readitem]}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[BoxData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[CellGroupData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[
                  Part[$CellContext`readitem, 1, 1]], "Text"], 
               MatchQ[$CellContext`readitem, 
                Blank[TextData]], $CellContext`readitem = 
               Cell[$CellContext`readitem, "Text"]]; $CellContext`readitem = 
              ReplaceRepeated[
                ReplaceAll[$CellContext`readitem, {TextData[
                    Pattern[$CellContext`a, 
                    Blank[String]]] :> TextData[{$CellContext`a}], Cell[
                    Pattern[$CellContext`a, 
                    Blank[String]], 
                    BlankNullSequence[]] :> Cell[
                    TextData[{$CellContext`a}], "Text"], Condition[
                    BoxData[
                    Pattern[$CellContext`x, 
                    Blank[]]], Head[$CellContext`x] =!= List] :> 
                  BoxData[{$CellContext`x}]}], {TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[ButtonBox]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`a1, 
                    Cell[
                    BoxData[{$CellContext`b1}], 
                    "Input"], $CellContext`c1}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {RowBox[{"(*", 
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], "*)"}] :> RowBox[{
                    RowBox[{"(", 
                    FromCharacterCode[34], 
                    Apply[Sequence, 
                    ReplaceAll[{$CellContext`a1}, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}]}]], 
                    FromCharacterCode[34], ")"}], 
                    ";"}]}]; $CellContext`readitem = ReplaceRepeated[
                ReplaceRepeated[
                 ReplaceRepeated[$CellContext`readitem, {Condition[
                    RowBox[{
                    Pattern[$CellContext`g1, 
                    Blank[]], 
                    Pattern[$CellContext`g2, 
                    BlankNullSequence[]]}], 
                    Not[
                    MemberQ[{String, List, RowBox, FormBox}, 
                    Head[$CellContext`g1]]]] :> Block[{$Messages = {}}, 
                    Check[
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", 
                    
                    RowBox[{NotebookCompatibility`Dump`Symbols`g1, 
                    NotebookCompatibility`Dump`Symbols`g2}], "]"}], 
                    InputForm]]]], 13], -1], 
                    RowBox[{$CellContext`g1, $CellContext`g2}]]]}], {StyleBox[
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`a1, FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}]}], {RowBox[{
                    Pattern[$CellContext`g1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`g2, 
                    Blank[]]}, 
                    Pattern[$CellContext`g3, 
                    BlankNullSequence[]]}] :> 
                 
                 RowBox[{$CellContext`g1, $CellContext`g2, \
$CellContext`g3}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`b1], $CellContext`d1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\n", $CellContext`b1}], $CellContext`c1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}] :> 
                 TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> Block[{$Messages = {}}, 
                   Check[
                    TextData[{
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]], 13], -1]}], 
                    ReplaceRepeated[
                    ReplaceRepeated[
                    ReplaceRepeated[
                    BoxData[{$CellContext`x}], {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                    StyleBox[
                    Pattern[$CellContext`l1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`l1, RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`b1], $CellContext`d1}], RowBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    RowBox[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    RowBox[{$CellContext`a1, " ", $CellContext`b1, 
                    " ", $CellContext`c1}], BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]] :> TextData[{$CellContext`a1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\n", $CellContext`b1}], $CellContext`c1}], FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}], GridBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`e1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`f1, 
                    BlankNullSequence[]]] :> 
                    GridBox[{$CellContext`a1, {$CellContext`c1, 
                    
                    RowBox[{$CellContext`d1}], $CellContext`e1}, \
$CellContext`b1}, $CellContext`f1]}], {BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]]]}] :> TextData[
                    Map[Cell[
                    BoxData[{#}]]& , $CellContext`a1]]}], {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Cell[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    TextData[{$CellContext`b1, $CellContext`a1, 
                    " ", $CellContext`c1}]}]]]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> TextData[{
                    ToString[
                    ReplaceAll[$CellContext`x, {Pattern[$CellContext`a1, 
                    Blank[String]] :> StringJoin["\"", 
                    
                    StringReplace[$CellContext`a1, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}], 
                    "\""]}]]}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {GraphicsData["PostScript", 
                   Pattern[$CellContext`graphics, 
                    Blank[String]]] :> 
                 TextData[{""}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                 StyleBox[
                   Pattern[$CellContext`l1, 
                    Blank[]], 
                   BlankNullSequence[]] :> $CellContext`l1, TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`a1, " ", $CellContext`b1, 
                    " ", $CellContext`c1}], TextData[
                   Cell[
                    TextData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]]] :> TextData[{$CellContext`a1}], Cell[
                   CellGroupData[{
                    Cell[
                    Pattern[$CellContext`a, 
                    BlankSequence[]]]}, 
                    BlankNullSequence[]]] :> Cell[$CellContext`a], {
                   Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`c1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Pattern[$CellContext`d1, 
                    BlankNullSequence[]]} :> {$CellContext`a1, 
                   Cell[
                    TextData[{$CellContext`b1, "\n", $CellContext`c1}], 
                    "Text"], $CellContext`d1}}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    Blank[String]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`b1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`d1], $CellContext`c1}]}]; \
$CellContext`readitem = ReplaceAll[$CellContext`readitem, {Cell[
                   TextData[{
                    Pattern[$CellContext`a, 
                    Blank[]]}], 
                   Pattern[$CellContext`b, 
                    
                    BlankSequence[]]] :> $CellContext`a}]; \
$CellContext`readitem = ReplaceAll[
                ReplaceAll[
                 Union[
                  Flatten[
                   StringCases[$CellContext`readitem, 
                    Repeated[WordCharacter]]]], {Condition[
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    StringMatchQ[$CellContext`a1, NumberString]] :> 
                  Sequence[], Condition[
                    Pattern[$CellContext`a1, 
                    Blank[String]], StringLength[$CellContext`a1] == 1] :> 
                  Sequence[]}], {{
                   Pattern[$CellContext`a, 
                    BlankNullSequence[String]], 
                   Pattern[$CellContext`b, 
                    Blank[String]]} :> StringJoin[{
                    Apply[Sequence, 
                    Flatten[
                    Map[{#, "+"}& , {$CellContext`a}]]], $CellContext`b}]}]; 
             If[$CellContext`readitem === {}, $CellContext`readitem = {
                ""}]; $CellContext`readitem = 
              StringJoin[
               "http://www.google.com/codesearch?hl=en&lr=&q=lang%\
3AMathematica+", 
                StringReplace[$CellContext`readitem, " " -> "+"], 
                "&sbtn=Search"]; {
               URL[$CellContext`readitem], None}]],
         Evaluator->Automatic]}
      },
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]},
    {GridBox[{
       {
        ButtonBox[
         StyleBox[
          RowBox[{"Get", " ", "Font", " ", "Options"}],
          FontFamily->"Verdana",
          FontSize->11,
          FontColor->GrayLevel[0]],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonFunction:>($CellContext`$FontPaintOptions = AbsoluteOptions[
             NotebookSelection[
              InputNotebook[]], {
             FontColor, FontFamily, FontProperties, FontSize, FontSlant, 
              FontTracking, FontVariations, FontWeight, 
              Background}]; $CellContext`buttontext = StyleBox[
             RowBox[{"   Paint", " ", "Font", " ", "Options     "}], 
             Sequence[$CellContext`$FontPaintOptions], FontFamily -> 
             "Verdana", FontSize -> 11, FontColor -> GrayLevel[0]]),
         Evaluator->Automatic], 
        ButtonBox[
         DynamicBox[$CellContext`buttontext,
          ImageSizeCache->{115., {2., 9.}}],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], 
           Apply[Sequence, $CellContext`$FontPaintOptions]],
         Evaluator->Automatic], 
        ButtonBox[
         StyleBox["Web",
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         BaseStyle->"Hyperlink",
         ButtonData:>
          Module[{$CellContext`readitem}, $CellContext`readitem = NotebookRead[
              InputNotebook[]]; Catch[Which[$CellContext`readitem === {}, 
               Throw[Null], Count[$CellContext`readitem, 
                 Blank[InterpretationBox], Infinity] > 0, 
               Throw[Null], Cases[$CellContext`readitem, 
                 FormBox[
                  BoxData[
                   BlankNullSequence[]], 
                  BlankNullSequence[]]] =!= {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], $CellContext`readitem = 
               ReplaceRepeated[
                 Cell[
                  TextData[$CellContext`readitem], "Text"], {Cell[
                    CellGroupData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}, 
                    BlankNullSequence[]], 
                    BlankNullSequence[]] :> Sequence[$CellContext`a1]}], 
               MatchQ[$CellContext`readitem, 
                Blank[String]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               StringMatchQ[
                ToString[
                 Head[$CellContext`readitem]], 
                StringExpression[
                 BlankSequence[], "Box"]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[
                    BoxData[{$CellContext`readitem}], "Text"]}], "Text"]]; 
             Which[
               MatchQ[$CellContext`readitem, 
                Alternatives[
                 Cell[
                  Blank[GraphicsData], 
                  BlankNullSequence[]], 
                 Blank[GraphicsData]]], 
               Throw[Null], 
               MatchQ[$CellContext`readitem, 
                Blank[BoxData]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[$CellContext`readitem]}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[BoxData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[CellGroupData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[
                  Part[$CellContext`readitem, 1, 1]], "Text"], 
               MatchQ[$CellContext`readitem, 
                Blank[TextData]], $CellContext`readitem = 
               Cell[$CellContext`readitem, "Text"]]; $CellContext`readitem = 
              ReplaceRepeated[
                ReplaceAll[$CellContext`readitem, {TextData[
                    Pattern[$CellContext`a, 
                    Blank[String]]] :> TextData[{$CellContext`a}], Cell[
                    Pattern[$CellContext`a, 
                    Blank[String]], 
                    BlankNullSequence[]] :> Cell[
                    TextData[{$CellContext`a}], "Text"], Condition[
                    BoxData[
                    Pattern[$CellContext`x, 
                    Blank[]]], Head[$CellContext`x] =!= List] :> 
                  BoxData[{$CellContext`x}]}], {TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[ButtonBox]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`a1, 
                    Cell[
                    BoxData[{$CellContext`b1}], 
                    "Input"], $CellContext`c1}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {RowBox[{"(*", 
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], "*)"}] :> RowBox[{
                    RowBox[{"(", 
                    FromCharacterCode[34], 
                    Apply[Sequence, 
                    ReplaceAll[{$CellContext`a1}, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}]}]], 
                    FromCharacterCode[34], ")"}], 
                    ";"}]}]; $CellContext`readitem = ReplaceRepeated[
                ReplaceRepeated[
                 ReplaceRepeated[$CellContext`readitem, {Condition[
                    RowBox[{
                    Pattern[$CellContext`g1, 
                    Blank[]], 
                    Pattern[$CellContext`g2, 
                    BlankNullSequence[]]}], 
                    Not[
                    MemberQ[{String, List, RowBox, FormBox}, 
                    Head[$CellContext`g1]]]] :> Block[{$Messages = {}}, 
                    Check[
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", 
                    
                    RowBox[{NotebookCompatibility`Dump`Symbols`g1, 
                    NotebookCompatibility`Dump`Symbols`g2}], "]"}], 
                    InputForm]]]], 13], -1], 
                    RowBox[{$CellContext`g1, $CellContext`g2}]]]}], {StyleBox[
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`a1, FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}]}], {RowBox[{
                    Pattern[$CellContext`g1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`g2, 
                    Blank[]]}, 
                    Pattern[$CellContext`g3, 
                    BlankNullSequence[]]}] :> 
                 RowBox[{$CellContext`g1, $CellContext`g2, \
$CellContext`g3}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`b1], $CellContext`d1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\n", $CellContext`b1}], $CellContext`c1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}] :> 
                 TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> Block[{$Messages = {}}, 
                   Check[
                    TextData[{
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]], 13], -1]}], 
                    ReplaceRepeated[
                    ReplaceRepeated[
                    ReplaceRepeated[
                    BoxData[{$CellContext`x}], {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                    StyleBox[
                    Pattern[$CellContext`l1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`l1, RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`b1], $CellContext`d1}], RowBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    RowBox[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    RowBox[{$CellContext`a1, " ", $CellContext`b1, 
                    " ", $CellContext`c1}], BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]] :> TextData[{$CellContext`a1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\n", $CellContext`b1}], $CellContext`c1}], FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}], GridBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`e1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`f1, 
                    BlankNullSequence[]]] :> 
                    GridBox[{$CellContext`a1, {$CellContext`c1, 
                    
                    RowBox[{$CellContext`d1}], $CellContext`e1}, \
$CellContext`b1}, $CellContext`f1]}], {BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]]]}] :> TextData[
                    Map[Cell[
                    BoxData[{#}]]& , $CellContext`a1]]}], {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Cell[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    TextData[{$CellContext`b1, $CellContext`a1, 
                    " ", $CellContext`c1}]}]]]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> TextData[{
                    ToString[
                    ReplaceAll[$CellContext`x, {Pattern[$CellContext`a1, 
                    Blank[String]] :> StringJoin["\"", 
                    
                    StringReplace[$CellContext`a1, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}], 
                    "\""]}]]}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {GraphicsData["PostScript", 
                   Pattern[$CellContext`graphics, 
                    Blank[String]]] :> 
                 TextData[{""}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                 StyleBox[
                   Pattern[$CellContext`l1, 
                    Blank[]], 
                   BlankNullSequence[]] :> $CellContext`l1, TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`a1, " ", $CellContext`b1, 
                    " ", $CellContext`c1}], TextData[
                   Cell[
                    TextData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]]] :> TextData[{$CellContext`a1}], Cell[
                   CellGroupData[{
                    Cell[
                    Pattern[$CellContext`a, 
                    BlankSequence[]]]}, 
                    BlankNullSequence[]]] :> Cell[$CellContext`a], {
                   Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`c1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Pattern[$CellContext`d1, 
                    BlankNullSequence[]]} :> {$CellContext`a1, 
                   Cell[
                    TextData[{$CellContext`b1, "\n", $CellContext`c1}], 
                    "Text"], $CellContext`d1}}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    Blank[String]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`b1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`d1], $CellContext`c1}]}]; \
$CellContext`readitem = ReplaceAll[$CellContext`readitem, {Cell[
                   TextData[{
                    Pattern[$CellContext`a, 
                    Blank[]]}], 
                   Pattern[$CellContext`b, 
                    
                    BlankSequence[]]] :> $CellContext`a}]; \
$CellContext`readitem = ReplaceAll[
                ReplaceAll[
                 Union[
                  Flatten[
                   StringCases[$CellContext`readitem, 
                    Repeated[WordCharacter]]]], {Condition[
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    StringMatchQ[$CellContext`a1, NumberString]] :> 
                  Sequence[], Condition[
                    Pattern[$CellContext`a1, 
                    Blank[String]], StringLength[$CellContext`a1] == 1] :> 
                  Sequence[]}], {{
                   Pattern[$CellContext`a, 
                    BlankNullSequence[String]], 
                   Pattern[$CellContext`b, 
                    Blank[String]]} :> StringJoin[{
                    Apply[Sequence, 
                    Flatten[
                    Map[{#, "+"}& , {$CellContext`a}]]], $CellContext`b}]}]; 
             If[$CellContext`readitem === {}, $CellContext`readitem = {
                ""}]; $CellContext`readitem = 
              StringJoin["http://www.google.com/search?hl=en&q=", 
                StringReplace[$CellContext`readitem, " " -> "+"], ""]; {
               URL[$CellContext`readitem], None}]],
         Evaluator->Automatic]}
      }]}
   },
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  DynamicModuleValues:>{}]],
 WindowFloating->"True",
 CellFrameMargins->1,
 Background->GrayLevel[0.800008],
 CellTags->"Button cell"]
},
WindowSize->{607, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Button cell"->{
  Cell[422326, 8667, 189397, 4176, 226, InheritFromParent,
   CellTags->"Button cell"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Button cell", 612023, 12855}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 421778, 8645, 33896, "Input"],
Cell[422326, 8667, 189397, 4176, 226, InheritFromParent,
 CellTags->"Button cell"]
}
]
*)

(* End of internal cache information *)

