(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     13184,        481]
NotebookOptionsPosition[     12822,        464]
NotebookOutlinePosition[     13168,        479]
CellTagsIndexPosition[     13125,        476]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["SetFaceAndFont Palette, Version History", "Title"],

Cell["Ingolf Dahl, Sweden", "Text"],

Cell[TextData[{
 "Version 1, published to MathGroup September 29, 2004:\nButtons ",
 StyleBox["Copy As InputForm",
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox[", ",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["Plain",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["Bold",
  FontWeight->"Bold"],
 ", ",
 StyleBox["Italic",
  FontSlant->"Italic"],
 ", ",
 StyleBox["Underline",
  FontVariations->{"Underline"->True}],
 ", ",
 StyleBox["Courier Plain",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", Times Plain, ",
 StyleBox["Times Italic",
  FontFamily->"Times",
  FontSlant->"Italic"],
 " included.\n\nVersion 2.0, published to a limited set of people in October \
2004 and July 2005:\n1. Button ",
 StyleBox["Copy As InputForm",
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 " replaced by ",
 StyleBox["CopyAsInputFormK",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " \n2. Buttons ",
 StyleBox["\"*\[Rule]_\", \"",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 Cell[BoxData[
  RowBox[{"\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]"}]], "Text",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["\", \"",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 Cell[BoxData["\[SelectionPlaceholder]"], "Text",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["\", ?, (",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 Cell[BoxData["\[SelectionPlaceholder]"], "Text",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["), {",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 Cell[BoxData["\[SelectionPlaceholder]"], "Text",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["}, [",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 Cell[BoxData["\[SelectionPlaceholder]"], "Text",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["], [[",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 Cell[BoxData["\[SelectionPlaceholder]"], "Text",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["]], (* ",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 Cell[BoxData["\[SelectionPlaceholder]"], "Text",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox[" *),",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " ",
 StyleBox["Helvetica",
  FontFamily->"Helvetica",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 ", font size buttons, ",
 StyleBox["Peel,",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " ",
 StyleBox["StyleRemove, ",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["Black",
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Plain",
  FontColor->GrayLevel[0]],
 StyleBox[", ",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["Red",
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Plain",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[", ",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["Green",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain",
  FontColor->RGBColor[0, 0.6, 0]],
 StyleBox[", ",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["Blue",
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Plain",
  FontColor->RGBColor[0, 0, 1]],
 StyleBox[", Search",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 ",  ",
 StyleBox["MG, ",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["background buttons,",
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox[" ",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["GetFontOptions",
  FontFamily->"Helvetica",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 StyleBox[" and ",
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 StyleBox["PaintFontOptions",
  FontFamily->"Helvetica",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 " included",
 StyleBox[" \n",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["3. Help implemented.",
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "\n\nVersion 2.0.1 published August 25, 2005\nChanges from version 2.0 to \
2.0.1:\n1: Button ",
 StyleBox["CopyAsInputFormK",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " corrected to allow copying to external programs.\n2. Button ",
 StyleBox["CopyAsInputFormK",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " corrected to allow copying of multiline multicommand cells.\n3.  Button ",
 StyleBox["CopyAsInputFormK",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " changed to do the following conversions: \
{\"\[LeftDoubleBracket]\"->\"[[\",\"\[RightDoubleBracket]\"->\"]]\",\"\[Equal]\
\"->\"==\",\n  \"\[LessEqual]\"->\"<=\",\"\[GreaterEqual]\"-> \">=\",\"\
\[NotEqual]\"->\"!=\", \n  \"\[Rule]\"->\"->\",\"\[RuleDelayed]\"->\":>\", \"\
\[Continuation]\"->\" \",\"\\t\"->\" \",\"\\[InvisibleSpace ]\"->\" \", \
FromCharacterCode[1]->\" \", \"  \"->\" \"}.\n 4. Button",
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["(* ",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 Cell[BoxData["\[SelectionPlaceholder]"], "Text"],
 StyleBox[" *)",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 " changed to create spaces inside comment brackets.\n 5. Button  ",
 StyleBox["\[LeftDoubleBracket]",
  FontFamily->"Helvetica",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 Cell[BoxData["\[SelectionPlaceholder]"], "Text"],
 StyleBox["\[RightDoubleBracket]",
  FontFamily->"Helvetica",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 " changed to use LeftDoubleBracket and RightDoubleBracket instead of pairs \
of single brackets.\n 6. ",
 StyleBox["Web",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " button added.\n 7. ",
 StyleBox["Courier B",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " button added.\n 8. Cosmetic changes to the palette are made.\n 9. Code \
changes in the buttons ",
 StyleBox["Peel,",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 "  \"*\[Rule]_\", \"",
 Cell[BoxData[
  RowBox[{"\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]"}]], 
  "Text"],
 "\", \"",
 Cell[BoxData["\[SelectionPlaceholder]"], "Text"],
 "\", ",
 StyleBox["Search",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 ", ",
 StyleBox["MG",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 ", ",
 StyleBox["Web",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " to avoid interference with the external clipboard.\n 10. ",
 StyleBox["Courier",
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 ", ",
 StyleBox["Helvetica",
  FontFamily->"Helvetica",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 ", ",
 StyleBox["Times",
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 " and ",
 StyleBox["Times Italic",
  FontFamily->"Times",
  FontWeight->"Plain",
  FontSlant->"Italic"],
 " buttons corrected to remove bold font.\n 11.  ",
 StyleBox["CopyAsInputFormK",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 ", ",
 StyleBox["Peel",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " and ",
 StyleBox["StyleRemove",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " buttons corrected to avoid multiple line feeds at some occasions.\n 12. \
The action of ",
 StyleBox["Peel",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " on GraphicsData cell is changed to allow reentering of the PostScript \
code.\n \n Changes from version 2.0.1 to 2.0.2:\n 1. ",
 StyleBox["Peel",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " changed to return executable cell from a Graphics3D cell. ",
 StyleBox["CopyAsInputFormK",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 ", ",
 StyleBox["\"",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 Cell[BoxData["\[SelectionPlaceholder]"], "Text",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["\"",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " and ",
 StyleBox["StyleRemove",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " buttons corrected in behavior in relation to Graphics3D cells.\n 2. The ",
 StyleBox["CopyAsInputFormK",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " button uses now the \"Convert to InputForm\" mechanism for sound cells.\n \
3. The file \"SetFaceAndFont2.nb\" is set to \"read-only\", to prevent \
unintended changes. \n \n Changes from version 2.0.2 to 2.0.3:\n 1.  ",
 StyleBox["CopyAsInputFormK,Search",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 ", ",
 StyleBox["MG",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 ", ",
 StyleBox["Web",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " buttons changed to allow embedded ButtonBox objects in TextData.\n\n\
Version 2.0.4 published September 14, 2005  \nChanges from version 2.0.3 to \
2.0.4:\n1. ",
 StyleBox["Peel",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " changed to return executable cell from a SurfaceGraphics cell rendered as \
a RealTime3D cell. ",
 StyleBox["CopyAsInputFormK",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 ", ",
 StyleBox["\"",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 Cell[BoxData["\[SelectionPlaceholder]"], "Text",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 StyleBox["\"",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " and ",
 StyleBox["StyleRemove",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " buttons corrected in behavior in relation to a SurfaceGraphics cell \
rendered as a RealTime3D cell. If you are curious about such cells, see ",
 ButtonBox["http://forums.wolfram.com/mathgroup/archive/2001/Apr/msg00346.\
html",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://forums.wolfram.com/mathgroup/archive/2001/Apr/msg00346.html"],
     None}],
 ". \n2. Some entries have been added to Help Master Index and some entries \
have been changed..\n3. The language in the search result pages for ",
 StyleBox["Search",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 ", ",
 StyleBox["MG",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 ", ",
 StyleBox["Web",
  FontFamily->"Courier",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " buttons has been changed to English. (Oops! Thanks John Jowett)\
\[IndentingNewLine]\[IndentingNewLine]Version 2.1 published August 28, 2010\n\
Some font buttons replaced to reflect the new Help style in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "\nThe GC button added.\nFont size 11 added\n\nVersion 2.1.1 published \
August 31, 2010\nThe Search button searches the whole wolfram.com site"
}], "Text",
 CellChangeTimes->{{3.492017079810795*^9, 3.49201716854387*^9}, 
   3.4920172094092073`*^9, {3.4922308088760204`*^9, 3.492230846968199*^9}, 
   3.492272498601207*^9}]
}, Open  ]]
},
WindowSize->{624, 748},
WindowMargins->{{110, Automatic}, {Automatic, 23}},
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 56, 0, 137, "Title"],
Cell[626, 24, 35, 0, 29, "Text"],
Cell[664, 26, 12142, 435, 1094, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
